import{S as RC,i as XC,s as zC,e as s,k as p,w as y,t as o,M as CC,c as a,d as t,m as h,a as r,x as w,h as n,b as c,G as e,g,y as T,q as M,o as $,B as L,v as qC,L as Se}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ne}from"../../chunks/Tip-hf-doc-builder.js";import{D as I}from"../../chunks/Docstring-hf-doc-builder.js";import{C as We}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ie}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as De}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Jf}from"../../chunks/PipelineTag-hf-doc-builder.js";function jC(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import XLMRobertaConfig, XLMRobertaModel

# Initializing a XLM-RoBERTa xlm-roberta-base style configuration
configuration = XLMRobertaConfig()

# Initializing a model (with random weights) from the xlm-roberta-base style configuration
model = XLMRobertaModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> XLMRobertaConfig, XLMRobertaModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a XLM-RoBERTa xlm-roberta-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = XLMRobertaConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the xlm-roberta-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),k=o("Examples:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Examples:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function AC(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function PC(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaModel
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function NC(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function OC(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForCausalLM, AutoConfig
import torch

tokenizer = AutoTokenizer.from_pretrained("roberta-base")
config = AutoConfig.from_pretrained("roberta-base")
config.is_decoder = True
model = XLMRobertaForCausalLM.from_pretrained("roberta-base", config=config)

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

prediction_logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForCausalLM, AutoConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config = AutoConfig.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config.is_decoder = <span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function IC(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function DC(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]

predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
tokenizer.decode(predicted_token_id)

labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
# mask labels of non-<mask> tokens
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function SC(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function WC(F){let d,k,m,f,b;return f=new We({props:{code:`import torch
from transformers import AutoTokenizer, XLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){d=s("p"),k=o("Example of single-label classification:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example of single-label classification:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function BC(F){let d,k,m,f,b;return f=new We({props:{code:`import torch
from transformers import AutoTokenizer, XLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = XLMRobertaForSequenceClassification.from_pretrained(
    "cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=s("p"),k=o("Example of multi-label classification:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example of multi-label classification:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function UC(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function HC(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function QC(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function KC(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("Jean-Baptiste/roberta-large-ner-english")
model = XLMRobertaForTokenClassification.from_pretrained("Jean-Baptiste/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]
predicted_tokens_classes

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function VC(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function JC(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("deepset/roberta-base-squad2")
model = XLMRobertaForQuestionAnswering.from_pretrained("deepset/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens, skip_special_tokens=True)

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&#x27; puppet&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function GC(F){let d,k,m,f,b,l,u,R,ye,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,me,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,ue,Xe,V,ve,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),me=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),ue=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ve=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),m=a(E,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(v),u=a(v,"UL",{});var oe=r(u);R=a(oe,"LI",{});var Ke=r(R);ye=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);me=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(v),z=a(v,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);ue=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ve=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(v),j=a(v,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,E){g(v,d,E),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,E),g(v,u,E),e(u,R),e(R,ye),e(u,fe),e(u,O),e(O,re),g(v,te,E),g(v,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,me),e(x,xe),g(v,ne,E),g(v,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,ue),e(q,Xe),e(q,V),e(V,ve),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(v,Z,E),g(v,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(ne),v&&t(z),v&&t(Z),v&&t(j)}}}function YC(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function ZC(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function eq(F){let d,k,m,f,b,l,u,R,ye,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,me,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,ue,Xe,V,ve,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),me=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),ue=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ve=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),m=a(E,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(v),u=a(v,"UL",{});var oe=r(u);R=a(oe,"LI",{});var Ke=r(R);ye=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);me=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(v),z=a(v,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);ue=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ve=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(v),j=a(v,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,E){g(v,d,E),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,E),g(v,u,E),e(u,R),e(R,ye),e(u,fe),e(u,O),e(O,re),g(v,te,E),g(v,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,me),e(x,xe),g(v,ne,E),g(v,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,ue),e(q,Xe),e(q,V),e(V,ve),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(v,Z,E),g(v,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(ne),v&&t(z),v&&t(Z),v&&t(j)}}}function tq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function oq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForCausalLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForCausalLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function nq(F){let d,k,m,f,b,l,u,R,ye,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,me,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,ue,Xe,V,ve,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),me=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),ue=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ve=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),m=a(E,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(v),u=a(v,"UL",{});var oe=r(u);R=a(oe,"LI",{});var Ke=r(R);ye=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);me=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(v),z=a(v,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);ue=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ve=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(v),j=a(v,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,E){g(v,d,E),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,E),g(v,u,E),e(u,R),e(R,ye),e(u,fe),e(u,O),e(O,re),g(v,te,E),g(v,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,me),e(x,xe),g(v,ne,E),g(v,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,ue),e(q,Xe),e(q,V),e(V,ve),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(v,Z,E),g(v,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(ne),v&&t(z),v&&t(Z),v&&t(j)}}}function sq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function aq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForMaskedLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[0])
selected_logits = tf.gather_nd(logits[0], indices=mask_token_index)

predicted_token_id = tf.math.argmax(selected_logits, axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>selected_logits = tf.gather_nd(logits[<span class="hljs-number">0</span>], indices=mask_token_index)

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(selected_logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function rq(F){let d,k;return d=new We({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
# mask labels of non-<mask> tokens
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){y(d.$$.fragment)},l(m){w(d.$$.fragment,m)},m(m,f){T(d,m,f),k=!0},p:Se,i(m){k||(M(d.$$.fragment,m),k=!0)},o(m){$(d.$$.fragment,m),k=!1},d(m){L(d,m)}}}function iq(F){let d,k,m,f,b,l,u,R,ye,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,me,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,ue,Xe,V,ve,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),me=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),ue=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ve=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),m=a(E,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(v),u=a(v,"UL",{});var oe=r(u);R=a(oe,"LI",{});var Ke=r(R);ye=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);me=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(v),z=a(v,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);ue=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ve=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(v),j=a(v,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,E){g(v,d,E),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,E),g(v,u,E),e(u,R),e(R,ye),e(u,fe),e(u,O),e(O,re),g(v,te,E),g(v,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,me),e(x,xe),g(v,ne,E),g(v,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,ue),e(q,Xe),e(q,V),e(V,ve),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(v,Z,E),g(v,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(ne),v&&t(z),v&&t(Z),v&&t(j)}}}function lq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function dq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = TFXLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function cq(F){let d,k;return d=new We({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFXLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){y(d.$$.fragment)},l(m){w(d.$$.fragment,m)},m(m,f){T(d,m,f),k=!0},p:Se,i(m){k||(M(d.$$.fragment,m),k=!0)},o(m){$(d.$$.fragment,m),k=!1},d(m){L(d,m)}}}function pq(F){let d,k,m,f,b,l,u,R,ye,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,me,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,ue,Xe,V,ve,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),me=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),ue=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ve=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),m=a(E,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(v),u=a(v,"UL",{});var oe=r(u);R=a(oe,"LI",{});var Ke=r(R);ye=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);me=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(v),z=a(v,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);ue=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ve=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(v),j=a(v,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,E){g(v,d,E),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,E),g(v,u,E),e(u,R),e(R,ye),e(u,fe),e(u,O),e(O,re),g(v,te,E),g(v,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,me),e(x,xe),g(v,ne,E),g(v,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,ue),e(q,Xe),e(q,V),e(V,ve),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(v,Z,E),g(v,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(ne),v&&t(z),v&&t(Z),v&&t(j)}}}function hq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function uq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function mq(F){let d,k,m,f,b,l,u,R,ye,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,me,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,ue,Xe,V,ve,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),me=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),ue=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ve=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),m=a(E,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(v),u=a(v,"UL",{});var oe=r(u);R=a(oe,"LI",{});var Ke=r(R);ye=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);me=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(v),z=a(v,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);ue=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ve=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(v),j=a(v,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,E){g(v,d,E),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,E),g(v,u,E),e(u,R),e(R,ye),e(u,fe),e(u,O),e(O,re),g(v,te,E),g(v,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,me),e(x,xe),g(v,ne,E),g(v,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,ue),e(q,Xe),e(q,V),e(V,ve),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(v,Z,E),g(v,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(ne),v&&t(z),v&&t(Z),v&&t(j)}}}function fq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function gq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-large-ner-english")
model = TFXLMRobertaForTokenClassification.from_pretrained("ydshieh/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]
predicted_tokens_classes`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function _q(F){let d,k;return d=new We({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){y(d.$$.fragment)},l(m){w(d.$$.fragment,m)},m(m,f){T(d,m,f),k=!0},p:Se,i(m){k||(M(d.$$.fragment,m),k=!0)},o(m){$(d.$$.fragment,m),k=!1},d(m){L(d,m)}}}function bq(F){let d,k,m,f,b,l,u,R,ye,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,me,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,ue,Xe,V,ve,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),me=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),ue=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ve=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),m=a(E,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(v),u=a(v,"UL",{});var oe=r(u);R=a(oe,"LI",{});var Ke=r(R);ye=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);me=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(v),z=a(v,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);ue=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ve=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(v),j=a(v,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,E){g(v,d,E),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,E),g(v,u,E),e(u,R),e(R,ye),e(u,fe),e(u,O),e(O,re),g(v,te,E),g(v,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,me),e(x,xe),g(v,ne,E),g(v,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,ue),e(q,Xe),e(q,V),e(V,ve),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(v,Z,E),g(v,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(ne),v&&t(z),v&&t(Z),v&&t(j)}}}function kq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function vq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-base-squad2")
model = TFXLMRobertaForQuestionAnswering.from_pretrained("ydshieh/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27; puppet&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function yq(F){let d,k;return d=new We({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([14])
target_end_index = tf.constant([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){y(d.$$.fragment)},l(m){w(d.$$.fragment,m)},m(m,f){T(d,m,f),k=!0},p:Se,i(m){k||(M(d.$$.fragment,m),k=!0)},o(m){$(d.$$.fragment,m),k=!1},d(m){L(d,m)}}}function wq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Tq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaModel

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Mq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function $q(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForCausalLM

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForCausalLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

# retrieve logts for next token
next_token_logits = outputs.logits[:, -1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve logts for next token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>next_token_logits = outputs.logits[:, -<span class="hljs-number">1</span>]`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Lq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function xq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Fq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Eq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForSequenceClassification.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Rq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Xq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="jax", padding=True)
outputs = model(**{k: v[None, :] for k, v in encoding.items()})

logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;jax&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v[<span class="hljs-literal">None</span>, :] <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()})

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function zq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Cq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForTokenClassification.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function qq(F){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function jq(F){let d,k,m,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForQuestionAnswering.from_pretrained("xlm-roberta-base")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Aq(F){let d,k,m,f,b,l,u,R,ye,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,me,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,ue,Xe,V,ve,se,N,pe,J,ze,Z,j,Ce,A,ae,ie,v,E,Qe,oe,Ke,Be,X,Ve,Ue,Ae,He,he,P,G,Pe,Je,Y,qe,Oe,je,Ge,ee,Ye,Cb,ir,qb,jb,Ab,Mo,$c,Pb,Nb,lr,Ob,Ib,dr,Db,Sb,Wb,$o,Lc,Bb,Ub,cr,Hb,Qb,pr,Kb,Vb,Jb,xc,hr,Gb,Yb,Gf,ur,Yf,Dt,Lo,Fc,Zb,ek,mr,tk,ok,fr,nk,sk,ak,xo,Ec,rk,ik,gr,lk,dk,_r,ck,pk,hk,Zn,Rc,uk,mk,br,fk,gk,_k,Xc,kr,bk,kk,Zf,vr,eg,es,Fo,zc,vk,yk,yr,wk,Tk,wr,Mk,$k,Lk,Cc,Tr,xk,Fk,tg,Mr,og,St,Eo,qc,Ek,Rk,$r,Xk,zk,Lr,Ck,qk,jk,Ro,jc,Ak,Pk,xr,Nk,Ok,Fr,Ik,Dk,Sk,Xo,Ac,Wk,Bk,Er,Uk,Hk,Rr,Qk,Kk,Vk,Pc,Xr,Jk,Gk,ng,zr,sg,Wt,zo,Nc,Yk,Zk,Cr,ev,tv,qr,ov,nv,sv,Co,Oc,av,rv,jr,iv,lv,Ar,dv,cv,pv,ts,Ic,hv,uv,Pr,mv,fv,gv,Dc,Nr,_v,bv,ag,Sc,bh,kv,rg,os,qo,Wc,vv,yv,Or,wv,Tv,Ir,Mv,$v,Lv,jo,Bc,xv,Fv,Dr,Ev,Rv,Sr,Xv,zv,ig,Uc,Cv,lg,Hc,Wr,qv,Br,jv,Av,dg,on,ns,kh,Ur,Pv,vh,Nv,cg,Nt,Hr,Ov,mo,Iv,Qc,Dv,Sv,Kc,Wv,Bv,Qr,Uv,Hv,Qv,nn,Kv,Vc,Vv,Jv,Jc,Gv,Yv,Zv,ss,pg,sn,as,yh,Kr,ey,wh,ty,hg,et,Vr,oy,fo,ny,Gc,sy,ay,Yc,ry,iy,Jr,ly,dy,cy,Gr,py,Zc,hy,uy,my,Ao,Yr,fy,Th,gy,_y,Zr,ep,by,Mh,ky,vy,tp,yy,$h,wy,Ty,rs,ei,My,ti,$y,Lh,Ly,xy,Fy,is,oi,Ey,xh,Ry,Xy,op,ni,ug,an,ls,Fh,si,zy,Eh,Cy,mg,_t,ai,qy,Ot,jy,Rh,Ay,Py,np,Ny,Oy,sp,Iy,Dy,ri,Sy,Wy,By,ii,Uy,ap,Hy,Qy,Ky,Po,li,Vy,Xh,Jy,Gy,di,rp,Yy,zh,Zy,e1,ip,t1,Ch,o1,n1,ds,ci,s1,qh,a1,fg,rn,cs,jh,pi,r1,Ah,i1,gg,Ze,hi,l1,Ph,d1,c1,ui,p1,lp,h1,u1,m1,mi,f1,fi,g1,_1,b1,gi,k1,Nh,v1,y1,w1,lt,T1,Oh,M1,$1,Ih,L1,x1,Dh,F1,E1,Sh,R1,X1,Wh,z1,C1,Bh,q1,j1,A1,ps,P1,Uh,N1,O1,_i,I1,D1,Bt,bi,S1,ln,W1,dp,B1,U1,Hh,H1,Q1,K1,hs,V1,us,_g,dn,ms,Qh,ki,J1,Kh,G1,bg,bt,vi,Y1,yi,Z1,Vh,ew,tw,ow,wi,nw,cp,sw,aw,rw,Ti,iw,Mi,lw,dw,cw,Ut,$i,pw,cn,hw,pp,uw,mw,Jh,fw,gw,_w,fs,bw,gs,kg,pn,_s,Gh,Li,kw,Yh,vw,vg,kt,xi,yw,Fi,ww,Zh,Tw,Mw,$w,Ei,Lw,hp,xw,Fw,Ew,Ri,Rw,Xi,Xw,zw,Cw,Ht,zi,qw,hn,jw,up,Aw,Pw,eu,Nw,Ow,Iw,bs,Dw,ks,yg,un,vs,tu,Ci,Sw,ou,Ww,wg,vt,qi,Bw,nu,Uw,Hw,ji,Qw,mp,Kw,Vw,Jw,Ai,Gw,Pi,Yw,Zw,eT,Mt,Ni,tT,mn,oT,fp,nT,sT,su,aT,rT,iT,ys,lT,ws,dT,Ts,Tg,fn,Ms,au,Oi,cT,ru,pT,Mg,yt,Ii,hT,iu,uT,mT,Di,fT,gp,gT,_T,bT,Si,kT,Wi,vT,yT,wT,Qt,Bi,TT,gn,MT,_p,$T,LT,lu,xT,FT,ET,$s,RT,Ls,$g,_n,xs,du,Ui,XT,cu,zT,Lg,wt,Hi,CT,pu,qT,jT,Qi,AT,bp,PT,NT,OT,Ki,IT,Vi,DT,ST,WT,Kt,Ji,BT,bn,UT,kp,HT,QT,hu,KT,VT,JT,Fs,GT,Es,xg,kn,Rs,uu,Gi,YT,mu,ZT,Fg,Tt,Yi,eM,vn,tM,fu,oM,nM,gu,sM,aM,rM,Zi,iM,vp,lM,dM,cM,el,pM,tl,hM,uM,mM,Vt,ol,fM,yn,gM,yp,_M,bM,_u,kM,vM,yM,Xs,wM,zs,Eg,wn,Cs,bu,nl,TM,ku,MM,Rg,dt,sl,$M,vu,LM,xM,al,FM,wp,EM,RM,XM,rl,zM,il,CM,qM,jM,qs,AM,Jt,ll,PM,Tn,NM,Tp,OM,IM,yu,DM,SM,WM,js,BM,As,Xg,Mn,Ps,wu,dl,UM,Tu,HM,zg,ct,cl,QM,pl,KM,Mu,VM,JM,GM,hl,YM,Mp,ZM,e2,t2,ul,o2,ml,n2,s2,a2,Ns,r2,Gt,fl,i2,$n,l2,$p,d2,c2,$u,p2,h2,u2,Os,m2,Is,Cg,Ln,Ds,Lu,gl,f2,xu,g2,qg,pt,_l,_2,bl,b2,Fu,k2,v2,y2,kl,w2,Lp,T2,M2,$2,vl,L2,yl,x2,F2,E2,Ss,R2,$t,wl,X2,xn,z2,xp,C2,q2,Eu,j2,A2,P2,Ws,N2,Bs,O2,Us,jg,Fn,Hs,Ru,Tl,I2,Xu,D2,Ag,ht,Ml,S2,zu,W2,B2,$l,U2,Fp,H2,Q2,K2,Ll,V2,xl,J2,G2,Y2,Qs,Z2,Lt,Fl,e$,En,t$,Ep,o$,n$,Cu,s$,a$,r$,Ks,i$,Vs,l$,Js,Pg,Rn,Gs,qu,El,d$,ju,c$,Ng,ut,Rl,p$,Au,h$,u$,Xl,m$,Rp,f$,g$,_$,zl,b$,Cl,k$,v$,y$,Ys,w$,Yt,ql,T$,Xn,M$,Xp,$$,L$,Pu,x$,F$,E$,Zs,R$,ea,Og,zn,ta,Nu,jl,X$,Ou,z$,Ig,mt,Al,C$,Iu,q$,j$,Pl,A$,zp,P$,N$,O$,Nl,I$,Ol,D$,S$,W$,oa,B$,xt,Il,U$,Cn,H$,Cp,Q$,K$,Du,V$,J$,G$,na,Y$,sa,Z$,aa,Dg,qn,ra,Su,Dl,eL,Wu,tL,Sg,ft,Sl,oL,jn,nL,Bu,sL,aL,Uu,rL,iL,lL,Wl,dL,qp,cL,pL,hL,Bl,uL,Ul,mL,fL,gL,ia,_L,Ft,Hl,bL,An,kL,jp,vL,yL,Hu,wL,TL,ML,la,$L,da,LL,ca,Wg,Pn,pa,Qu,Ql,xL,Ku,FL,Bg,tt,Kl,EL,Vu,RL,XL,Vl,zL,Ap,CL,qL,jL,Jl,AL,Gl,PL,NL,OL,Ju,IL,DL,go,Gu,Yl,SL,WL,Yu,Zl,BL,UL,Zu,ed,HL,QL,em,td,KL,VL,Zt,od,JL,Nn,GL,tm,YL,ZL,om,ex,tx,ox,ha,nx,ua,Ug,On,ma,nm,nd,sx,sm,ax,Hg,ot,sd,rx,am,ix,lx,ad,dx,Pp,cx,px,hx,rd,ux,id,mx,fx,gx,rm,_x,bx,_o,im,ld,kx,vx,lm,dd,yx,wx,dm,cd,Tx,Mx,cm,pd,$x,Lx,eo,hd,xx,In,Fx,pm,Ex,Rx,hm,Xx,zx,Cx,fa,qx,ga,Qg,Dn,_a,um,ud,jx,mm,Ax,Kg,nt,md,Px,fd,Nx,fm,Ox,Ix,Dx,gd,Sx,Np,Wx,Bx,Ux,_d,Hx,bd,Qx,Kx,Vx,gm,Jx,Gx,bo,_m,kd,Yx,Zx,bm,vd,eF,tF,km,yd,oF,nF,vm,wd,sF,aF,to,Td,rF,Sn,iF,ym,lF,dF,wm,cF,pF,hF,ba,uF,ka,Vg,Wn,va,Tm,Md,mF,Mm,fF,Jg,st,$d,gF,$m,_F,bF,Ld,kF,Op,vF,yF,wF,xd,TF,Fd,MF,$F,LF,Lm,xF,FF,ko,xm,Ed,EF,RF,Fm,Rd,XF,zF,Em,Xd,CF,qF,Rm,zd,jF,AF,oo,Cd,PF,Bn,NF,Xm,OF,IF,zm,DF,SF,WF,ya,BF,wa,Gg,Un,Ta,Cm,qd,UF,qm,HF,Yg,at,jd,QF,jm,KF,VF,Ad,JF,Ip,GF,YF,ZF,Pd,e0,Nd,t0,o0,n0,Am,s0,a0,vo,Pm,Od,r0,i0,Nm,Id,l0,d0,Om,Dd,c0,p0,Im,Sd,h0,u0,no,Wd,m0,Hn,f0,Dm,g0,_0,Sm,b0,k0,v0,Ma,y0,$a,Zg,Qn,La,Wm,Bd,w0,Bm,T0,e_,rt,Ud,M0,Um,$0,L0,Hd,x0,Dp,F0,E0,R0,Qd,X0,Kd,z0,C0,q0,Hm,j0,A0,yo,Qm,Vd,P0,N0,Km,Jd,O0,I0,Vm,Gd,D0,S0,Jm,Yd,W0,B0,so,Zd,U0,Kn,H0,Gm,Q0,K0,Ym,V0,J0,G0,xa,Y0,Fa,t_,Vn,Ea,Zm,ec,Z0,ef,e4,o_,it,tc,t4,Jn,o4,tf,n4,s4,of,a4,r4,i4,oc,l4,Sp,d4,c4,p4,nc,h4,sc,u4,m4,f4,nf,g4,_4,wo,sf,ac,b4,k4,af,rc,v4,y4,rf,ic,w4,T4,lf,lc,M4,$4,ao,dc,L4,Gn,x4,df,F4,E4,cf,R4,X4,z4,Ra,C4,Xa,n_;return l=new Ie({}),x=new Ie({}),E=new Ie({}),Ae=new Jf({props:{pipeline:"text-classification"}}),ur=new Jf({props:{pipeline:"token-classification"}}),vr=new Jf({props:{pipeline:"text-generation"}}),Mr=new Jf({props:{pipeline:"fill-mask"}}),zr=new Jf({props:{pipeline:"question-answering"}}),Ur=new Ie({}),Hr=new I({props:{name:"class transformers.XLMRobertaConfig",anchor:"transformers.XLMRobertaConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the XLM-RoBERTa model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaModel">XLMRobertaModel</a> or <a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel">TFXLMRobertaModel</a>.`,name:"vocab_size"},{anchor:"transformers.XLMRobertaConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.XLMRobertaConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.XLMRobertaConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.XLMRobertaConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.XLMRobertaConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.XLMRobertaConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.XLMRobertaConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.XLMRobertaConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.XLMRobertaConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaModel">XLMRobertaModel</a> or
<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel">TFXLMRobertaModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.XLMRobertaConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.XLMRobertaConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.XLMRobertaConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.XLMRobertaConfig.is_decoder",description:`<strong>is_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the model is used as a decoder or not. If <code>False</code>, the model is used as an encoder.`,name:"is_decoder"},{anchor:"transformers.XLMRobertaConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.XLMRobertaConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/configuration_xlm_roberta.py#L45"}}),ss=new De({props:{anchor:"transformers.XLMRobertaConfig.example",$$slots:{default:[jC]},$$scope:{ctx:F}}}),Kr=new Ie({}),Vr=new I({props:{name:"class transformers.XLMRobertaTokenizer",anchor:"transformers.XLMRobertaTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMRobertaTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMRobertaTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMRobertaTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMRobertaTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMRobertaTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMRobertaTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMRobertaTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMRobertaTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.XLMRobertaTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.XLMRobertaTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L63"}}),Yr=new I({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L202",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ei=new I({props:{name:"get_special_tokens_mask",anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L228",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),oi=new I({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L256",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ni=new I({props:{name:"save_vocabulary",anchor:"transformers.XLMRobertaTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L313"}}),si=new Ie({}),ai=new I({props:{name:"class transformers.XLMRobertaTokenizerFast",anchor:"transformers.XLMRobertaTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMRobertaTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMRobertaTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMRobertaTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMRobertaTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMRobertaTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMRobertaTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMRobertaTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMRobertaTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L82"}}),li=new I({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L171",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ci=new I({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L197",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),pi=new Ie({}),hi=new I({props:{name:"class transformers.XLMRobertaModel",anchor:"transformers.XLMRobertaModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.XLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L699"}}),bi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMRobertaModel.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XLMRobertaModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMRobertaModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L744",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),hs=new Ne({props:{$$slots:{default:[AC]},$$scope:{ctx:F}}}),us=new De({props:{anchor:"transformers.XLMRobertaModel.forward.example",$$slots:{default:[PC]},$$scope:{ctx:F}}}),ki=new Ie({}),vi=new I({props:{name:"class transformers.XLMRobertaForCausalLM",anchor:"transformers.XLMRobertaForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L886"}}),$i=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMRobertaForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XLMRobertaForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMRobertaForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L912",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fs=new Ne({props:{$$slots:{default:[NC]},$$scope:{ctx:F}}}),gs=new De({props:{anchor:"transformers.XLMRobertaForCausalLM.forward.example",$$slots:{default:[OC]},$$scope:{ctx:F}}}),Li=new Ie({}),xi=new I({props:{name:"class transformers.XLMRobertaForMaskedLM",anchor:"transformers.XLMRobertaForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1042"}}),zi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, any]</code>, optional, defaults to <em>{}</em>) &#x2014;
Used to hide legacy arguments that have been deprecated.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1071",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),bs=new Ne({props:{$$slots:{default:[IC]},$$scope:{ctx:F}}}),ks=new De({props:{anchor:"transformers.XLMRobertaForMaskedLM.forward.example",$$slots:{default:[DC]},$$scope:{ctx:F}}}),Ci=new Ie({}),qi=new I({props:{name:"class transformers.XLMRobertaForSequenceClassification",anchor:"transformers.XLMRobertaForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1178"}}),Ni=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1192",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ys=new Ne({props:{$$slots:{default:[SC]},$$scope:{ctx:F}}}),ws=new De({props:{anchor:"transformers.XLMRobertaForSequenceClassification.forward.example",$$slots:{default:[WC]},$$scope:{ctx:F}}}),Ts=new De({props:{anchor:"transformers.XLMRobertaForSequenceClassification.forward.example-2",$$slots:{default:[BC]},$$scope:{ctx:F}}}),Oi=new Ie({}),Ii=new I({props:{name:"class transformers.XLMRobertaForMultipleChoice",anchor:"transformers.XLMRobertaForMultipleChoice",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1278"}}),Bi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <code>num_choices</code> is the size of the second dimension of the input tensors. (See
<code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1291",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),$s=new Ne({props:{$$slots:{default:[UC]},$$scope:{ctx:F}}}),Ls=new De({props:{anchor:"transformers.XLMRobertaForMultipleChoice.forward.example",$$slots:{default:[HC]},$$scope:{ctx:F}}}),Ui=new Ie({}),Hi=new I({props:{name:"class transformers.XLMRobertaForTokenClassification",anchor:"transformers.XLMRobertaForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1373"}}),Ji=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1391",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fs=new Ne({props:{$$slots:{default:[QC]},$$scope:{ctx:F}}}),Es=new De({props:{anchor:"transformers.XLMRobertaForTokenClassification.forward.example",$$slots:{default:[KC]},$$scope:{ctx:F}}}),Gi=new Ie({}),Yi=new I({props:{name:"class transformers.XLMRobertaForQuestionAnswering",anchor:"transformers.XLMRobertaForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1483"}}),ol=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1497",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xs=new Ne({props:{$$slots:{default:[VC]},$$scope:{ctx:F}}}),zs=new De({props:{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.example",$$slots:{default:[JC]},$$scope:{ctx:F}}}),nl=new Ie({}),sl=new I({props:{name:"class transformers.TFXLMRobertaModel",anchor:"transformers.TFXLMRobertaModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L916"}}),qs=new Ne({props:{$$slots:{default:[GC]},$$scope:{ctx:F}}}),ll=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaModel.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFXLMRobertaModel.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFXLMRobertaModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFXLMRobertaModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L921",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),js=new Ne({props:{$$slots:{default:[YC]},$$scope:{ctx:F}}}),As=new De({props:{anchor:"transformers.TFXLMRobertaModel.call.example",$$slots:{default:[ZC]},$$scope:{ctx:F}}}),dl=new Ie({}),cl=new I({props:{name:"class transformers.TFXLMRobertaForCausalLM",anchor:"transformers.TFXLMRobertaForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1150"}}),Ns=new Ne({props:{$$slots:{default:[eq]},$$scope:{ctx:F}}}),fl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForCausalLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForCausalLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1183",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Os=new Ne({props:{$$slots:{default:[tq]},$$scope:{ctx:F}}}),Is=new De({props:{anchor:"transformers.TFXLMRobertaForCausalLM.call.example",$$slots:{default:[oq]},$$scope:{ctx:F}}}),gl=new Ie({}),_l=new I({props:{name:"class transformers.TFXLMRobertaForMaskedLM",anchor:"transformers.TFXLMRobertaForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1061"}}),Ss=new Ne({props:{$$slots:{default:[nq]},$$scope:{ctx:F}}}),wl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1078",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ws=new Ne({props:{$$slots:{default:[sq]},$$scope:{ctx:F}}}),Bs=new De({props:{anchor:"transformers.TFXLMRobertaForMaskedLM.call.example",$$slots:{default:[aq]},$$scope:{ctx:F}}}),Us=new De({props:{anchor:"transformers.TFXLMRobertaForMaskedLM.call.example-2",$$slots:{default:[rq]},$$scope:{ctx:F}}}),Tl=new Ie({}),Ml=new I({props:{name:"class transformers.TFXLMRobertaForSequenceClassification",anchor:"transformers.TFXLMRobertaForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1323"}}),Qs=new Ne({props:{$$slots:{default:[iq]},$$scope:{ctx:F}}}),Fl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1334",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ks=new Ne({props:{$$slots:{default:[lq]},$$scope:{ctx:F}}}),Vs=new De({props:{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.example",$$slots:{default:[dq]},$$scope:{ctx:F}}}),Js=new De({props:{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.example-2",$$slots:{default:[cq]},$$scope:{ctx:F}}}),El=new Ie({}),Rl=new I({props:{name:"class transformers.TFXLMRobertaForMultipleChoice",anchor:"transformers.TFXLMRobertaForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1407"}}),Ys=new Ne({props:{$$slots:{default:[pq]},$$scope:{ctx:F}}}),ql=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1431",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Zs=new Ne({props:{$$slots:{default:[hq]},$$scope:{ctx:F}}}),ea=new De({props:{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.example",$$slots:{default:[uq]},$$scope:{ctx:F}}}),jl=new Ie({}),Al=new I({props:{name:"class transformers.TFXLMRobertaForTokenClassification",anchor:"transformers.TFXLMRobertaForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1530"}}),oa=new Ne({props:{$$slots:{default:[mq]},$$scope:{ctx:F}}}),Il=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1548",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),na=new Ne({props:{$$slots:{default:[fq]},$$scope:{ctx:F}}}),sa=new De({props:{anchor:"transformers.TFXLMRobertaForTokenClassification.call.example",$$slots:{default:[gq]},$$scope:{ctx:F}}}),aa=new De({props:{anchor:"transformers.TFXLMRobertaForTokenClassification.call.example-2",$$slots:{default:[_q]},$$scope:{ctx:F}}}),Dl=new Ie({}),Sl=new I({props:{name:"class transformers.TFXLMRobertaForQuestionAnswering",anchor:"transformers.TFXLMRobertaForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1621"}}),ia=new Ne({props:{$$slots:{default:[bq]},$$scope:{ctx:F}}}),Hl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1634",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),la=new Ne({props:{$$slots:{default:[kq]},$$scope:{ctx:F}}}),da=new De({props:{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.example",$$slots:{default:[vq]},$$scope:{ctx:F}}}),ca=new De({props:{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.example-2",$$slots:{default:[yq]},$$scope:{ctx:F}}}),Ql=new Ie({}),Kl=new I({props:{name:"class transformers.FlaxXLMRobertaModel",anchor:"transformers.FlaxXLMRobertaModel",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1004"}}),od=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ha=new Ne({props:{$$slots:{default:[wq]},$$scope:{ctx:F}}}),ua=new De({props:{anchor:"transformers.FlaxXLMRobertaModel.__call__.example",$$slots:{default:[Tq]},$$scope:{ctx:F}}}),nd=new Ie({}),sd=new I({props:{name:"class transformers.FlaxXLMRobertaForCausalLM",anchor:"transformers.FlaxXLMRobertaForCausalLM",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1470"}}),hd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fa=new Ne({props:{$$slots:{default:[Mq]},$$scope:{ctx:F}}}),ga=new De({props:{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.example",$$slots:{default:[$q]},$$scope:{ctx:F}}}),ud=new Ie({}),md=new I({props:{name:"class transformers.FlaxXLMRobertaForMaskedLM",anchor:"transformers.FlaxXLMRobertaForMaskedLM",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1071"}}),Td=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ba=new Ne({props:{$$slots:{default:[Lq]},$$scope:{ctx:F}}}),ka=new De({props:{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.example",$$slots:{default:[xq]},$$scope:{ctx:F}}}),Md=new Ie({}),$d=new I({props:{name:"class transformers.FlaxXLMRobertaForSequenceClassification",anchor:"transformers.FlaxXLMRobertaForSequenceClassification",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1144"}}),Cd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ya=new Ne({props:{$$slots:{default:[Fq]},$$scope:{ctx:F}}}),wa=new De({props:{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.example",$$slots:{default:[Eq]},$$scope:{ctx:F}}}),qd=new Ie({}),jd=new I({props:{name:"class transformers.FlaxXLMRobertaForMultipleChoice",anchor:"transformers.FlaxXLMRobertaForMultipleChoice",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1225"}}),Wd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ma=new Ne({props:{$$slots:{default:[Rq]},$$scope:{ctx:F}}}),$a=new De({props:{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.example",$$slots:{default:[Xq]},$$scope:{ctx:F}}}),Bd=new Ie({}),Ud=new I({props:{name:"class transformers.FlaxXLMRobertaForTokenClassification",anchor:"transformers.FlaxXLMRobertaForTokenClassification",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1307"}}),Zd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xa=new Ne({props:{$$slots:{default:[zq]},$$scope:{ctx:F}}}),Fa=new De({props:{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.example",$$slots:{default:[Cq]},$$scope:{ctx:F}}}),ec=new Ie({}),tc=new I({props:{name:"class transformers.FlaxXLMRobertaForQuestionAnswering",anchor:"transformers.FlaxXLMRobertaForQuestionAnswering",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1384"}}),dc=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.1/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ra=new Ne({props:{$$slots:{default:[qq]},$$scope:{ctx:F}}}),Xa=new De({props:{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.example",$$slots:{default:[jq]},$$scope:{ctx:F}}}),{c(){d=s("meta"),k=p(),m=s("h1"),f=s("a"),b=s("span"),y(l.$$.fragment),u=p(),R=s("span"),ye=o("XLM-RoBERTa"),fe=p(),O=s("h2"),re=s("a"),te=s("span"),y(x.$$.fragment),we=p(),U=s("span"),Te=o("Overview"),ge=p(),D=s("p"),Me=o("The XLM-RoBERTa model was proposed in "),le=s("a"),Q=o("Unsupervised Cross-lingual Representation Learning at Scale"),$e=o(` by Alexis Conneau, Kartikay Khandelwal, Naman Goyal, Vishrav Chaudhary, Guillaume
Wenzek, Francisco Guzm\xE1n, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov. It is based on Facebook\u2019s
RoBERTa model released in 2019. It is a large multi-lingual language model, trained on 2.5TB of filtered CommonCrawl
data.`),_e=p(),W=s("p"),Le=o("The abstract from the paper is the following:"),be=p(),B=s("p"),me=s("em"),xe=o(`This paper shows that pretraining multilingual language models at scale leads to significant performance gains for a
wide range of cross-lingual transfer tasks. We train a Transformer-based masked language model on one hundred
languages, using more than two terabytes of filtered CommonCrawl data. Our model, dubbed XLM-R, significantly
outperforms multilingual BERT (mBERT) on a variety of cross-lingual benchmarks, including +13.8% average accuracy on
XNLI, +12.3% average F1 score on MLQA, and +2.1% average F1 score on NER. XLM-R performs particularly well on
low-resource languages, improving 11.8% in XNLI accuracy for Swahili and 9.2% for Urdu over the previous XLM model. We
also present a detailed empirical evaluation of the key factors that are required to achieve these gains, including the
trade-offs between (1) positive transfer and capacity dilution and (2) the performance of high and low resource
languages at scale. Finally, we show, for the first time, the possibility of multilingual modeling without sacrificing
per-language performance; XLM-Ris very competitive with strong monolingual models on the GLUE and XNLI benchmarks. We
will make XLM-R code, data, and models publicly available.`),ne=p(),z=s("p"),C=o("Tips:"),ke=p(),S=s("ul"),de=s("li"),Fe=o(`XLM-RoBERTa is a multilingual model trained on 100 different languages. Unlike some XLM multilingual models, it does
not require `),H=s("code"),Ee=o("lang"),Re=o(` tensors to understand which language is used, and should be able to determine the correct
language from the input ids.`),q=p(),ce=s("li"),K=o("This implementation is the same as RoBERTa. Refer to the "),ue=s("a"),Xe=o("documentation of RoBERTa"),V=o(` for usage examples
as well as the information relative to the inputs and outputs.`),ve=p(),se=s("p"),N=o("This model was contributed by "),pe=s("a"),J=o("stefan-it"),ze=o(". The original code can be found "),Z=s("a"),j=o("here"),Ce=o("."),A=p(),ae=s("h2"),ie=s("a"),v=s("span"),y(E.$$.fragment),Qe=p(),oe=s("span"),Ke=o("Resources"),Be=p(),X=s("p"),Ve=o("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with XLM-RoBERTa. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ue=p(),y(Ae.$$.fragment),He=p(),he=s("ul"),P=s("li"),G=o("A blog post on how to "),Pe=s("a"),Je=o("finetune XLM RoBERTa for multiclass classification with Habana Gaudi on AWS"),Y=p(),qe=s("li"),Oe=s("a"),je=o("XLMRobertaForSequenceClassification"),Ge=o(" is supported by this "),ee=s("a"),Ye=o("example script"),Cb=o(" and "),ir=s("a"),qb=o("notebook"),jb=o("."),Ab=p(),Mo=s("li"),$c=s("a"),Pb=o("TFXLMRobertaForSequenceClassification"),Nb=o(" is supported by this "),lr=s("a"),Ob=o("example script"),Ib=o(" and "),dr=s("a"),Db=o("notebook"),Sb=o("."),Wb=p(),$o=s("li"),Lc=s("a"),Bb=o("FlaxXLMRobertaForSequenceClassification"),Ub=o(" is supported by this "),cr=s("a"),Hb=o("example script"),Qb=o(" and "),pr=s("a"),Kb=o("notebook"),Vb=o("."),Jb=p(),xc=s("li"),hr=s("a"),Gb=o("Text classification"),Yb=o(" chapter of the \u{1F917} Hugging Face Task Guides."),Gf=p(),y(ur.$$.fragment),Yf=p(),Dt=s("ul"),Lo=s("li"),Fc=s("a"),Zb=o("XLMRobertaForTokenClassification"),ek=o(" is supported by this "),mr=s("a"),tk=o("example script"),ok=o(" and "),fr=s("a"),nk=o("notebook"),sk=o("."),ak=p(),xo=s("li"),Ec=s("a"),rk=o("TFXLMRobertaForTokenClassification"),ik=o(" is supported by this "),gr=s("a"),lk=o("example script"),dk=o(" and "),_r=s("a"),ck=o("notebook"),pk=o("."),hk=p(),Zn=s("li"),Rc=s("a"),uk=o("FlaxXLMRobertaForTokenClassification"),mk=o(" is supported by this "),br=s("a"),fk=o("example script"),gk=o("."),_k=p(),Xc=s("li"),kr=s("a"),bk=o("Token classification"),kk=o(" chapter of the \u{1F917} Hugging Face Course."),Zf=p(),y(vr.$$.fragment),eg=p(),es=s("ul"),Fo=s("li"),zc=s("a"),vk=o("XLMRobertaForCausalLM"),yk=o(" is supported by this "),yr=s("a"),wk=o("example script"),Tk=o(" and "),wr=s("a"),Mk=o("notebook"),$k=o("."),Lk=p(),Cc=s("li"),Tr=s("a"),xk=o("Causal language modeling"),Fk=o(" chapter of the \u{1F917} Hugging Face Task Guides."),tg=p(),y(Mr.$$.fragment),og=p(),St=s("ul"),Eo=s("li"),qc=s("a"),Ek=o("XLMRobertaForMaskedLM"),Rk=o(" is supported by this "),$r=s("a"),Xk=o("example script"),zk=o(" and "),Lr=s("a"),Ck=o("notebook"),qk=o("."),jk=p(),Ro=s("li"),jc=s("a"),Ak=o("TFXLMRobertaForMaskedLM"),Pk=o(" is supported by this "),xr=s("a"),Nk=o("example script"),Ok=o(" and "),Fr=s("a"),Ik=o("notebook"),Dk=o("."),Sk=p(),Xo=s("li"),Ac=s("a"),Wk=o("FlaxXLMRobertaForMaskedLM"),Bk=o(" is supported by this "),Er=s("a"),Uk=o("example script"),Hk=o(" and "),Rr=s("a"),Qk=o("notebook"),Kk=o("."),Vk=p(),Pc=s("li"),Xr=s("a"),Jk=o("Masked language modeling"),Gk=o(" chapter of the \u{1F917} Hugging Face Course."),ng=p(),y(zr.$$.fragment),sg=p(),Wt=s("ul"),zo=s("li"),Nc=s("a"),Yk=o("XLMRobertaForQuestionAnswering"),Zk=o(" is supported by this "),Cr=s("a"),ev=o("example script"),tv=o(" and "),qr=s("a"),ov=o("notebook"),nv=o("."),sv=p(),Co=s("li"),Oc=s("a"),av=o("TFXLMRobertaForQuestionAnswering"),rv=o(" is supported by this "),jr=s("a"),iv=o("example script"),lv=o(" and "),Ar=s("a"),dv=o("notebook"),cv=o("."),pv=p(),ts=s("li"),Ic=s("a"),hv=o("FlaxXLMRobertaForQuestionAnswering"),uv=o(" is supported by this "),Pr=s("a"),mv=o("example script"),fv=o("."),gv=p(),Dc=s("li"),Nr=s("a"),_v=o("Question answering"),bv=o(" chapter of the \u{1F917} Hugging Face Course."),ag=p(),Sc=s("p"),bh=s("strong"),kv=o("Multiple choice"),rg=p(),os=s("ul"),qo=s("li"),Wc=s("a"),vv=o("XLMRobertaForMultipleChoice"),yv=o(" is supported by this "),Or=s("a"),wv=o("example script"),Tv=o(" and "),Ir=s("a"),Mv=o("notebook"),$v=o("."),Lv=p(),jo=s("li"),Bc=s("a"),xv=o("TFXLMRobertaForMultipleChoice"),Fv=o(" is supported by this "),Dr=s("a"),Ev=o("example script"),Rv=o(" and "),Sr=s("a"),Xv=o("notebook"),zv=o("."),ig=p(),Uc=s("p"),Cv=o("\u{1F680} Deploy"),lg=p(),Hc=s("ul"),Wr=s("li"),qv=o("A blog post on how to "),Br=s("a"),jv=o("Deploy Serveless XLM RoBERTa on AWS Lambda"),Av=o("."),dg=p(),on=s("h2"),ns=s("a"),kh=s("span"),y(Ur.$$.fragment),Pv=p(),vh=s("span"),Nv=o("XLMRobertaConfig"),cg=p(),Nt=s("div"),y(Hr.$$.fragment),Ov=p(),mo=s("p"),Iv=o("This is the configuration class to store the configuration of a "),Qc=s("a"),Dv=o("XLMRobertaModel"),Sv=o(" or a "),Kc=s("a"),Wv=o("TFXLMRobertaModel"),Bv=o(`. It
is used to instantiate a XLM-RoBERTa model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the XLMRoBERTa
`),Qr=s("a"),Uv=o("xlm-roberta-base"),Hv=o(" architecture."),Qv=p(),nn=s("p"),Kv=o("Configuration objects inherit from "),Vc=s("a"),Vv=o("PretrainedConfig"),Jv=o(` and can be used to control the model outputs. Read the
documentation from `),Jc=s("a"),Gv=o("PretrainedConfig"),Yv=o(" for more information."),Zv=p(),y(ss.$$.fragment),pg=p(),sn=s("h2"),as=s("a"),yh=s("span"),y(Kr.$$.fragment),ey=p(),wh=s("span"),ty=o("XLMRobertaTokenizer"),hg=p(),et=s("div"),y(Vr.$$.fragment),oy=p(),fo=s("p"),ny=o("Adapted from "),Gc=s("a"),sy=o("RobertaTokenizer"),ay=o(" and "),Yc=s("a"),ry=o("XLNetTokenizer"),iy=o(`. Based on
`),Jr=s("a"),ly=o("SentencePiece"),dy=o("."),cy=p(),Gr=s("p"),py=o("This tokenizer inherits from "),Zc=s("a"),hy=o("PreTrainedTokenizer"),uy=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),my=p(),Ao=s("div"),y(Yr.$$.fragment),fy=p(),Th=s("p"),gy=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),_y=p(),Zr=s("ul"),ep=s("li"),by=o("single sequence: "),Mh=s("code"),ky=o("<s> X </s>"),vy=p(),tp=s("li"),yy=o("pair of sequences: "),$h=s("code"),wy=o("<s> A </s></s> B </s>"),Ty=p(),rs=s("div"),y(ei.$$.fragment),My=p(),ti=s("p"),$y=o(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Lh=s("code"),Ly=o("prepare_for_model"),xy=o(" method."),Fy=p(),is=s("div"),y(oi.$$.fragment),Ey=p(),xh=s("p"),Ry=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),Xy=p(),op=s("div"),y(ni.$$.fragment),ug=p(),an=s("h2"),ls=s("a"),Fh=s("span"),y(si.$$.fragment),zy=p(),Eh=s("span"),Cy=o("XLMRobertaTokenizerFast"),mg=p(),_t=s("div"),y(ai.$$.fragment),qy=p(),Ot=s("p"),jy=o("Construct a \u201Cfast\u201D XLM-RoBERTa tokenizer (backed by HuggingFace\u2019s "),Rh=s("em"),Ay=o("tokenizers"),Py=o(` library). Adapted from
`),np=s("a"),Ny=o("RobertaTokenizer"),Oy=o(" and "),sp=s("a"),Iy=o("XLNetTokenizer"),Dy=o(`. Based on
`),ri=s("a"),Sy=o("BPE"),Wy=o("."),By=p(),ii=s("p"),Uy=o("This tokenizer inherits from "),ap=s("a"),Hy=o("PreTrainedTokenizerFast"),Qy=o(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Ky=p(),Po=s("div"),y(li.$$.fragment),Vy=p(),Xh=s("p"),Jy=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),Gy=p(),di=s("ul"),rp=s("li"),Yy=o("single sequence: "),zh=s("code"),Zy=o("<s> X </s>"),e1=p(),ip=s("li"),t1=o("pair of sequences: "),Ch=s("code"),o1=o("<s> A </s></s> B </s>"),n1=p(),ds=s("div"),y(ci.$$.fragment),s1=p(),qh=s("p"),a1=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),fg=p(),rn=s("h2"),cs=s("a"),jh=s("span"),y(pi.$$.fragment),r1=p(),Ah=s("span"),i1=o("XLMRobertaModel"),gg=p(),Ze=s("div"),y(hi.$$.fragment),l1=p(),Ph=s("p"),d1=o("The bare XLM-RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),c1=p(),ui=s("p"),p1=o("This model inherits from "),lp=s("a"),h1=o("PreTrainedModel"),u1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),m1=p(),mi=s("p"),f1=o("This model is also a PyTorch "),fi=s("a"),g1=o("torch.nn.Module"),_1=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),b1=p(),gi=s("p"),k1=o(`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),Nh=s("em"),v1=o(`Attention is
all you need`),y1=o(`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),w1=p(),lt=s("p"),T1=o("To behave as an decoder the model needs to be initialized with the "),Oh=s("code"),M1=o("is_decoder"),$1=o(` argument of the configuration set
to `),Ih=s("code"),L1=o("True"),x1=o(". To be used in a Seq2Seq model, the model needs to initialized with both "),Dh=s("code"),F1=o("is_decoder"),E1=o(` argument and
`),Sh=s("code"),R1=o("add_cross_attention"),X1=o(" set to "),Wh=s("code"),z1=o("True"),C1=o("; an "),Bh=s("code"),q1=o("encoder_hidden_states"),j1=o(" is then expected as an input to the forward pass."),A1=p(),ps=s("p"),P1=o(".. _"),Uh=s("em"),N1=o("Attention is all you need"),O1=o(": "),_i=s("a"),I1=o("https://arxiv.org/abs/1706.03762"),D1=p(),Bt=s("div"),y(bi.$$.fragment),S1=p(),ln=s("p"),W1=o("The "),dp=s("a"),B1=o("XLMRobertaModel"),U1=o(" forward method, overrides the "),Hh=s("code"),H1=o("__call__"),Q1=o(" special method."),K1=p(),y(hs.$$.fragment),V1=p(),y(us.$$.fragment),_g=p(),dn=s("h2"),ms=s("a"),Qh=s("span"),y(ki.$$.fragment),J1=p(),Kh=s("span"),G1=o("XLMRobertaForCausalLM"),bg=p(),bt=s("div"),y(vi.$$.fragment),Y1=p(),yi=s("p"),Z1=o("XLM-RoBERTa Model with a "),Vh=s("code"),ew=o("language modeling"),tw=o(" head on top for CLM fine-tuning."),ow=p(),wi=s("p"),nw=o("This model inherits from "),cp=s("a"),sw=o("PreTrainedModel"),aw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rw=p(),Ti=s("p"),iw=o("This model is also a PyTorch "),Mi=s("a"),lw=o("torch.nn.Module"),dw=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),cw=p(),Ut=s("div"),y($i.$$.fragment),pw=p(),cn=s("p"),hw=o("The "),pp=s("a"),uw=o("XLMRobertaForCausalLM"),mw=o(" forward method, overrides the "),Jh=s("code"),fw=o("__call__"),gw=o(" special method."),_w=p(),y(fs.$$.fragment),bw=p(),y(gs.$$.fragment),kg=p(),pn=s("h2"),_s=s("a"),Gh=s("span"),y(Li.$$.fragment),kw=p(),Yh=s("span"),vw=o("XLMRobertaForMaskedLM"),vg=p(),kt=s("div"),y(xi.$$.fragment),yw=p(),Fi=s("p"),ww=o("XLM-RoBERTa Model with a "),Zh=s("code"),Tw=o("language modeling"),Mw=o(" head on top."),$w=p(),Ei=s("p"),Lw=o("This model inherits from "),hp=s("a"),xw=o("PreTrainedModel"),Fw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ew=p(),Ri=s("p"),Rw=o("This model is also a PyTorch "),Xi=s("a"),Xw=o("torch.nn.Module"),zw=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Cw=p(),Ht=s("div"),y(zi.$$.fragment),qw=p(),hn=s("p"),jw=o("The "),up=s("a"),Aw=o("XLMRobertaForMaskedLM"),Pw=o(" forward method, overrides the "),eu=s("code"),Nw=o("__call__"),Ow=o(" special method."),Iw=p(),y(bs.$$.fragment),Dw=p(),y(ks.$$.fragment),yg=p(),un=s("h2"),vs=s("a"),tu=s("span"),y(Ci.$$.fragment),Sw=p(),ou=s("span"),Ww=o("XLMRobertaForSequenceClassification"),wg=p(),vt=s("div"),y(qi.$$.fragment),Bw=p(),nu=s("p"),Uw=o(`XLM-RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Hw=p(),ji=s("p"),Qw=o("This model inherits from "),mp=s("a"),Kw=o("PreTrainedModel"),Vw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jw=p(),Ai=s("p"),Gw=o("This model is also a PyTorch "),Pi=s("a"),Yw=o("torch.nn.Module"),Zw=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),eT=p(),Mt=s("div"),y(Ni.$$.fragment),tT=p(),mn=s("p"),oT=o("The "),fp=s("a"),nT=o("XLMRobertaForSequenceClassification"),sT=o(" forward method, overrides the "),su=s("code"),aT=o("__call__"),rT=o(" special method."),iT=p(),y(ys.$$.fragment),lT=p(),y(ws.$$.fragment),dT=p(),y(Ts.$$.fragment),Tg=p(),fn=s("h2"),Ms=s("a"),au=s("span"),y(Oi.$$.fragment),cT=p(),ru=s("span"),pT=o("XLMRobertaForMultipleChoice"),Mg=p(),yt=s("div"),y(Ii.$$.fragment),hT=p(),iu=s("p"),uT=o(`XLM-RoBERTa Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),mT=p(),Di=s("p"),fT=o("This model inherits from "),gp=s("a"),gT=o("PreTrainedModel"),_T=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),bT=p(),Si=s("p"),kT=o("This model is also a PyTorch "),Wi=s("a"),vT=o("torch.nn.Module"),yT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wT=p(),Qt=s("div"),y(Bi.$$.fragment),TT=p(),gn=s("p"),MT=o("The "),_p=s("a"),$T=o("XLMRobertaForMultipleChoice"),LT=o(" forward method, overrides the "),lu=s("code"),xT=o("__call__"),FT=o(" special method."),ET=p(),y($s.$$.fragment),RT=p(),y(Ls.$$.fragment),$g=p(),_n=s("h2"),xs=s("a"),du=s("span"),y(Ui.$$.fragment),XT=p(),cu=s("span"),zT=o("XLMRobertaForTokenClassification"),Lg=p(),wt=s("div"),y(Hi.$$.fragment),CT=p(),pu=s("p"),qT=o(`XLM-RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),jT=p(),Qi=s("p"),AT=o("This model inherits from "),bp=s("a"),PT=o("PreTrainedModel"),NT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),OT=p(),Ki=s("p"),IT=o("This model is also a PyTorch "),Vi=s("a"),DT=o("torch.nn.Module"),ST=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),WT=p(),Kt=s("div"),y(Ji.$$.fragment),BT=p(),bn=s("p"),UT=o("The "),kp=s("a"),HT=o("XLMRobertaForTokenClassification"),QT=o(" forward method, overrides the "),hu=s("code"),KT=o("__call__"),VT=o(" special method."),JT=p(),y(Fs.$$.fragment),GT=p(),y(Es.$$.fragment),xg=p(),kn=s("h2"),Rs=s("a"),uu=s("span"),y(Gi.$$.fragment),YT=p(),mu=s("span"),ZT=o("XLMRobertaForQuestionAnswering"),Fg=p(),Tt=s("div"),y(Yi.$$.fragment),eM=p(),vn=s("p"),tM=o(`XLM-RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),fu=s("code"),oM=o("span start logits"),nM=o(" and "),gu=s("code"),sM=o("span end logits"),aM=o(")."),rM=p(),Zi=s("p"),iM=o("This model inherits from "),vp=s("a"),lM=o("PreTrainedModel"),dM=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),cM=p(),el=s("p"),pM=o("This model is also a PyTorch "),tl=s("a"),hM=o("torch.nn.Module"),uM=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),mM=p(),Vt=s("div"),y(ol.$$.fragment),fM=p(),yn=s("p"),gM=o("The "),yp=s("a"),_M=o("XLMRobertaForQuestionAnswering"),bM=o(" forward method, overrides the "),_u=s("code"),kM=o("__call__"),vM=o(" special method."),yM=p(),y(Xs.$$.fragment),wM=p(),y(zs.$$.fragment),Eg=p(),wn=s("h2"),Cs=s("a"),bu=s("span"),y(nl.$$.fragment),TM=p(),ku=s("span"),MM=o("TFXLMRobertaModel"),Rg=p(),dt=s("div"),y(sl.$$.fragment),$M=p(),vu=s("p"),LM=o("The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),xM=p(),al=s("p"),FM=o("This model inherits from "),wp=s("a"),EM=o("TFPreTrainedModel"),RM=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),XM=p(),rl=s("p"),zM=o("This model is also a "),il=s("a"),CM=o("tf.keras.Model"),qM=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),jM=p(),y(qs.$$.fragment),AM=p(),Jt=s("div"),y(ll.$$.fragment),PM=p(),Tn=s("p"),NM=o("The "),Tp=s("a"),OM=o("TFXLMRobertaModel"),IM=o(" forward method, overrides the "),yu=s("code"),DM=o("__call__"),SM=o(" special method."),WM=p(),y(js.$$.fragment),BM=p(),y(As.$$.fragment),Xg=p(),Mn=s("h2"),Ps=s("a"),wu=s("span"),y(dl.$$.fragment),UM=p(),Tu=s("span"),HM=o("TFXLMRobertaForCausalLM"),zg=p(),ct=s("div"),y(cl.$$.fragment),QM=p(),pl=s("p"),KM=o("XLM-RoBERTa Model with a "),Mu=s("code"),VM=o("language modeling"),JM=o(" head on top for CLM fine-tuning."),GM=p(),hl=s("p"),YM=o("This model inherits from "),Mp=s("a"),ZM=o("TFPreTrainedModel"),e2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),t2=p(),ul=s("p"),o2=o("This model is also a "),ml=s("a"),n2=o("tf.keras.Model"),s2=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),a2=p(),y(Ns.$$.fragment),r2=p(),Gt=s("div"),y(fl.$$.fragment),i2=p(),$n=s("p"),l2=o("The "),$p=s("a"),d2=o("TFXLMRobertaForCausalLM"),c2=o(" forward method, overrides the "),$u=s("code"),p2=o("__call__"),h2=o(" special method."),u2=p(),y(Os.$$.fragment),m2=p(),y(Is.$$.fragment),Cg=p(),Ln=s("h2"),Ds=s("a"),Lu=s("span"),y(gl.$$.fragment),f2=p(),xu=s("span"),g2=o("TFXLMRobertaForMaskedLM"),qg=p(),pt=s("div"),y(_l.$$.fragment),_2=p(),bl=s("p"),b2=o("XLM RoBERTa Model with a "),Fu=s("code"),k2=o("language modeling"),v2=o(" head on top."),y2=p(),kl=s("p"),w2=o("This model inherits from "),Lp=s("a"),T2=o("TFPreTrainedModel"),M2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$2=p(),vl=s("p"),L2=o("This model is also a "),yl=s("a"),x2=o("tf.keras.Model"),F2=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),E2=p(),y(Ss.$$.fragment),R2=p(),$t=s("div"),y(wl.$$.fragment),X2=p(),xn=s("p"),z2=o("The "),xp=s("a"),C2=o("TFXLMRobertaForMaskedLM"),q2=o(" forward method, overrides the "),Eu=s("code"),j2=o("__call__"),A2=o(" special method."),P2=p(),y(Ws.$$.fragment),N2=p(),y(Bs.$$.fragment),O2=p(),y(Us.$$.fragment),jg=p(),Fn=s("h2"),Hs=s("a"),Ru=s("span"),y(Tl.$$.fragment),I2=p(),Xu=s("span"),D2=o("TFXLMRobertaForSequenceClassification"),Ag=p(),ht=s("div"),y(Ml.$$.fragment),S2=p(),zu=s("p"),W2=o(`XLM RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),B2=p(),$l=s("p"),U2=o("This model inherits from "),Fp=s("a"),H2=o("TFPreTrainedModel"),Q2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),K2=p(),Ll=s("p"),V2=o("This model is also a "),xl=s("a"),J2=o("tf.keras.Model"),G2=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Y2=p(),y(Qs.$$.fragment),Z2=p(),Lt=s("div"),y(Fl.$$.fragment),e$=p(),En=s("p"),t$=o("The "),Ep=s("a"),o$=o("TFXLMRobertaForSequenceClassification"),n$=o(" forward method, overrides the "),Cu=s("code"),s$=o("__call__"),a$=o(" special method."),r$=p(),y(Ks.$$.fragment),i$=p(),y(Vs.$$.fragment),l$=p(),y(Js.$$.fragment),Pg=p(),Rn=s("h2"),Gs=s("a"),qu=s("span"),y(El.$$.fragment),d$=p(),ju=s("span"),c$=o("TFXLMRobertaForMultipleChoice"),Ng=p(),ut=s("div"),y(Rl.$$.fragment),p$=p(),Au=s("p"),h$=o(`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),u$=p(),Xl=s("p"),m$=o("This model inherits from "),Rp=s("a"),f$=o("TFPreTrainedModel"),g$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_$=p(),zl=s("p"),b$=o("This model is also a "),Cl=s("a"),k$=o("tf.keras.Model"),v$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),y$=p(),y(Ys.$$.fragment),w$=p(),Yt=s("div"),y(ql.$$.fragment),T$=p(),Xn=s("p"),M$=o("The "),Xp=s("a"),$$=o("TFXLMRobertaForMultipleChoice"),L$=o(" forward method, overrides the "),Pu=s("code"),x$=o("__call__"),F$=o(" special method."),E$=p(),y(Zs.$$.fragment),R$=p(),y(ea.$$.fragment),Og=p(),zn=s("h2"),ta=s("a"),Nu=s("span"),y(jl.$$.fragment),X$=p(),Ou=s("span"),z$=o("TFXLMRobertaForTokenClassification"),Ig=p(),mt=s("div"),y(Al.$$.fragment),C$=p(),Iu=s("p"),q$=o(`XLM RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),j$=p(),Pl=s("p"),A$=o("This model inherits from "),zp=s("a"),P$=o("TFPreTrainedModel"),N$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),O$=p(),Nl=s("p"),I$=o("This model is also a "),Ol=s("a"),D$=o("tf.keras.Model"),S$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),W$=p(),y(oa.$$.fragment),B$=p(),xt=s("div"),y(Il.$$.fragment),U$=p(),Cn=s("p"),H$=o("The "),Cp=s("a"),Q$=o("TFXLMRobertaForTokenClassification"),K$=o(" forward method, overrides the "),Du=s("code"),V$=o("__call__"),J$=o(" special method."),G$=p(),y(na.$$.fragment),Y$=p(),y(sa.$$.fragment),Z$=p(),y(aa.$$.fragment),Dg=p(),qn=s("h2"),ra=s("a"),Su=s("span"),y(Dl.$$.fragment),eL=p(),Wu=s("span"),tL=o("TFXLMRobertaForQuestionAnswering"),Sg=p(),ft=s("div"),y(Sl.$$.fragment),oL=p(),jn=s("p"),nL=o(`XLM RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),Bu=s("code"),sL=o("span start logits"),aL=o(" and "),Uu=s("code"),rL=o("span end logits"),iL=o(")."),lL=p(),Wl=s("p"),dL=o("This model inherits from "),qp=s("a"),cL=o("TFPreTrainedModel"),pL=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hL=p(),Bl=s("p"),uL=o("This model is also a "),Ul=s("a"),mL=o("tf.keras.Model"),fL=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),gL=p(),y(ia.$$.fragment),_L=p(),Ft=s("div"),y(Hl.$$.fragment),bL=p(),An=s("p"),kL=o("The "),jp=s("a"),vL=o("TFXLMRobertaForQuestionAnswering"),yL=o(" forward method, overrides the "),Hu=s("code"),wL=o("__call__"),TL=o(" special method."),ML=p(),y(la.$$.fragment),$L=p(),y(da.$$.fragment),LL=p(),y(ca.$$.fragment),Wg=p(),Pn=s("h2"),pa=s("a"),Qu=s("span"),y(Ql.$$.fragment),xL=p(),Ku=s("span"),FL=o("FlaxXLMRobertaModel"),Bg=p(),tt=s("div"),y(Kl.$$.fragment),EL=p(),Vu=s("p"),RL=o("The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),XL=p(),Vl=s("p"),zL=o("This model inherits from "),Ap=s("a"),CL=o("FlaxPreTrainedModel"),qL=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),jL=p(),Jl=s("p"),AL=o("This model is also a Flax Linen "),Gl=s("a"),PL=o("flax.linen.Module"),NL=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),OL=p(),Ju=s("p"),IL=o("Finally, this model supports inherent JAX features such as:"),DL=p(),go=s("ul"),Gu=s("li"),Yl=s("a"),SL=o("Just-In-Time (JIT) compilation"),WL=p(),Yu=s("li"),Zl=s("a"),BL=o("Automatic Differentiation"),UL=p(),Zu=s("li"),ed=s("a"),HL=o("Vectorization"),QL=p(),em=s("li"),td=s("a"),KL=o("Parallelization"),VL=p(),Zt=s("div"),y(od.$$.fragment),JL=p(),Nn=s("p"),GL=o("The "),tm=s("code"),YL=o("FlaxXLMRobertaPreTrainedModel"),ZL=o(" forward method, overrides the "),om=s("code"),ex=o("__call__"),tx=o(" special method."),ox=p(),y(ha.$$.fragment),nx=p(),y(ua.$$.fragment),Ug=p(),On=s("h2"),ma=s("a"),nm=s("span"),y(nd.$$.fragment),sx=p(),sm=s("span"),ax=o("FlaxXLMRobertaForCausalLM"),Hg=p(),ot=s("div"),y(sd.$$.fragment),rx=p(),am=s("p"),ix=o(`XLM Roberta Model with a language modeling head on top (a linear layer on top of the hidden-states output) e.g for
autoregressive tasks.`),lx=p(),ad=s("p"),dx=o("This model inherits from "),Pp=s("a"),cx=o("FlaxPreTrainedModel"),px=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),hx=p(),rd=s("p"),ux=o("This model is also a Flax Linen "),id=s("a"),mx=o("flax.linen.Module"),fx=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),gx=p(),rm=s("p"),_x=o("Finally, this model supports inherent JAX features such as:"),bx=p(),_o=s("ul"),im=s("li"),ld=s("a"),kx=o("Just-In-Time (JIT) compilation"),vx=p(),lm=s("li"),dd=s("a"),yx=o("Automatic Differentiation"),wx=p(),dm=s("li"),cd=s("a"),Tx=o("Vectorization"),Mx=p(),cm=s("li"),pd=s("a"),$x=o("Parallelization"),Lx=p(),eo=s("div"),y(hd.$$.fragment),xx=p(),In=s("p"),Fx=o("The "),pm=s("code"),Ex=o("FlaxXLMRobertaPreTrainedModel"),Rx=o(" forward method, overrides the "),hm=s("code"),Xx=o("__call__"),zx=o(" special method."),Cx=p(),y(fa.$$.fragment),qx=p(),y(ga.$$.fragment),Qg=p(),Dn=s("h2"),_a=s("a"),um=s("span"),y(ud.$$.fragment),jx=p(),mm=s("span"),Ax=o("FlaxXLMRobertaForMaskedLM"),Kg=p(),nt=s("div"),y(md.$$.fragment),Px=p(),fd=s("p"),Nx=o("XLM RoBERTa Model with a "),fm=s("code"),Ox=o("language modeling"),Ix=o(" head on top."),Dx=p(),gd=s("p"),Sx=o("This model inherits from "),Np=s("a"),Wx=o("FlaxPreTrainedModel"),Bx=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ux=p(),_d=s("p"),Hx=o("This model is also a Flax Linen "),bd=s("a"),Qx=o("flax.linen.Module"),Kx=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Vx=p(),gm=s("p"),Jx=o("Finally, this model supports inherent JAX features such as:"),Gx=p(),bo=s("ul"),_m=s("li"),kd=s("a"),Yx=o("Just-In-Time (JIT) compilation"),Zx=p(),bm=s("li"),vd=s("a"),eF=o("Automatic Differentiation"),tF=p(),km=s("li"),yd=s("a"),oF=o("Vectorization"),nF=p(),vm=s("li"),wd=s("a"),sF=o("Parallelization"),aF=p(),to=s("div"),y(Td.$$.fragment),rF=p(),Sn=s("p"),iF=o("The "),ym=s("code"),lF=o("FlaxXLMRobertaPreTrainedModel"),dF=o(" forward method, overrides the "),wm=s("code"),cF=o("__call__"),pF=o(" special method."),hF=p(),y(ba.$$.fragment),uF=p(),y(ka.$$.fragment),Vg=p(),Wn=s("h2"),va=s("a"),Tm=s("span"),y(Md.$$.fragment),mF=p(),Mm=s("span"),fF=o("FlaxXLMRobertaForSequenceClassification"),Jg=p(),st=s("div"),y($d.$$.fragment),gF=p(),$m=s("p"),_F=o(`XLM Roberta Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),bF=p(),Ld=s("p"),kF=o("This model inherits from "),Op=s("a"),vF=o("FlaxPreTrainedModel"),yF=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),wF=p(),xd=s("p"),TF=o("This model is also a Flax Linen "),Fd=s("a"),MF=o("flax.linen.Module"),$F=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),LF=p(),Lm=s("p"),xF=o("Finally, this model supports inherent JAX features such as:"),FF=p(),ko=s("ul"),xm=s("li"),Ed=s("a"),EF=o("Just-In-Time (JIT) compilation"),RF=p(),Fm=s("li"),Rd=s("a"),XF=o("Automatic Differentiation"),zF=p(),Em=s("li"),Xd=s("a"),CF=o("Vectorization"),qF=p(),Rm=s("li"),zd=s("a"),jF=o("Parallelization"),AF=p(),oo=s("div"),y(Cd.$$.fragment),PF=p(),Bn=s("p"),NF=o("The "),Xm=s("code"),OF=o("FlaxXLMRobertaPreTrainedModel"),IF=o(" forward method, overrides the "),zm=s("code"),DF=o("__call__"),SF=o(" special method."),WF=p(),y(ya.$$.fragment),BF=p(),y(wa.$$.fragment),Gg=p(),Un=s("h2"),Ta=s("a"),Cm=s("span"),y(qd.$$.fragment),UF=p(),qm=s("span"),HF=o("FlaxXLMRobertaForMultipleChoice"),Yg=p(),at=s("div"),y(jd.$$.fragment),QF=p(),jm=s("p"),KF=o(`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),VF=p(),Ad=s("p"),JF=o("This model inherits from "),Ip=s("a"),GF=o("FlaxPreTrainedModel"),YF=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),ZF=p(),Pd=s("p"),e0=o("This model is also a Flax Linen "),Nd=s("a"),t0=o("flax.linen.Module"),o0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),n0=p(),Am=s("p"),s0=o("Finally, this model supports inherent JAX features such as:"),a0=p(),vo=s("ul"),Pm=s("li"),Od=s("a"),r0=o("Just-In-Time (JIT) compilation"),i0=p(),Nm=s("li"),Id=s("a"),l0=o("Automatic Differentiation"),d0=p(),Om=s("li"),Dd=s("a"),c0=o("Vectorization"),p0=p(),Im=s("li"),Sd=s("a"),h0=o("Parallelization"),u0=p(),no=s("div"),y(Wd.$$.fragment),m0=p(),Hn=s("p"),f0=o("The "),Dm=s("code"),g0=o("FlaxXLMRobertaPreTrainedModel"),_0=o(" forward method, overrides the "),Sm=s("code"),b0=o("__call__"),k0=o(" special method."),v0=p(),y(Ma.$$.fragment),y0=p(),y($a.$$.fragment),Zg=p(),Qn=s("h2"),La=s("a"),Wm=s("span"),y(Bd.$$.fragment),w0=p(),Bm=s("span"),T0=o("FlaxXLMRobertaForTokenClassification"),e_=p(),rt=s("div"),y(Ud.$$.fragment),M0=p(),Um=s("p"),$0=o(`XLM Roberta Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),L0=p(),Hd=s("p"),x0=o("This model inherits from "),Dp=s("a"),F0=o("FlaxPreTrainedModel"),E0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),R0=p(),Qd=s("p"),X0=o("This model is also a Flax Linen "),Kd=s("a"),z0=o("flax.linen.Module"),C0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),q0=p(),Hm=s("p"),j0=o("Finally, this model supports inherent JAX features such as:"),A0=p(),yo=s("ul"),Qm=s("li"),Vd=s("a"),P0=o("Just-In-Time (JIT) compilation"),N0=p(),Km=s("li"),Jd=s("a"),O0=o("Automatic Differentiation"),I0=p(),Vm=s("li"),Gd=s("a"),D0=o("Vectorization"),S0=p(),Jm=s("li"),Yd=s("a"),W0=o("Parallelization"),B0=p(),so=s("div"),y(Zd.$$.fragment),U0=p(),Kn=s("p"),H0=o("The "),Gm=s("code"),Q0=o("FlaxXLMRobertaPreTrainedModel"),K0=o(" forward method, overrides the "),Ym=s("code"),V0=o("__call__"),J0=o(" special method."),G0=p(),y(xa.$$.fragment),Y0=p(),y(Fa.$$.fragment),t_=p(),Vn=s("h2"),Ea=s("a"),Zm=s("span"),y(ec.$$.fragment),Z0=p(),ef=s("span"),e4=o("FlaxXLMRobertaForQuestionAnswering"),o_=p(),it=s("div"),y(tc.$$.fragment),t4=p(),Jn=s("p"),o4=o(`XLM Roberta Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),tf=s("code"),n4=o("span start logits"),s4=o(" and "),of=s("code"),a4=o("span end logits"),r4=o(")."),i4=p(),oc=s("p"),l4=o("This model inherits from "),Sp=s("a"),d4=o("FlaxPreTrainedModel"),c4=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),p4=p(),nc=s("p"),h4=o("This model is also a Flax Linen "),sc=s("a"),u4=o("flax.linen.Module"),m4=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),f4=p(),nf=s("p"),g4=o("Finally, this model supports inherent JAX features such as:"),_4=p(),wo=s("ul"),sf=s("li"),ac=s("a"),b4=o("Just-In-Time (JIT) compilation"),k4=p(),af=s("li"),rc=s("a"),v4=o("Automatic Differentiation"),y4=p(),rf=s("li"),ic=s("a"),w4=o("Vectorization"),T4=p(),lf=s("li"),lc=s("a"),M4=o("Parallelization"),$4=p(),ao=s("div"),y(dc.$$.fragment),L4=p(),Gn=s("p"),x4=o("The "),df=s("code"),F4=o("FlaxXLMRobertaPreTrainedModel"),E4=o(" forward method, overrides the "),cf=s("code"),R4=o("__call__"),X4=o(" special method."),z4=p(),y(Ra.$$.fragment),C4=p(),y(Xa.$$.fragment),this.h()},l(i){const _=CC('[data-svelte="svelte-1phssyn"]',document.head);d=a(_,"META",{name:!0,content:!0}),_.forEach(t),k=h(i),m=a(i,"H1",{class:!0});var cc=r(m);f=a(cc,"A",{id:!0,class:!0,href:!0});var pf=r(f);b=a(pf,"SPAN",{});var hf=r(b);w(l.$$.fragment,hf),hf.forEach(t),pf.forEach(t),u=h(cc),R=a(cc,"SPAN",{});var uf=r(R);ye=n(uf,"XLM-RoBERTa"),uf.forEach(t),cc.forEach(t),fe=h(i),O=a(i,"H2",{class:!0});var pc=r(O);re=a(pc,"A",{id:!0,class:!0,href:!0});var mf=r(re);te=a(mf,"SPAN",{});var ff=r(te);w(x.$$.fragment,ff),ff.forEach(t),mf.forEach(t),we=h(pc),U=a(pc,"SPAN",{});var gf=r(U);Te=n(gf,"Overview"),gf.forEach(t),pc.forEach(t),ge=h(i),D=a(i,"P",{});var hc=r(D);Me=n(hc,"The XLM-RoBERTa model was proposed in "),le=a(hc,"A",{href:!0,rel:!0});var _f=r(le);Q=n(_f,"Unsupervised Cross-lingual Representation Learning at Scale"),_f.forEach(t),$e=n(hc,` by Alexis Conneau, Kartikay Khandelwal, Naman Goyal, Vishrav Chaudhary, Guillaume
Wenzek, Francisco Guzm\xE1n, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov. It is based on Facebook\u2019s
RoBERTa model released in 2019. It is a large multi-lingual language model, trained on 2.5TB of filtered CommonCrawl
data.`),hc.forEach(t),_e=h(i),W=a(i,"P",{});var bf=r(W);Le=n(bf,"The abstract from the paper is the following:"),bf.forEach(t),be=h(i),B=a(i,"P",{});var kf=r(B);me=a(kf,"EM",{});var vf=r(me);xe=n(vf,`This paper shows that pretraining multilingual language models at scale leads to significant performance gains for a
wide range of cross-lingual transfer tasks. We train a Transformer-based masked language model on one hundred
languages, using more than two terabytes of filtered CommonCrawl data. Our model, dubbed XLM-R, significantly
outperforms multilingual BERT (mBERT) on a variety of cross-lingual benchmarks, including +13.8% average accuracy on
XNLI, +12.3% average F1 score on MLQA, and +2.1% average F1 score on NER. XLM-R performs particularly well on
low-resource languages, improving 11.8% in XNLI accuracy for Swahili and 9.2% for Urdu over the previous XLM model. We
also present a detailed empirical evaluation of the key factors that are required to achieve these gains, including the
trade-offs between (1) positive transfer and capacity dilution and (2) the performance of high and low resource
languages at scale. Finally, we show, for the first time, the possibility of multilingual modeling without sacrificing
per-language performance; XLM-Ris very competitive with strong monolingual models on the GLUE and XNLI benchmarks. We
will make XLM-R code, data, and models publicly available.`),vf.forEach(t),kf.forEach(t),ne=h(i),z=a(i,"P",{});var yf=r(z);C=n(yf,"Tips:"),yf.forEach(t),ke=h(i),S=a(i,"UL",{});var uc=r(S);de=a(uc,"LI",{});var mc=r(de);Fe=n(mc,`XLM-RoBERTa is a multilingual model trained on 100 different languages. Unlike some XLM multilingual models, it does
not require `),H=a(mc,"CODE",{});var wf=r(H);Ee=n(wf,"lang"),wf.forEach(t),Re=n(mc,` tensors to understand which language is used, and should be able to determine the correct
language from the input ids.`),mc.forEach(t),q=h(uc),ce=a(uc,"LI",{});var fc=r(ce);K=n(fc,"This implementation is the same as RoBERTa. Refer to the "),ue=a(fc,"A",{href:!0});var Tf=r(ue);Xe=n(Tf,"documentation of RoBERTa"),Tf.forEach(t),V=n(fc,` for usage examples
as well as the information relative to the inputs and outputs.`),fc.forEach(t),uc.forEach(t),ve=h(i),se=a(i,"P",{});var Yn=r(se);N=n(Yn,"This model was contributed by "),pe=a(Yn,"A",{href:!0,rel:!0});var Mf=r(pe);J=n(Mf,"stefan-it"),Mf.forEach(t),ze=n(Yn,". The original code can be found "),Z=a(Yn,"A",{href:!0,rel:!0});var $f=r(Z);j=n($f,"here"),$f.forEach(t),Ce=n(Yn,"."),Yn.forEach(t),A=h(i),ae=a(i,"H2",{class:!0});var gc=r(ae);ie=a(gc,"A",{id:!0,class:!0,href:!0});var Lf=r(ie);v=a(Lf,"SPAN",{});var xf=r(v);w(E.$$.fragment,xf),xf.forEach(t),Lf.forEach(t),Qe=h(gc),oe=a(gc,"SPAN",{});var Ff=r(oe);Ke=n(Ff,"Resources"),Ff.forEach(t),gc.forEach(t),Be=h(i),X=a(i,"P",{});var Ef=r(X);Ve=n(Ef,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with XLM-RoBERTa. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ef.forEach(t),Ue=h(i),w(Ae.$$.fragment,i),He=h(i),he=a(i,"UL",{});var It=r(he);P=a(It,"LI",{});var Wp=r(P);G=n(Wp,"A blog post on how to "),Pe=a(Wp,"A",{href:!0,rel:!0});var Rf=r(Pe);Je=n(Rf,"finetune XLM RoBERTa for multiclass classification with Habana Gaudi on AWS"),Rf.forEach(t),Wp.forEach(t),Y=h(It),qe=a(It,"LI",{});var No=r(qe);Oe=a(No,"A",{href:!0});var Xf=r(Oe);je=n(Xf,"XLMRobertaForSequenceClassification"),Xf.forEach(t),Ge=n(No," is supported by this "),ee=a(No,"A",{href:!0,rel:!0});var zf=r(ee);Ye=n(zf,"example script"),zf.forEach(t),Cb=n(No," and "),ir=a(No,"A",{href:!0,rel:!0});var Cf=r(ir);qb=n(Cf,"notebook"),Cf.forEach(t),jb=n(No,"."),No.forEach(t),Ab=h(It),Mo=a(It,"LI",{});var Oo=r(Mo);$c=a(Oo,"A",{href:!0});var qf=r($c);Pb=n(qf,"TFXLMRobertaForSequenceClassification"),qf.forEach(t),Nb=n(Oo," is supported by this "),lr=a(Oo,"A",{href:!0,rel:!0});var jf=r(lr);Ob=n(jf,"example script"),jf.forEach(t),Ib=n(Oo," and "),dr=a(Oo,"A",{href:!0,rel:!0});var Af=r(dr);Db=n(Af,"notebook"),Af.forEach(t),Sb=n(Oo,"."),Oo.forEach(t),Wb=h(It),$o=a(It,"LI",{});var Io=r($o);Lc=a(Io,"A",{href:!0});var Pf=r(Lc);Bb=n(Pf,"FlaxXLMRobertaForSequenceClassification"),Pf.forEach(t),Ub=n(Io," is supported by this "),cr=a(Io,"A",{href:!0,rel:!0});var Nf=r(cr);Hb=n(Nf,"example script"),Nf.forEach(t),Qb=n(Io," and "),pr=a(Io,"A",{href:!0,rel:!0});var Of=r(pr);Kb=n(Of,"notebook"),Of.forEach(t),Vb=n(Io,"."),Io.forEach(t),Jb=h(It),xc=a(It,"LI",{});var Bp=r(xc);hr=a(Bp,"A",{href:!0,rel:!0});var If=r(hr);Gb=n(If,"Text classification"),If.forEach(t),Yb=n(Bp," chapter of the \u{1F917} Hugging Face Task Guides."),Bp.forEach(t),It.forEach(t),Gf=h(i),w(ur.$$.fragment,i),Yf=h(i),Dt=a(i,"UL",{});var To=r(Dt);Lo=a(To,"LI",{});var Do=r(Lo);Fc=a(Do,"A",{href:!0});var Df=r(Fc);Zb=n(Df,"XLMRobertaForTokenClassification"),Df.forEach(t),ek=n(Do," is supported by this "),mr=a(Do,"A",{href:!0,rel:!0});var Sf=r(mr);tk=n(Sf,"example script"),Sf.forEach(t),ok=n(Do," and "),fr=a(Do,"A",{href:!0,rel:!0});var Wf=r(fr);nk=n(Wf,"notebook"),Wf.forEach(t),sk=n(Do,"."),Do.forEach(t),ak=h(To),xo=a(To,"LI",{});var So=r(xo);Ec=a(So,"A",{href:!0});var Bf=r(Ec);rk=n(Bf,"TFXLMRobertaForTokenClassification"),Bf.forEach(t),ik=n(So," is supported by this "),gr=a(So,"A",{href:!0,rel:!0});var Uf=r(gr);lk=n(Uf,"example script"),Uf.forEach(t),dk=n(So," and "),_r=a(So,"A",{href:!0,rel:!0});var Hf=r(_r);ck=n(Hf,"notebook"),Hf.forEach(t),pk=n(So,"."),So.forEach(t),hk=h(To),Zn=a(To,"LI",{});var za=r(Zn);Rc=a(za,"A",{href:!0});var Qf=r(Rc);uk=n(Qf,"FlaxXLMRobertaForTokenClassification"),Qf.forEach(t),mk=n(za," is supported by this "),br=a(za,"A",{href:!0,rel:!0});var S4=r(br);fk=n(S4,"example script"),S4.forEach(t),gk=n(za,"."),za.forEach(t),_k=h(To),Xc=a(To,"LI",{});var q4=r(Xc);kr=a(q4,"A",{href:!0,rel:!0});var W4=r(kr);bk=n(W4,"Token classification"),W4.forEach(t),kk=n(q4," chapter of the \u{1F917} Hugging Face Course."),q4.forEach(t),To.forEach(t),Zf=h(i),w(vr.$$.fragment,i),eg=h(i),es=a(i,"UL",{});var s_=r(es);Fo=a(s_,"LI",{});var _c=r(Fo);zc=a(_c,"A",{href:!0});var B4=r(zc);vk=n(B4,"XLMRobertaForCausalLM"),B4.forEach(t),yk=n(_c," is supported by this "),yr=a(_c,"A",{href:!0,rel:!0});var U4=r(yr);wk=n(U4,"example script"),U4.forEach(t),Tk=n(_c," and "),wr=a(_c,"A",{href:!0,rel:!0});var H4=r(wr);Mk=n(H4,"notebook"),H4.forEach(t),$k=n(_c,"."),_c.forEach(t),Lk=h(s_),Cc=a(s_,"LI",{});var j4=r(Cc);Tr=a(j4,"A",{href:!0,rel:!0});var Q4=r(Tr);xk=n(Q4,"Causal language modeling"),Q4.forEach(t),Fk=n(j4," chapter of the \u{1F917} Hugging Face Task Guides."),j4.forEach(t),s_.forEach(t),tg=h(i),w(Mr.$$.fragment,i),og=h(i),St=a(i,"UL",{});var Ca=r(St);Eo=a(Ca,"LI",{});var bc=r(Eo);qc=a(bc,"A",{href:!0});var K4=r(qc);Ek=n(K4,"XLMRobertaForMaskedLM"),K4.forEach(t),Rk=n(bc," is supported by this "),$r=a(bc,"A",{href:!0,rel:!0});var V4=r($r);Xk=n(V4,"example script"),V4.forEach(t),zk=n(bc," and "),Lr=a(bc,"A",{href:!0,rel:!0});var J4=r(Lr);Ck=n(J4,"notebook"),J4.forEach(t),qk=n(bc,"."),bc.forEach(t),jk=h(Ca),Ro=a(Ca,"LI",{});var kc=r(Ro);jc=a(kc,"A",{href:!0});var G4=r(jc);Ak=n(G4,"TFXLMRobertaForMaskedLM"),G4.forEach(t),Pk=n(kc," is supported by this "),xr=a(kc,"A",{href:!0,rel:!0});var Y4=r(xr);Nk=n(Y4,"example script"),Y4.forEach(t),Ok=n(kc," and "),Fr=a(kc,"A",{href:!0,rel:!0});var Z4=r(Fr);Ik=n(Z4,"notebook"),Z4.forEach(t),Dk=n(kc,"."),kc.forEach(t),Sk=h(Ca),Xo=a(Ca,"LI",{});var vc=r(Xo);Ac=a(vc,"A",{href:!0});var eE=r(Ac);Wk=n(eE,"FlaxXLMRobertaForMaskedLM"),eE.forEach(t),Bk=n(vc," is supported by this "),Er=a(vc,"A",{href:!0,rel:!0});var tE=r(Er);Uk=n(tE,"example script"),tE.forEach(t),Hk=n(vc," and "),Rr=a(vc,"A",{href:!0,rel:!0});var oE=r(Rr);Qk=n(oE,"notebook"),oE.forEach(t),Kk=n(vc,"."),vc.forEach(t),Vk=h(Ca),Pc=a(Ca,"LI",{});var A4=r(Pc);Xr=a(A4,"A",{href:!0,rel:!0});var nE=r(Xr);Jk=n(nE,"Masked language modeling"),nE.forEach(t),Gk=n(A4," chapter of the \u{1F917} Hugging Face Course."),A4.forEach(t),Ca.forEach(t),ng=h(i),w(zr.$$.fragment,i),sg=h(i),Wt=a(i,"UL",{});var qa=r(Wt);zo=a(qa,"LI",{});var yc=r(zo);Nc=a(yc,"A",{href:!0});var sE=r(Nc);Yk=n(sE,"XLMRobertaForQuestionAnswering"),sE.forEach(t),Zk=n(yc," is supported by this "),Cr=a(yc,"A",{href:!0,rel:!0});var aE=r(Cr);ev=n(aE,"example script"),aE.forEach(t),tv=n(yc," and "),qr=a(yc,"A",{href:!0,rel:!0});var rE=r(qr);ov=n(rE,"notebook"),rE.forEach(t),nv=n(yc,"."),yc.forEach(t),sv=h(qa),Co=a(qa,"LI",{});var wc=r(Co);Oc=a(wc,"A",{href:!0});var iE=r(Oc);av=n(iE,"TFXLMRobertaForQuestionAnswering"),iE.forEach(t),rv=n(wc," is supported by this "),jr=a(wc,"A",{href:!0,rel:!0});var lE=r(jr);iv=n(lE,"example script"),lE.forEach(t),lv=n(wc," and "),Ar=a(wc,"A",{href:!0,rel:!0});var dE=r(Ar);dv=n(dE,"notebook"),dE.forEach(t),cv=n(wc,"."),wc.forEach(t),pv=h(qa),ts=a(qa,"LI",{});var Kf=r(ts);Ic=a(Kf,"A",{href:!0});var cE=r(Ic);hv=n(cE,"FlaxXLMRobertaForQuestionAnswering"),cE.forEach(t),uv=n(Kf," is supported by this "),Pr=a(Kf,"A",{href:!0,rel:!0});var pE=r(Pr);mv=n(pE,"example script"),pE.forEach(t),fv=n(Kf,"."),Kf.forEach(t),gv=h(qa),Dc=a(qa,"LI",{});var P4=r(Dc);Nr=a(P4,"A",{href:!0,rel:!0});var hE=r(Nr);_v=n(hE,"Question answering"),hE.forEach(t),bv=n(P4," chapter of the \u{1F917} Hugging Face Course."),P4.forEach(t),qa.forEach(t),ag=h(i),Sc=a(i,"P",{});var uE=r(Sc);bh=a(uE,"STRONG",{});var mE=r(bh);kv=n(mE,"Multiple choice"),mE.forEach(t),uE.forEach(t),rg=h(i),os=a(i,"UL",{});var a_=r(os);qo=a(a_,"LI",{});var Tc=r(qo);Wc=a(Tc,"A",{href:!0});var fE=r(Wc);vv=n(fE,"XLMRobertaForMultipleChoice"),fE.forEach(t),yv=n(Tc," is supported by this "),Or=a(Tc,"A",{href:!0,rel:!0});var gE=r(Or);wv=n(gE,"example script"),gE.forEach(t),Tv=n(Tc," and "),Ir=a(Tc,"A",{href:!0,rel:!0});var _E=r(Ir);Mv=n(_E,"notebook"),_E.forEach(t),$v=n(Tc,"."),Tc.forEach(t),Lv=h(a_),jo=a(a_,"LI",{});var Mc=r(jo);Bc=a(Mc,"A",{href:!0});var bE=r(Bc);xv=n(bE,"TFXLMRobertaForMultipleChoice"),bE.forEach(t),Fv=n(Mc," is supported by this "),Dr=a(Mc,"A",{href:!0,rel:!0});var kE=r(Dr);Ev=n(kE,"example script"),kE.forEach(t),Rv=n(Mc," and "),Sr=a(Mc,"A",{href:!0,rel:!0});var vE=r(Sr);Xv=n(vE,"notebook"),vE.forEach(t),zv=n(Mc,"."),Mc.forEach(t),a_.forEach(t),ig=h(i),Uc=a(i,"P",{});var yE=r(Uc);Cv=n(yE,"\u{1F680} Deploy"),yE.forEach(t),lg=h(i),Hc=a(i,"UL",{});var wE=r(Hc);Wr=a(wE,"LI",{});var r_=r(Wr);qv=n(r_,"A blog post on how to "),Br=a(r_,"A",{href:!0,rel:!0});var TE=r(Br);jv=n(TE,"Deploy Serveless XLM RoBERTa on AWS Lambda"),TE.forEach(t),Av=n(r_,"."),r_.forEach(t),wE.forEach(t),dg=h(i),on=a(i,"H2",{class:!0});var i_=r(on);ns=a(i_,"A",{id:!0,class:!0,href:!0});var ME=r(ns);kh=a(ME,"SPAN",{});var $E=r(kh);w(Ur.$$.fragment,$E),$E.forEach(t),ME.forEach(t),Pv=h(i_),vh=a(i_,"SPAN",{});var LE=r(vh);Nv=n(LE,"XLMRobertaConfig"),LE.forEach(t),i_.forEach(t),cg=h(i),Nt=a(i,"DIV",{class:!0});var ja=r(Nt);w(Hr.$$.fragment,ja),Ov=h(ja),mo=a(ja,"P",{});var Aa=r(mo);Iv=n(Aa,"This is the configuration class to store the configuration of a "),Qc=a(Aa,"A",{href:!0});var xE=r(Qc);Dv=n(xE,"XLMRobertaModel"),xE.forEach(t),Sv=n(Aa," or a "),Kc=a(Aa,"A",{href:!0});var FE=r(Kc);Wv=n(FE,"TFXLMRobertaModel"),FE.forEach(t),Bv=n(Aa,`. It
is used to instantiate a XLM-RoBERTa model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the XLMRoBERTa
`),Qr=a(Aa,"A",{href:!0,rel:!0});var EE=r(Qr);Uv=n(EE,"xlm-roberta-base"),EE.forEach(t),Hv=n(Aa," architecture."),Aa.forEach(t),Qv=h(ja),nn=a(ja,"P",{});var Up=r(nn);Kv=n(Up,"Configuration objects inherit from "),Vc=a(Up,"A",{href:!0});var RE=r(Vc);Vv=n(RE,"PretrainedConfig"),RE.forEach(t),Jv=n(Up,` and can be used to control the model outputs. Read the
documentation from `),Jc=a(Up,"A",{href:!0});var XE=r(Jc);Gv=n(XE,"PretrainedConfig"),XE.forEach(t),Yv=n(Up," for more information."),Up.forEach(t),Zv=h(ja),w(ss.$$.fragment,ja),ja.forEach(t),pg=h(i),sn=a(i,"H2",{class:!0});var l_=r(sn);as=a(l_,"A",{id:!0,class:!0,href:!0});var zE=r(as);yh=a(zE,"SPAN",{});var CE=r(yh);w(Kr.$$.fragment,CE),CE.forEach(t),zE.forEach(t),ey=h(l_),wh=a(l_,"SPAN",{});var qE=r(wh);ty=n(qE,"XLMRobertaTokenizer"),qE.forEach(t),l_.forEach(t),hg=h(i),et=a(i,"DIV",{class:!0});var Et=r(et);w(Vr.$$.fragment,Et),oy=h(Et),fo=a(Et,"P",{});var Pa=r(fo);ny=n(Pa,"Adapted from "),Gc=a(Pa,"A",{href:!0});var jE=r(Gc);sy=n(jE,"RobertaTokenizer"),jE.forEach(t),ay=n(Pa," and "),Yc=a(Pa,"A",{href:!0});var AE=r(Yc);ry=n(AE,"XLNetTokenizer"),AE.forEach(t),iy=n(Pa,`. Based on
`),Jr=a(Pa,"A",{href:!0,rel:!0});var PE=r(Jr);ly=n(PE,"SentencePiece"),PE.forEach(t),dy=n(Pa,"."),Pa.forEach(t),cy=h(Et),Gr=a(Et,"P",{});var d_=r(Gr);py=n(d_,"This tokenizer inherits from "),Zc=a(d_,"A",{href:!0});var NE=r(Zc);hy=n(NE,"PreTrainedTokenizer"),NE.forEach(t),uy=n(d_,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),d_.forEach(t),my=h(Et),Ao=a(Et,"DIV",{class:!0});var Hp=r(Ao);w(Yr.$$.fragment,Hp),fy=h(Hp),Th=a(Hp,"P",{});var OE=r(Th);gy=n(OE,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),OE.forEach(t),_y=h(Hp),Zr=a(Hp,"UL",{});var c_=r(Zr);ep=a(c_,"LI",{});var N4=r(ep);by=n(N4,"single sequence: "),Mh=a(N4,"CODE",{});var IE=r(Mh);ky=n(IE,"<s> X </s>"),IE.forEach(t),N4.forEach(t),vy=h(c_),tp=a(c_,"LI",{});var O4=r(tp);yy=n(O4,"pair of sequences: "),$h=a(O4,"CODE",{});var DE=r($h);wy=n(DE,"<s> A </s></s> B </s>"),DE.forEach(t),O4.forEach(t),c_.forEach(t),Hp.forEach(t),Ty=h(Et),rs=a(Et,"DIV",{class:!0});var p_=r(rs);w(ei.$$.fragment,p_),My=h(p_),ti=a(p_,"P",{});var h_=r(ti);$y=n(h_,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Lh=a(h_,"CODE",{});var SE=r(Lh);Ly=n(SE,"prepare_for_model"),SE.forEach(t),xy=n(h_," method."),h_.forEach(t),p_.forEach(t),Fy=h(Et),is=a(Et,"DIV",{class:!0});var u_=r(is);w(oi.$$.fragment,u_),Ey=h(u_),xh=a(u_,"P",{});var WE=r(xh);Ry=n(WE,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),WE.forEach(t),u_.forEach(t),Xy=h(Et),op=a(Et,"DIV",{class:!0});var BE=r(op);w(ni.$$.fragment,BE),BE.forEach(t),Et.forEach(t),ug=h(i),an=a(i,"H2",{class:!0});var m_=r(an);ls=a(m_,"A",{id:!0,class:!0,href:!0});var UE=r(ls);Fh=a(UE,"SPAN",{});var HE=r(Fh);w(si.$$.fragment,HE),HE.forEach(t),UE.forEach(t),zy=h(m_),Eh=a(m_,"SPAN",{});var QE=r(Eh);Cy=n(QE,"XLMRobertaTokenizerFast"),QE.forEach(t),m_.forEach(t),mg=h(i),_t=a(i,"DIV",{class:!0});var Wo=r(_t);w(ai.$$.fragment,Wo),qy=h(Wo),Ot=a(Wo,"P",{});var Bo=r(Ot);jy=n(Bo,"Construct a \u201Cfast\u201D XLM-RoBERTa tokenizer (backed by HuggingFace\u2019s "),Rh=a(Bo,"EM",{});var KE=r(Rh);Ay=n(KE,"tokenizers"),KE.forEach(t),Py=n(Bo,` library). Adapted from
`),np=a(Bo,"A",{href:!0});var VE=r(np);Ny=n(VE,"RobertaTokenizer"),VE.forEach(t),Oy=n(Bo," and "),sp=a(Bo,"A",{href:!0});var JE=r(sp);Iy=n(JE,"XLNetTokenizer"),JE.forEach(t),Dy=n(Bo,`. Based on
`),ri=a(Bo,"A",{href:!0,rel:!0});var GE=r(ri);Sy=n(GE,"BPE"),GE.forEach(t),Wy=n(Bo,"."),Bo.forEach(t),By=h(Wo),ii=a(Wo,"P",{});var f_=r(ii);Uy=n(f_,"This tokenizer inherits from "),ap=a(f_,"A",{href:!0});var YE=r(ap);Hy=n(YE,"PreTrainedTokenizerFast"),YE.forEach(t),Qy=n(f_,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),f_.forEach(t),Ky=h(Wo),Po=a(Wo,"DIV",{class:!0});var Qp=r(Po);w(li.$$.fragment,Qp),Vy=h(Qp),Xh=a(Qp,"P",{});var ZE=r(Xh);Jy=n(ZE,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),ZE.forEach(t),Gy=h(Qp),di=a(Qp,"UL",{});var g_=r(di);rp=a(g_,"LI",{});var I4=r(rp);Yy=n(I4,"single sequence: "),zh=a(I4,"CODE",{});var eR=r(zh);Zy=n(eR,"<s> X </s>"),eR.forEach(t),I4.forEach(t),e1=h(g_),ip=a(g_,"LI",{});var D4=r(ip);t1=n(D4,"pair of sequences: "),Ch=a(D4,"CODE",{});var tR=r(Ch);o1=n(tR,"<s> A </s></s> B </s>"),tR.forEach(t),D4.forEach(t),g_.forEach(t),Qp.forEach(t),n1=h(Wo),ds=a(Wo,"DIV",{class:!0});var __=r(ds);w(ci.$$.fragment,__),s1=h(__),qh=a(__,"P",{});var oR=r(qh);a1=n(oR,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),oR.forEach(t),__.forEach(t),Wo.forEach(t),fg=h(i),rn=a(i,"H2",{class:!0});var b_=r(rn);cs=a(b_,"A",{id:!0,class:!0,href:!0});var nR=r(cs);jh=a(nR,"SPAN",{});var sR=r(jh);w(pi.$$.fragment,sR),sR.forEach(t),nR.forEach(t),r1=h(b_),Ah=a(b_,"SPAN",{});var aR=r(Ah);i1=n(aR,"XLMRobertaModel"),aR.forEach(t),b_.forEach(t),gg=h(i),Ze=a(i,"DIV",{class:!0});var gt=r(Ze);w(hi.$$.fragment,gt),l1=h(gt),Ph=a(gt,"P",{});var rR=r(Ph);d1=n(rR,"The bare XLM-RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),rR.forEach(t),c1=h(gt),ui=a(gt,"P",{});var k_=r(ui);p1=n(k_,"This model inherits from "),lp=a(k_,"A",{href:!0});var iR=r(lp);h1=n(iR,"PreTrainedModel"),iR.forEach(t),u1=n(k_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),k_.forEach(t),m1=h(gt),mi=a(gt,"P",{});var v_=r(mi);f1=n(v_,"This model is also a PyTorch "),fi=a(v_,"A",{href:!0,rel:!0});var lR=r(fi);g1=n(lR,"torch.nn.Module"),lR.forEach(t),_1=n(v_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),v_.forEach(t),b1=h(gt),gi=a(gt,"P",{});var y_=r(gi);k1=n(y_,`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),Nh=a(y_,"EM",{});var dR=r(Nh);v1=n(dR,`Attention is
all you need`),dR.forEach(t),y1=n(y_,`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),y_.forEach(t),w1=h(gt),lt=a(gt,"P",{});var Rt=r(lt);T1=n(Rt,"To behave as an decoder the model needs to be initialized with the "),Oh=a(Rt,"CODE",{});var cR=r(Oh);M1=n(cR,"is_decoder"),cR.forEach(t),$1=n(Rt,` argument of the configuration set
to `),Ih=a(Rt,"CODE",{});var pR=r(Ih);L1=n(pR,"True"),pR.forEach(t),x1=n(Rt,". To be used in a Seq2Seq model, the model needs to initialized with both "),Dh=a(Rt,"CODE",{});var hR=r(Dh);F1=n(hR,"is_decoder"),hR.forEach(t),E1=n(Rt,` argument and
`),Sh=a(Rt,"CODE",{});var uR=r(Sh);R1=n(uR,"add_cross_attention"),uR.forEach(t),X1=n(Rt," set to "),Wh=a(Rt,"CODE",{});var mR=r(Wh);z1=n(mR,"True"),mR.forEach(t),C1=n(Rt,"; an "),Bh=a(Rt,"CODE",{});var fR=r(Bh);q1=n(fR,"encoder_hidden_states"),fR.forEach(t),j1=n(Rt," is then expected as an input to the forward pass."),Rt.forEach(t),A1=h(gt),ps=a(gt,"P",{});var Vf=r(ps);P1=n(Vf,".. _"),Uh=a(Vf,"EM",{});var gR=r(Uh);N1=n(gR,"Attention is all you need"),gR.forEach(t),O1=n(Vf,": "),_i=a(Vf,"A",{href:!0,rel:!0});var _R=r(_i);I1=n(_R,"https://arxiv.org/abs/1706.03762"),_R.forEach(t),Vf.forEach(t),D1=h(gt),Bt=a(gt,"DIV",{class:!0});var Na=r(Bt);w(bi.$$.fragment,Na),S1=h(Na),ln=a(Na,"P",{});var Kp=r(ln);W1=n(Kp,"The "),dp=a(Kp,"A",{href:!0});var bR=r(dp);B1=n(bR,"XLMRobertaModel"),bR.forEach(t),U1=n(Kp," forward method, overrides the "),Hh=a(Kp,"CODE",{});var kR=r(Hh);H1=n(kR,"__call__"),kR.forEach(t),Q1=n(Kp," special method."),Kp.forEach(t),K1=h(Na),w(hs.$$.fragment,Na),V1=h(Na),w(us.$$.fragment,Na),Na.forEach(t),gt.forEach(t),_g=h(i),dn=a(i,"H2",{class:!0});var w_=r(dn);ms=a(w_,"A",{id:!0,class:!0,href:!0});var vR=r(ms);Qh=a(vR,"SPAN",{});var yR=r(Qh);w(ki.$$.fragment,yR),yR.forEach(t),vR.forEach(t),J1=h(w_),Kh=a(w_,"SPAN",{});var wR=r(Kh);G1=n(wR,"XLMRobertaForCausalLM"),wR.forEach(t),w_.forEach(t),bg=h(i),bt=a(i,"DIV",{class:!0});var Uo=r(bt);w(vi.$$.fragment,Uo),Y1=h(Uo),yi=a(Uo,"P",{});var T_=r(yi);Z1=n(T_,"XLM-RoBERTa Model with a "),Vh=a(T_,"CODE",{});var TR=r(Vh);ew=n(TR,"language modeling"),TR.forEach(t),tw=n(T_," head on top for CLM fine-tuning."),T_.forEach(t),ow=h(Uo),wi=a(Uo,"P",{});var M_=r(wi);nw=n(M_,"This model inherits from "),cp=a(M_,"A",{href:!0});var MR=r(cp);sw=n(MR,"PreTrainedModel"),MR.forEach(t),aw=n(M_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),M_.forEach(t),rw=h(Uo),Ti=a(Uo,"P",{});var $_=r(Ti);iw=n($_,"This model is also a PyTorch "),Mi=a($_,"A",{href:!0,rel:!0});var $R=r(Mi);lw=n($R,"torch.nn.Module"),$R.forEach(t),dw=n($_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),$_.forEach(t),cw=h(Uo),Ut=a(Uo,"DIV",{class:!0});var Oa=r(Ut);w($i.$$.fragment,Oa),pw=h(Oa),cn=a(Oa,"P",{});var Vp=r(cn);hw=n(Vp,"The "),pp=a(Vp,"A",{href:!0});var LR=r(pp);uw=n(LR,"XLMRobertaForCausalLM"),LR.forEach(t),mw=n(Vp," forward method, overrides the "),Jh=a(Vp,"CODE",{});var xR=r(Jh);fw=n(xR,"__call__"),xR.forEach(t),gw=n(Vp," special method."),Vp.forEach(t),_w=h(Oa),w(fs.$$.fragment,Oa),bw=h(Oa),w(gs.$$.fragment,Oa),Oa.forEach(t),Uo.forEach(t),kg=h(i),pn=a(i,"H2",{class:!0});var L_=r(pn);_s=a(L_,"A",{id:!0,class:!0,href:!0});var FR=r(_s);Gh=a(FR,"SPAN",{});var ER=r(Gh);w(Li.$$.fragment,ER),ER.forEach(t),FR.forEach(t),kw=h(L_),Yh=a(L_,"SPAN",{});var RR=r(Yh);vw=n(RR,"XLMRobertaForMaskedLM"),RR.forEach(t),L_.forEach(t),vg=h(i),kt=a(i,"DIV",{class:!0});var Ho=r(kt);w(xi.$$.fragment,Ho),yw=h(Ho),Fi=a(Ho,"P",{});var x_=r(Fi);ww=n(x_,"XLM-RoBERTa Model with a "),Zh=a(x_,"CODE",{});var XR=r(Zh);Tw=n(XR,"language modeling"),XR.forEach(t),Mw=n(x_," head on top."),x_.forEach(t),$w=h(Ho),Ei=a(Ho,"P",{});var F_=r(Ei);Lw=n(F_,"This model inherits from "),hp=a(F_,"A",{href:!0});var zR=r(hp);xw=n(zR,"PreTrainedModel"),zR.forEach(t),Fw=n(F_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),F_.forEach(t),Ew=h(Ho),Ri=a(Ho,"P",{});var E_=r(Ri);Rw=n(E_,"This model is also a PyTorch "),Xi=a(E_,"A",{href:!0,rel:!0});var CR=r(Xi);Xw=n(CR,"torch.nn.Module"),CR.forEach(t),zw=n(E_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),E_.forEach(t),Cw=h(Ho),Ht=a(Ho,"DIV",{class:!0});var Ia=r(Ht);w(zi.$$.fragment,Ia),qw=h(Ia),hn=a(Ia,"P",{});var Jp=r(hn);jw=n(Jp,"The "),up=a(Jp,"A",{href:!0});var qR=r(up);Aw=n(qR,"XLMRobertaForMaskedLM"),qR.forEach(t),Pw=n(Jp," forward method, overrides the "),eu=a(Jp,"CODE",{});var jR=r(eu);Nw=n(jR,"__call__"),jR.forEach(t),Ow=n(Jp," special method."),Jp.forEach(t),Iw=h(Ia),w(bs.$$.fragment,Ia),Dw=h(Ia),w(ks.$$.fragment,Ia),Ia.forEach(t),Ho.forEach(t),yg=h(i),un=a(i,"H2",{class:!0});var R_=r(un);vs=a(R_,"A",{id:!0,class:!0,href:!0});var AR=r(vs);tu=a(AR,"SPAN",{});var PR=r(tu);w(Ci.$$.fragment,PR),PR.forEach(t),AR.forEach(t),Sw=h(R_),ou=a(R_,"SPAN",{});var NR=r(ou);Ww=n(NR,"XLMRobertaForSequenceClassification"),NR.forEach(t),R_.forEach(t),wg=h(i),vt=a(i,"DIV",{class:!0});var Qo=r(vt);w(qi.$$.fragment,Qo),Bw=h(Qo),nu=a(Qo,"P",{});var OR=r(nu);Uw=n(OR,`XLM-RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),OR.forEach(t),Hw=h(Qo),ji=a(Qo,"P",{});var X_=r(ji);Qw=n(X_,"This model inherits from "),mp=a(X_,"A",{href:!0});var IR=r(mp);Kw=n(IR,"PreTrainedModel"),IR.forEach(t),Vw=n(X_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),X_.forEach(t),Jw=h(Qo),Ai=a(Qo,"P",{});var z_=r(Ai);Gw=n(z_,"This model is also a PyTorch "),Pi=a(z_,"A",{href:!0,rel:!0});var DR=r(Pi);Yw=n(DR,"torch.nn.Module"),DR.forEach(t),Zw=n(z_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),z_.forEach(t),eT=h(Qo),Mt=a(Qo,"DIV",{class:!0});var Ko=r(Mt);w(Ni.$$.fragment,Ko),tT=h(Ko),mn=a(Ko,"P",{});var Gp=r(mn);oT=n(Gp,"The "),fp=a(Gp,"A",{href:!0});var SR=r(fp);nT=n(SR,"XLMRobertaForSequenceClassification"),SR.forEach(t),sT=n(Gp," forward method, overrides the "),su=a(Gp,"CODE",{});var WR=r(su);aT=n(WR,"__call__"),WR.forEach(t),rT=n(Gp," special method."),Gp.forEach(t),iT=h(Ko),w(ys.$$.fragment,Ko),lT=h(Ko),w(ws.$$.fragment,Ko),dT=h(Ko),w(Ts.$$.fragment,Ko),Ko.forEach(t),Qo.forEach(t),Tg=h(i),fn=a(i,"H2",{class:!0});var C_=r(fn);Ms=a(C_,"A",{id:!0,class:!0,href:!0});var BR=r(Ms);au=a(BR,"SPAN",{});var UR=r(au);w(Oi.$$.fragment,UR),UR.forEach(t),BR.forEach(t),cT=h(C_),ru=a(C_,"SPAN",{});var HR=r(ru);pT=n(HR,"XLMRobertaForMultipleChoice"),HR.forEach(t),C_.forEach(t),Mg=h(i),yt=a(i,"DIV",{class:!0});var Vo=r(yt);w(Ii.$$.fragment,Vo),hT=h(Vo),iu=a(Vo,"P",{});var QR=r(iu);uT=n(QR,`XLM-RoBERTa Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),QR.forEach(t),mT=h(Vo),Di=a(Vo,"P",{});var q_=r(Di);fT=n(q_,"This model inherits from "),gp=a(q_,"A",{href:!0});var KR=r(gp);gT=n(KR,"PreTrainedModel"),KR.forEach(t),_T=n(q_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),q_.forEach(t),bT=h(Vo),Si=a(Vo,"P",{});var j_=r(Si);kT=n(j_,"This model is also a PyTorch "),Wi=a(j_,"A",{href:!0,rel:!0});var VR=r(Wi);vT=n(VR,"torch.nn.Module"),VR.forEach(t),yT=n(j_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),j_.forEach(t),wT=h(Vo),Qt=a(Vo,"DIV",{class:!0});var Da=r(Qt);w(Bi.$$.fragment,Da),TT=h(Da),gn=a(Da,"P",{});var Yp=r(gn);MT=n(Yp,"The "),_p=a(Yp,"A",{href:!0});var JR=r(_p);$T=n(JR,"XLMRobertaForMultipleChoice"),JR.forEach(t),LT=n(Yp," forward method, overrides the "),lu=a(Yp,"CODE",{});var GR=r(lu);xT=n(GR,"__call__"),GR.forEach(t),FT=n(Yp," special method."),Yp.forEach(t),ET=h(Da),w($s.$$.fragment,Da),RT=h(Da),w(Ls.$$.fragment,Da),Da.forEach(t),Vo.forEach(t),$g=h(i),_n=a(i,"H2",{class:!0});var A_=r(_n);xs=a(A_,"A",{id:!0,class:!0,href:!0});var YR=r(xs);du=a(YR,"SPAN",{});var ZR=r(du);w(Ui.$$.fragment,ZR),ZR.forEach(t),YR.forEach(t),XT=h(A_),cu=a(A_,"SPAN",{});var eX=r(cu);zT=n(eX,"XLMRobertaForTokenClassification"),eX.forEach(t),A_.forEach(t),Lg=h(i),wt=a(i,"DIV",{class:!0});var Jo=r(wt);w(Hi.$$.fragment,Jo),CT=h(Jo),pu=a(Jo,"P",{});var tX=r(pu);qT=n(tX,`XLM-RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),tX.forEach(t),jT=h(Jo),Qi=a(Jo,"P",{});var P_=r(Qi);AT=n(P_,"This model inherits from "),bp=a(P_,"A",{href:!0});var oX=r(bp);PT=n(oX,"PreTrainedModel"),oX.forEach(t),NT=n(P_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),P_.forEach(t),OT=h(Jo),Ki=a(Jo,"P",{});var N_=r(Ki);IT=n(N_,"This model is also a PyTorch "),Vi=a(N_,"A",{href:!0,rel:!0});var nX=r(Vi);DT=n(nX,"torch.nn.Module"),nX.forEach(t),ST=n(N_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),N_.forEach(t),WT=h(Jo),Kt=a(Jo,"DIV",{class:!0});var Sa=r(Kt);w(Ji.$$.fragment,Sa),BT=h(Sa),bn=a(Sa,"P",{});var Zp=r(bn);UT=n(Zp,"The "),kp=a(Zp,"A",{href:!0});var sX=r(kp);HT=n(sX,"XLMRobertaForTokenClassification"),sX.forEach(t),QT=n(Zp," forward method, overrides the "),hu=a(Zp,"CODE",{});var aX=r(hu);KT=n(aX,"__call__"),aX.forEach(t),VT=n(Zp," special method."),Zp.forEach(t),JT=h(Sa),w(Fs.$$.fragment,Sa),GT=h(Sa),w(Es.$$.fragment,Sa),Sa.forEach(t),Jo.forEach(t),xg=h(i),kn=a(i,"H2",{class:!0});var O_=r(kn);Rs=a(O_,"A",{id:!0,class:!0,href:!0});var rX=r(Rs);uu=a(rX,"SPAN",{});var iX=r(uu);w(Gi.$$.fragment,iX),iX.forEach(t),rX.forEach(t),YT=h(O_),mu=a(O_,"SPAN",{});var lX=r(mu);ZT=n(lX,"XLMRobertaForQuestionAnswering"),lX.forEach(t),O_.forEach(t),Fg=h(i),Tt=a(i,"DIV",{class:!0});var Go=r(Tt);w(Yi.$$.fragment,Go),eM=h(Go),vn=a(Go,"P",{});var eh=r(vn);tM=n(eh,`XLM-RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),fu=a(eh,"CODE",{});var dX=r(fu);oM=n(dX,"span start logits"),dX.forEach(t),nM=n(eh," and "),gu=a(eh,"CODE",{});var cX=r(gu);sM=n(cX,"span end logits"),cX.forEach(t),aM=n(eh,")."),eh.forEach(t),rM=h(Go),Zi=a(Go,"P",{});var I_=r(Zi);iM=n(I_,"This model inherits from "),vp=a(I_,"A",{href:!0});var pX=r(vp);lM=n(pX,"PreTrainedModel"),pX.forEach(t),dM=n(I_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),I_.forEach(t),cM=h(Go),el=a(Go,"P",{});var D_=r(el);pM=n(D_,"This model is also a PyTorch "),tl=a(D_,"A",{href:!0,rel:!0});var hX=r(tl);hM=n(hX,"torch.nn.Module"),hX.forEach(t),uM=n(D_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),D_.forEach(t),mM=h(Go),Vt=a(Go,"DIV",{class:!0});var Wa=r(Vt);w(ol.$$.fragment,Wa),fM=h(Wa),yn=a(Wa,"P",{});var th=r(yn);gM=n(th,"The "),yp=a(th,"A",{href:!0});var uX=r(yp);_M=n(uX,"XLMRobertaForQuestionAnswering"),uX.forEach(t),bM=n(th," forward method, overrides the "),_u=a(th,"CODE",{});var mX=r(_u);kM=n(mX,"__call__"),mX.forEach(t),vM=n(th," special method."),th.forEach(t),yM=h(Wa),w(Xs.$$.fragment,Wa),wM=h(Wa),w(zs.$$.fragment,Wa),Wa.forEach(t),Go.forEach(t),Eg=h(i),wn=a(i,"H2",{class:!0});var S_=r(wn);Cs=a(S_,"A",{id:!0,class:!0,href:!0});var fX=r(Cs);bu=a(fX,"SPAN",{});var gX=r(bu);w(nl.$$.fragment,gX),gX.forEach(t),fX.forEach(t),TM=h(S_),ku=a(S_,"SPAN",{});var _X=r(ku);MM=n(_X,"TFXLMRobertaModel"),_X.forEach(t),S_.forEach(t),Rg=h(i),dt=a(i,"DIV",{class:!0});var ro=r(dt);w(sl.$$.fragment,ro),$M=h(ro),vu=a(ro,"P",{});var bX=r(vu);LM=n(bX,"The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),bX.forEach(t),xM=h(ro),al=a(ro,"P",{});var W_=r(al);FM=n(W_,"This model inherits from "),wp=a(W_,"A",{href:!0});var kX=r(wp);EM=n(kX,"TFPreTrainedModel"),kX.forEach(t),RM=n(W_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),W_.forEach(t),XM=h(ro),rl=a(ro,"P",{});var B_=r(rl);zM=n(B_,"This model is also a "),il=a(B_,"A",{href:!0,rel:!0});var vX=r(il);CM=n(vX,"tf.keras.Model"),vX.forEach(t),qM=n(B_,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),B_.forEach(t),jM=h(ro),w(qs.$$.fragment,ro),AM=h(ro),Jt=a(ro,"DIV",{class:!0});var Ba=r(Jt);w(ll.$$.fragment,Ba),PM=h(Ba),Tn=a(Ba,"P",{});var oh=r(Tn);NM=n(oh,"The "),Tp=a(oh,"A",{href:!0});var yX=r(Tp);OM=n(yX,"TFXLMRobertaModel"),yX.forEach(t),IM=n(oh," forward method, overrides the "),yu=a(oh,"CODE",{});var wX=r(yu);DM=n(wX,"__call__"),wX.forEach(t),SM=n(oh," special method."),oh.forEach(t),WM=h(Ba),w(js.$$.fragment,Ba),BM=h(Ba),w(As.$$.fragment,Ba),Ba.forEach(t),ro.forEach(t),Xg=h(i),Mn=a(i,"H2",{class:!0});var U_=r(Mn);Ps=a(U_,"A",{id:!0,class:!0,href:!0});var TX=r(Ps);wu=a(TX,"SPAN",{});var MX=r(wu);w(dl.$$.fragment,MX),MX.forEach(t),TX.forEach(t),UM=h(U_),Tu=a(U_,"SPAN",{});var $X=r(Tu);HM=n($X,"TFXLMRobertaForCausalLM"),$X.forEach(t),U_.forEach(t),zg=h(i),ct=a(i,"DIV",{class:!0});var io=r(ct);w(cl.$$.fragment,io),QM=h(io),pl=a(io,"P",{});var H_=r(pl);KM=n(H_,"XLM-RoBERTa Model with a "),Mu=a(H_,"CODE",{});var LX=r(Mu);VM=n(LX,"language modeling"),LX.forEach(t),JM=n(H_," head on top for CLM fine-tuning."),H_.forEach(t),GM=h(io),hl=a(io,"P",{});var Q_=r(hl);YM=n(Q_,"This model inherits from "),Mp=a(Q_,"A",{href:!0});var xX=r(Mp);ZM=n(xX,"TFPreTrainedModel"),xX.forEach(t),e2=n(Q_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Q_.forEach(t),t2=h(io),ul=a(io,"P",{});var K_=r(ul);o2=n(K_,"This model is also a "),ml=a(K_,"A",{href:!0,rel:!0});var FX=r(ml);n2=n(FX,"tf.keras.Model"),FX.forEach(t),s2=n(K_,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),K_.forEach(t),a2=h(io),w(Ns.$$.fragment,io),r2=h(io),Gt=a(io,"DIV",{class:!0});var Ua=r(Gt);w(fl.$$.fragment,Ua),i2=h(Ua),$n=a(Ua,"P",{});var nh=r($n);l2=n(nh,"The "),$p=a(nh,"A",{href:!0});var EX=r($p);d2=n(EX,"TFXLMRobertaForCausalLM"),EX.forEach(t),c2=n(nh," forward method, overrides the "),$u=a(nh,"CODE",{});var RX=r($u);p2=n(RX,"__call__"),RX.forEach(t),h2=n(nh," special method."),nh.forEach(t),u2=h(Ua),w(Os.$$.fragment,Ua),m2=h(Ua),w(Is.$$.fragment,Ua),Ua.forEach(t),io.forEach(t),Cg=h(i),Ln=a(i,"H2",{class:!0});var V_=r(Ln);Ds=a(V_,"A",{id:!0,class:!0,href:!0});var XX=r(Ds);Lu=a(XX,"SPAN",{});var zX=r(Lu);w(gl.$$.fragment,zX),zX.forEach(t),XX.forEach(t),f2=h(V_),xu=a(V_,"SPAN",{});var CX=r(xu);g2=n(CX,"TFXLMRobertaForMaskedLM"),CX.forEach(t),V_.forEach(t),qg=h(i),pt=a(i,"DIV",{class:!0});var lo=r(pt);w(_l.$$.fragment,lo),_2=h(lo),bl=a(lo,"P",{});var J_=r(bl);b2=n(J_,"XLM RoBERTa Model with a "),Fu=a(J_,"CODE",{});var qX=r(Fu);k2=n(qX,"language modeling"),qX.forEach(t),v2=n(J_," head on top."),J_.forEach(t),y2=h(lo),kl=a(lo,"P",{});var G_=r(kl);w2=n(G_,"This model inherits from "),Lp=a(G_,"A",{href:!0});var jX=r(Lp);T2=n(jX,"TFPreTrainedModel"),jX.forEach(t),M2=n(G_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),G_.forEach(t),$2=h(lo),vl=a(lo,"P",{});var Y_=r(vl);L2=n(Y_,"This model is also a "),yl=a(Y_,"A",{href:!0,rel:!0});var AX=r(yl);x2=n(AX,"tf.keras.Model"),AX.forEach(t),F2=n(Y_,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Y_.forEach(t),E2=h(lo),w(Ss.$$.fragment,lo),R2=h(lo),$t=a(lo,"DIV",{class:!0});var Yo=r($t);w(wl.$$.fragment,Yo),X2=h(Yo),xn=a(Yo,"P",{});var sh=r(xn);z2=n(sh,"The "),xp=a(sh,"A",{href:!0});var PX=r(xp);C2=n(PX,"TFXLMRobertaForMaskedLM"),PX.forEach(t),q2=n(sh," forward method, overrides the "),Eu=a(sh,"CODE",{});var NX=r(Eu);j2=n(NX,"__call__"),NX.forEach(t),A2=n(sh," special method."),sh.forEach(t),P2=h(Yo),w(Ws.$$.fragment,Yo),N2=h(Yo),w(Bs.$$.fragment,Yo),O2=h(Yo),w(Us.$$.fragment,Yo),Yo.forEach(t),lo.forEach(t),jg=h(i),Fn=a(i,"H2",{class:!0});var Z_=r(Fn);Hs=a(Z_,"A",{id:!0,class:!0,href:!0});var OX=r(Hs);Ru=a(OX,"SPAN",{});var IX=r(Ru);w(Tl.$$.fragment,IX),IX.forEach(t),OX.forEach(t),I2=h(Z_),Xu=a(Z_,"SPAN",{});var DX=r(Xu);D2=n(DX,"TFXLMRobertaForSequenceClassification"),DX.forEach(t),Z_.forEach(t),Ag=h(i),ht=a(i,"DIV",{class:!0});var co=r(ht);w(Ml.$$.fragment,co),S2=h(co),zu=a(co,"P",{});var SX=r(zu);W2=n(SX,`XLM RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),SX.forEach(t),B2=h(co),$l=a(co,"P",{});var eb=r($l);U2=n(eb,"This model inherits from "),Fp=a(eb,"A",{href:!0});var WX=r(Fp);H2=n(WX,"TFPreTrainedModel"),WX.forEach(t),Q2=n(eb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),eb.forEach(t),K2=h(co),Ll=a(co,"P",{});var tb=r(Ll);V2=n(tb,"This model is also a "),xl=a(tb,"A",{href:!0,rel:!0});var BX=r(xl);J2=n(BX,"tf.keras.Model"),BX.forEach(t),G2=n(tb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),tb.forEach(t),Y2=h(co),w(Qs.$$.fragment,co),Z2=h(co),Lt=a(co,"DIV",{class:!0});var Zo=r(Lt);w(Fl.$$.fragment,Zo),e$=h(Zo),En=a(Zo,"P",{});var ah=r(En);t$=n(ah,"The "),Ep=a(ah,"A",{href:!0});var UX=r(Ep);o$=n(UX,"TFXLMRobertaForSequenceClassification"),UX.forEach(t),n$=n(ah," forward method, overrides the "),Cu=a(ah,"CODE",{});var HX=r(Cu);s$=n(HX,"__call__"),HX.forEach(t),a$=n(ah," special method."),ah.forEach(t),r$=h(Zo),w(Ks.$$.fragment,Zo),i$=h(Zo),w(Vs.$$.fragment,Zo),l$=h(Zo),w(Js.$$.fragment,Zo),Zo.forEach(t),co.forEach(t),Pg=h(i),Rn=a(i,"H2",{class:!0});var ob=r(Rn);Gs=a(ob,"A",{id:!0,class:!0,href:!0});var QX=r(Gs);qu=a(QX,"SPAN",{});var KX=r(qu);w(El.$$.fragment,KX),KX.forEach(t),QX.forEach(t),d$=h(ob),ju=a(ob,"SPAN",{});var VX=r(ju);c$=n(VX,"TFXLMRobertaForMultipleChoice"),VX.forEach(t),ob.forEach(t),Ng=h(i),ut=a(i,"DIV",{class:!0});var po=r(ut);w(Rl.$$.fragment,po),p$=h(po),Au=a(po,"P",{});var JX=r(Au);h$=n(JX,`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),JX.forEach(t),u$=h(po),Xl=a(po,"P",{});var nb=r(Xl);m$=n(nb,"This model inherits from "),Rp=a(nb,"A",{href:!0});var GX=r(Rp);f$=n(GX,"TFPreTrainedModel"),GX.forEach(t),g$=n(nb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),nb.forEach(t),_$=h(po),zl=a(po,"P",{});var sb=r(zl);b$=n(sb,"This model is also a "),Cl=a(sb,"A",{href:!0,rel:!0});var YX=r(Cl);k$=n(YX,"tf.keras.Model"),YX.forEach(t),v$=n(sb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),sb.forEach(t),y$=h(po),w(Ys.$$.fragment,po),w$=h(po),Yt=a(po,"DIV",{class:!0});var Ha=r(Yt);w(ql.$$.fragment,Ha),T$=h(Ha),Xn=a(Ha,"P",{});var rh=r(Xn);M$=n(rh,"The "),Xp=a(rh,"A",{href:!0});var ZX=r(Xp);$$=n(ZX,"TFXLMRobertaForMultipleChoice"),ZX.forEach(t),L$=n(rh," forward method, overrides the "),Pu=a(rh,"CODE",{});var ez=r(Pu);x$=n(ez,"__call__"),ez.forEach(t),F$=n(rh," special method."),rh.forEach(t),E$=h(Ha),w(Zs.$$.fragment,Ha),R$=h(Ha),w(ea.$$.fragment,Ha),Ha.forEach(t),po.forEach(t),Og=h(i),zn=a(i,"H2",{class:!0});var ab=r(zn);ta=a(ab,"A",{id:!0,class:!0,href:!0});var tz=r(ta);Nu=a(tz,"SPAN",{});var oz=r(Nu);w(jl.$$.fragment,oz),oz.forEach(t),tz.forEach(t),X$=h(ab),Ou=a(ab,"SPAN",{});var nz=r(Ou);z$=n(nz,"TFXLMRobertaForTokenClassification"),nz.forEach(t),ab.forEach(t),Ig=h(i),mt=a(i,"DIV",{class:!0});var ho=r(mt);w(Al.$$.fragment,ho),C$=h(ho),Iu=a(ho,"P",{});var sz=r(Iu);q$=n(sz,`XLM RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),sz.forEach(t),j$=h(ho),Pl=a(ho,"P",{});var rb=r(Pl);A$=n(rb,"This model inherits from "),zp=a(rb,"A",{href:!0});var az=r(zp);P$=n(az,"TFPreTrainedModel"),az.forEach(t),N$=n(rb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rb.forEach(t),O$=h(ho),Nl=a(ho,"P",{});var ib=r(Nl);I$=n(ib,"This model is also a "),Ol=a(ib,"A",{href:!0,rel:!0});var rz=r(Ol);D$=n(rz,"tf.keras.Model"),rz.forEach(t),S$=n(ib,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ib.forEach(t),W$=h(ho),w(oa.$$.fragment,ho),B$=h(ho),xt=a(ho,"DIV",{class:!0});var en=r(xt);w(Il.$$.fragment,en),U$=h(en),Cn=a(en,"P",{});var ih=r(Cn);H$=n(ih,"The "),Cp=a(ih,"A",{href:!0});var iz=r(Cp);Q$=n(iz,"TFXLMRobertaForTokenClassification"),iz.forEach(t),K$=n(ih," forward method, overrides the "),Du=a(ih,"CODE",{});var lz=r(Du);V$=n(lz,"__call__"),lz.forEach(t),J$=n(ih," special method."),ih.forEach(t),G$=h(en),w(na.$$.fragment,en),Y$=h(en),w(sa.$$.fragment,en),Z$=h(en),w(aa.$$.fragment,en),en.forEach(t),ho.forEach(t),Dg=h(i),qn=a(i,"H2",{class:!0});var lb=r(qn);ra=a(lb,"A",{id:!0,class:!0,href:!0});var dz=r(ra);Su=a(dz,"SPAN",{});var cz=r(Su);w(Dl.$$.fragment,cz),cz.forEach(t),dz.forEach(t),eL=h(lb),Wu=a(lb,"SPAN",{});var pz=r(Wu);tL=n(pz,"TFXLMRobertaForQuestionAnswering"),pz.forEach(t),lb.forEach(t),Sg=h(i),ft=a(i,"DIV",{class:!0});var uo=r(ft);w(Sl.$$.fragment,uo),oL=h(uo),jn=a(uo,"P",{});var lh=r(jn);nL=n(lh,`XLM RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),Bu=a(lh,"CODE",{});var hz=r(Bu);sL=n(hz,"span start logits"),hz.forEach(t),aL=n(lh," and "),Uu=a(lh,"CODE",{});var uz=r(Uu);rL=n(uz,"span end logits"),uz.forEach(t),iL=n(lh,")."),lh.forEach(t),lL=h(uo),Wl=a(uo,"P",{});var db=r(Wl);dL=n(db,"This model inherits from "),qp=a(db,"A",{href:!0});var mz=r(qp);cL=n(mz,"TFPreTrainedModel"),mz.forEach(t),pL=n(db,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),db.forEach(t),hL=h(uo),Bl=a(uo,"P",{});var cb=r(Bl);uL=n(cb,"This model is also a "),Ul=a(cb,"A",{href:!0,rel:!0});var fz=r(Ul);mL=n(fz,"tf.keras.Model"),fz.forEach(t),fL=n(cb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cb.forEach(t),gL=h(uo),w(ia.$$.fragment,uo),_L=h(uo),Ft=a(uo,"DIV",{class:!0});var tn=r(Ft);w(Hl.$$.fragment,tn),bL=h(tn),An=a(tn,"P",{});var dh=r(An);kL=n(dh,"The "),jp=a(dh,"A",{href:!0});var gz=r(jp);vL=n(gz,"TFXLMRobertaForQuestionAnswering"),gz.forEach(t),yL=n(dh," forward method, overrides the "),Hu=a(dh,"CODE",{});var _z=r(Hu);wL=n(_z,"__call__"),_z.forEach(t),TL=n(dh," special method."),dh.forEach(t),ML=h(tn),w(la.$$.fragment,tn),$L=h(tn),w(da.$$.fragment,tn),LL=h(tn),w(ca.$$.fragment,tn),tn.forEach(t),uo.forEach(t),Wg=h(i),Pn=a(i,"H2",{class:!0});var pb=r(Pn);pa=a(pb,"A",{id:!0,class:!0,href:!0});var bz=r(pa);Qu=a(bz,"SPAN",{});var kz=r(Qu);w(Ql.$$.fragment,kz),kz.forEach(t),bz.forEach(t),xL=h(pb),Ku=a(pb,"SPAN",{});var vz=r(Ku);FL=n(vz,"FlaxXLMRobertaModel"),vz.forEach(t),pb.forEach(t),Bg=h(i),tt=a(i,"DIV",{class:!0});var Xt=r(tt);w(Kl.$$.fragment,Xt),EL=h(Xt),Vu=a(Xt,"P",{});var yz=r(Vu);RL=n(yz,"The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),yz.forEach(t),XL=h(Xt),Vl=a(Xt,"P",{});var hb=r(Vl);zL=n(hb,"This model inherits from "),Ap=a(hb,"A",{href:!0});var wz=r(Ap);CL=n(wz,"FlaxPreTrainedModel"),wz.forEach(t),qL=n(hb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),hb.forEach(t),jL=h(Xt),Jl=a(Xt,"P",{});var ub=r(Jl);AL=n(ub,"This model is also a Flax Linen "),Gl=a(ub,"A",{href:!0,rel:!0});var Tz=r(Gl);PL=n(Tz,"flax.linen.Module"),Tz.forEach(t),NL=n(ub,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),ub.forEach(t),OL=h(Xt),Ju=a(Xt,"P",{});var Mz=r(Ju);IL=n(Mz,"Finally, this model supports inherent JAX features such as:"),Mz.forEach(t),DL=h(Xt),go=a(Xt,"UL",{});var Qa=r(go);Gu=a(Qa,"LI",{});var $z=r(Gu);Yl=a($z,"A",{href:!0,rel:!0});var Lz=r(Yl);SL=n(Lz,"Just-In-Time (JIT) compilation"),Lz.forEach(t),$z.forEach(t),WL=h(Qa),Yu=a(Qa,"LI",{});var xz=r(Yu);Zl=a(xz,"A",{href:!0,rel:!0});var Fz=r(Zl);BL=n(Fz,"Automatic Differentiation"),Fz.forEach(t),xz.forEach(t),UL=h(Qa),Zu=a(Qa,"LI",{});var Ez=r(Zu);ed=a(Ez,"A",{href:!0,rel:!0});var Rz=r(ed);HL=n(Rz,"Vectorization"),Rz.forEach(t),Ez.forEach(t),QL=h(Qa),em=a(Qa,"LI",{});var Xz=r(em);td=a(Xz,"A",{href:!0,rel:!0});var zz=r(td);KL=n(zz,"Parallelization"),zz.forEach(t),Xz.forEach(t),Qa.forEach(t),VL=h(Xt),Zt=a(Xt,"DIV",{class:!0});var Ka=r(Zt);w(od.$$.fragment,Ka),JL=h(Ka),Nn=a(Ka,"P",{});var ch=r(Nn);GL=n(ch,"The "),tm=a(ch,"CODE",{});var Cz=r(tm);YL=n(Cz,"FlaxXLMRobertaPreTrainedModel"),Cz.forEach(t),ZL=n(ch," forward method, overrides the "),om=a(ch,"CODE",{});var qz=r(om);ex=n(qz,"__call__"),qz.forEach(t),tx=n(ch," special method."),ch.forEach(t),ox=h(Ka),w(ha.$$.fragment,Ka),nx=h(Ka),w(ua.$$.fragment,Ka),Ka.forEach(t),Xt.forEach(t),Ug=h(i),On=a(i,"H2",{class:!0});var mb=r(On);ma=a(mb,"A",{id:!0,class:!0,href:!0});var jz=r(ma);nm=a(jz,"SPAN",{});var Az=r(nm);w(nd.$$.fragment,Az),Az.forEach(t),jz.forEach(t),sx=h(mb),sm=a(mb,"SPAN",{});var Pz=r(sm);ax=n(Pz,"FlaxXLMRobertaForCausalLM"),Pz.forEach(t),mb.forEach(t),Hg=h(i),ot=a(i,"DIV",{class:!0});var zt=r(ot);w(sd.$$.fragment,zt),rx=h(zt),am=a(zt,"P",{});var Nz=r(am);ix=n(Nz,`XLM Roberta Model with a language modeling head on top (a linear layer on top of the hidden-states output) e.g for
autoregressive tasks.`),Nz.forEach(t),lx=h(zt),ad=a(zt,"P",{});var fb=r(ad);dx=n(fb,"This model inherits from "),Pp=a(fb,"A",{href:!0});var Oz=r(Pp);cx=n(Oz,"FlaxPreTrainedModel"),Oz.forEach(t),px=n(fb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),fb.forEach(t),hx=h(zt),rd=a(zt,"P",{});var gb=r(rd);ux=n(gb,"This model is also a Flax Linen "),id=a(gb,"A",{href:!0,rel:!0});var Iz=r(id);mx=n(Iz,"flax.linen.Module"),Iz.forEach(t),fx=n(gb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),gb.forEach(t),gx=h(zt),rm=a(zt,"P",{});var Dz=r(rm);_x=n(Dz,"Finally, this model supports inherent JAX features such as:"),Dz.forEach(t),bx=h(zt),_o=a(zt,"UL",{});var Va=r(_o);im=a(Va,"LI",{});var Sz=r(im);ld=a(Sz,"A",{href:!0,rel:!0});var Wz=r(ld);kx=n(Wz,"Just-In-Time (JIT) compilation"),Wz.forEach(t),Sz.forEach(t),vx=h(Va),lm=a(Va,"LI",{});var Bz=r(lm);dd=a(Bz,"A",{href:!0,rel:!0});var Uz=r(dd);yx=n(Uz,"Automatic Differentiation"),Uz.forEach(t),Bz.forEach(t),wx=h(Va),dm=a(Va,"LI",{});var Hz=r(dm);cd=a(Hz,"A",{href:!0,rel:!0});var Qz=r(cd);Tx=n(Qz,"Vectorization"),Qz.forEach(t),Hz.forEach(t),Mx=h(Va),cm=a(Va,"LI",{});var Kz=r(cm);pd=a(Kz,"A",{href:!0,rel:!0});var Vz=r(pd);$x=n(Vz,"Parallelization"),Vz.forEach(t),Kz.forEach(t),Va.forEach(t),Lx=h(zt),eo=a(zt,"DIV",{class:!0});var Ja=r(eo);w(hd.$$.fragment,Ja),xx=h(Ja),In=a(Ja,"P",{});var ph=r(In);Fx=n(ph,"The "),pm=a(ph,"CODE",{});var Jz=r(pm);Ex=n(Jz,"FlaxXLMRobertaPreTrainedModel"),Jz.forEach(t),Rx=n(ph," forward method, overrides the "),hm=a(ph,"CODE",{});var Gz=r(hm);Xx=n(Gz,"__call__"),Gz.forEach(t),zx=n(ph," special method."),ph.forEach(t),Cx=h(Ja),w(fa.$$.fragment,Ja),qx=h(Ja),w(ga.$$.fragment,Ja),Ja.forEach(t),zt.forEach(t),Qg=h(i),Dn=a(i,"H2",{class:!0});var _b=r(Dn);_a=a(_b,"A",{id:!0,class:!0,href:!0});var Yz=r(_a);um=a(Yz,"SPAN",{});var Zz=r(um);w(ud.$$.fragment,Zz),Zz.forEach(t),Yz.forEach(t),jx=h(_b),mm=a(_b,"SPAN",{});var e6=r(mm);Ax=n(e6,"FlaxXLMRobertaForMaskedLM"),e6.forEach(t),_b.forEach(t),Kg=h(i),nt=a(i,"DIV",{class:!0});var Ct=r(nt);w(md.$$.fragment,Ct),Px=h(Ct),fd=a(Ct,"P",{});var bb=r(fd);Nx=n(bb,"XLM RoBERTa Model with a "),fm=a(bb,"CODE",{});var t6=r(fm);Ox=n(t6,"language modeling"),t6.forEach(t),Ix=n(bb," head on top."),bb.forEach(t),Dx=h(Ct),gd=a(Ct,"P",{});var kb=r(gd);Sx=n(kb,"This model inherits from "),Np=a(kb,"A",{href:!0});var o6=r(Np);Wx=n(o6,"FlaxPreTrainedModel"),o6.forEach(t),Bx=n(kb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),kb.forEach(t),Ux=h(Ct),_d=a(Ct,"P",{});var vb=r(_d);Hx=n(vb,"This model is also a Flax Linen "),bd=a(vb,"A",{href:!0,rel:!0});var n6=r(bd);Qx=n(n6,"flax.linen.Module"),n6.forEach(t),Kx=n(vb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),vb.forEach(t),Vx=h(Ct),gm=a(Ct,"P",{});var s6=r(gm);Jx=n(s6,"Finally, this model supports inherent JAX features such as:"),s6.forEach(t),Gx=h(Ct),bo=a(Ct,"UL",{});var Ga=r(bo);_m=a(Ga,"LI",{});var a6=r(_m);kd=a(a6,"A",{href:!0,rel:!0});var r6=r(kd);Yx=n(r6,"Just-In-Time (JIT) compilation"),r6.forEach(t),a6.forEach(t),Zx=h(Ga),bm=a(Ga,"LI",{});var i6=r(bm);vd=a(i6,"A",{href:!0,rel:!0});var l6=r(vd);eF=n(l6,"Automatic Differentiation"),l6.forEach(t),i6.forEach(t),tF=h(Ga),km=a(Ga,"LI",{});var d6=r(km);yd=a(d6,"A",{href:!0,rel:!0});var c6=r(yd);oF=n(c6,"Vectorization"),c6.forEach(t),d6.forEach(t),nF=h(Ga),vm=a(Ga,"LI",{});var p6=r(vm);wd=a(p6,"A",{href:!0,rel:!0});var h6=r(wd);sF=n(h6,"Parallelization"),h6.forEach(t),p6.forEach(t),Ga.forEach(t),aF=h(Ct),to=a(Ct,"DIV",{class:!0});var Ya=r(to);w(Td.$$.fragment,Ya),rF=h(Ya),Sn=a(Ya,"P",{});var hh=r(Sn);iF=n(hh,"The "),ym=a(hh,"CODE",{});var u6=r(ym);lF=n(u6,"FlaxXLMRobertaPreTrainedModel"),u6.forEach(t),dF=n(hh," forward method, overrides the "),wm=a(hh,"CODE",{});var m6=r(wm);cF=n(m6,"__call__"),m6.forEach(t),pF=n(hh," special method."),hh.forEach(t),hF=h(Ya),w(ba.$$.fragment,Ya),uF=h(Ya),w(ka.$$.fragment,Ya),Ya.forEach(t),Ct.forEach(t),Vg=h(i),Wn=a(i,"H2",{class:!0});var yb=r(Wn);va=a(yb,"A",{id:!0,class:!0,href:!0});var f6=r(va);Tm=a(f6,"SPAN",{});var g6=r(Tm);w(Md.$$.fragment,g6),g6.forEach(t),f6.forEach(t),mF=h(yb),Mm=a(yb,"SPAN",{});var _6=r(Mm);fF=n(_6,"FlaxXLMRobertaForSequenceClassification"),_6.forEach(t),yb.forEach(t),Jg=h(i),st=a(i,"DIV",{class:!0});var qt=r(st);w($d.$$.fragment,qt),gF=h(qt),$m=a(qt,"P",{});var b6=r($m);_F=n(b6,`XLM Roberta Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),b6.forEach(t),bF=h(qt),Ld=a(qt,"P",{});var wb=r(Ld);kF=n(wb,"This model inherits from "),Op=a(wb,"A",{href:!0});var k6=r(Op);vF=n(k6,"FlaxPreTrainedModel"),k6.forEach(t),yF=n(wb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),wb.forEach(t),wF=h(qt),xd=a(qt,"P",{});var Tb=r(xd);TF=n(Tb,"This model is also a Flax Linen "),Fd=a(Tb,"A",{href:!0,rel:!0});var v6=r(Fd);MF=n(v6,"flax.linen.Module"),v6.forEach(t),$F=n(Tb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Tb.forEach(t),LF=h(qt),Lm=a(qt,"P",{});var y6=r(Lm);xF=n(y6,"Finally, this model supports inherent JAX features such as:"),y6.forEach(t),FF=h(qt),ko=a(qt,"UL",{});var Za=r(ko);xm=a(Za,"LI",{});var w6=r(xm);Ed=a(w6,"A",{href:!0,rel:!0});var T6=r(Ed);EF=n(T6,"Just-In-Time (JIT) compilation"),T6.forEach(t),w6.forEach(t),RF=h(Za),Fm=a(Za,"LI",{});var M6=r(Fm);Rd=a(M6,"A",{href:!0,rel:!0});var $6=r(Rd);XF=n($6,"Automatic Differentiation"),$6.forEach(t),M6.forEach(t),zF=h(Za),Em=a(Za,"LI",{});var L6=r(Em);Xd=a(L6,"A",{href:!0,rel:!0});var x6=r(Xd);CF=n(x6,"Vectorization"),x6.forEach(t),L6.forEach(t),qF=h(Za),Rm=a(Za,"LI",{});var F6=r(Rm);zd=a(F6,"A",{href:!0,rel:!0});var E6=r(zd);jF=n(E6,"Parallelization"),E6.forEach(t),F6.forEach(t),Za.forEach(t),AF=h(qt),oo=a(qt,"DIV",{class:!0});var er=r(oo);w(Cd.$$.fragment,er),PF=h(er),Bn=a(er,"P",{});var uh=r(Bn);NF=n(uh,"The "),Xm=a(uh,"CODE",{});var R6=r(Xm);OF=n(R6,"FlaxXLMRobertaPreTrainedModel"),R6.forEach(t),IF=n(uh," forward method, overrides the "),zm=a(uh,"CODE",{});var X6=r(zm);DF=n(X6,"__call__"),X6.forEach(t),SF=n(uh," special method."),uh.forEach(t),WF=h(er),w(ya.$$.fragment,er),BF=h(er),w(wa.$$.fragment,er),er.forEach(t),qt.forEach(t),Gg=h(i),Un=a(i,"H2",{class:!0});var Mb=r(Un);Ta=a(Mb,"A",{id:!0,class:!0,href:!0});var z6=r(Ta);Cm=a(z6,"SPAN",{});var C6=r(Cm);w(qd.$$.fragment,C6),C6.forEach(t),z6.forEach(t),UF=h(Mb),qm=a(Mb,"SPAN",{});var q6=r(qm);HF=n(q6,"FlaxXLMRobertaForMultipleChoice"),q6.forEach(t),Mb.forEach(t),Yg=h(i),at=a(i,"DIV",{class:!0});var jt=r(at);w(jd.$$.fragment,jt),QF=h(jt),jm=a(jt,"P",{});var j6=r(jm);KF=n(j6,`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),j6.forEach(t),VF=h(jt),Ad=a(jt,"P",{});var $b=r(Ad);JF=n($b,"This model inherits from "),Ip=a($b,"A",{href:!0});var A6=r(Ip);GF=n(A6,"FlaxPreTrainedModel"),A6.forEach(t),YF=n($b,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),$b.forEach(t),ZF=h(jt),Pd=a(jt,"P",{});var Lb=r(Pd);e0=n(Lb,"This model is also a Flax Linen "),Nd=a(Lb,"A",{href:!0,rel:!0});var P6=r(Nd);t0=n(P6,"flax.linen.Module"),P6.forEach(t),o0=n(Lb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Lb.forEach(t),n0=h(jt),Am=a(jt,"P",{});var N6=r(Am);s0=n(N6,"Finally, this model supports inherent JAX features such as:"),N6.forEach(t),a0=h(jt),vo=a(jt,"UL",{});var tr=r(vo);Pm=a(tr,"LI",{});var O6=r(Pm);Od=a(O6,"A",{href:!0,rel:!0});var I6=r(Od);r0=n(I6,"Just-In-Time (JIT) compilation"),I6.forEach(t),O6.forEach(t),i0=h(tr),Nm=a(tr,"LI",{});var D6=r(Nm);Id=a(D6,"A",{href:!0,rel:!0});var S6=r(Id);l0=n(S6,"Automatic Differentiation"),S6.forEach(t),D6.forEach(t),d0=h(tr),Om=a(tr,"LI",{});var W6=r(Om);Dd=a(W6,"A",{href:!0,rel:!0});var B6=r(Dd);c0=n(B6,"Vectorization"),B6.forEach(t),W6.forEach(t),p0=h(tr),Im=a(tr,"LI",{});var U6=r(Im);Sd=a(U6,"A",{href:!0,rel:!0});var H6=r(Sd);h0=n(H6,"Parallelization"),H6.forEach(t),U6.forEach(t),tr.forEach(t),u0=h(jt),no=a(jt,"DIV",{class:!0});var or=r(no);w(Wd.$$.fragment,or),m0=h(or),Hn=a(or,"P",{});var mh=r(Hn);f0=n(mh,"The "),Dm=a(mh,"CODE",{});var Q6=r(Dm);g0=n(Q6,"FlaxXLMRobertaPreTrainedModel"),Q6.forEach(t),_0=n(mh," forward method, overrides the "),Sm=a(mh,"CODE",{});var K6=r(Sm);b0=n(K6,"__call__"),K6.forEach(t),k0=n(mh," special method."),mh.forEach(t),v0=h(or),w(Ma.$$.fragment,or),y0=h(or),w($a.$$.fragment,or),or.forEach(t),jt.forEach(t),Zg=h(i),Qn=a(i,"H2",{class:!0});var xb=r(Qn);La=a(xb,"A",{id:!0,class:!0,href:!0});var V6=r(La);Wm=a(V6,"SPAN",{});var J6=r(Wm);w(Bd.$$.fragment,J6),J6.forEach(t),V6.forEach(t),w0=h(xb),Bm=a(xb,"SPAN",{});var G6=r(Bm);T0=n(G6,"FlaxXLMRobertaForTokenClassification"),G6.forEach(t),xb.forEach(t),e_=h(i),rt=a(i,"DIV",{class:!0});var At=r(rt);w(Ud.$$.fragment,At),M0=h(At),Um=a(At,"P",{});var Y6=r(Um);$0=n(Y6,`XLM Roberta Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Y6.forEach(t),L0=h(At),Hd=a(At,"P",{});var Fb=r(Hd);x0=n(Fb,"This model inherits from "),Dp=a(Fb,"A",{href:!0});var Z6=r(Dp);F0=n(Z6,"FlaxPreTrainedModel"),Z6.forEach(t),E0=n(Fb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Fb.forEach(t),R0=h(At),Qd=a(At,"P",{});var Eb=r(Qd);X0=n(Eb,"This model is also a Flax Linen "),Kd=a(Eb,"A",{href:!0,rel:!0});var eC=r(Kd);z0=n(eC,"flax.linen.Module"),eC.forEach(t),C0=n(Eb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Eb.forEach(t),q0=h(At),Hm=a(At,"P",{});var tC=r(Hm);j0=n(tC,"Finally, this model supports inherent JAX features such as:"),tC.forEach(t),A0=h(At),yo=a(At,"UL",{});var nr=r(yo);Qm=a(nr,"LI",{});var oC=r(Qm);Vd=a(oC,"A",{href:!0,rel:!0});var nC=r(Vd);P0=n(nC,"Just-In-Time (JIT) compilation"),nC.forEach(t),oC.forEach(t),N0=h(nr),Km=a(nr,"LI",{});var sC=r(Km);Jd=a(sC,"A",{href:!0,rel:!0});var aC=r(Jd);O0=n(aC,"Automatic Differentiation"),aC.forEach(t),sC.forEach(t),I0=h(nr),Vm=a(nr,"LI",{});var rC=r(Vm);Gd=a(rC,"A",{href:!0,rel:!0});var iC=r(Gd);D0=n(iC,"Vectorization"),iC.forEach(t),rC.forEach(t),S0=h(nr),Jm=a(nr,"LI",{});var lC=r(Jm);Yd=a(lC,"A",{href:!0,rel:!0});var dC=r(Yd);W0=n(dC,"Parallelization"),dC.forEach(t),lC.forEach(t),nr.forEach(t),B0=h(At),so=a(At,"DIV",{class:!0});var sr=r(so);w(Zd.$$.fragment,sr),U0=h(sr),Kn=a(sr,"P",{});var fh=r(Kn);H0=n(fh,"The "),Gm=a(fh,"CODE",{});var cC=r(Gm);Q0=n(cC,"FlaxXLMRobertaPreTrainedModel"),cC.forEach(t),K0=n(fh," forward method, overrides the "),Ym=a(fh,"CODE",{});var pC=r(Ym);V0=n(pC,"__call__"),pC.forEach(t),J0=n(fh," special method."),fh.forEach(t),G0=h(sr),w(xa.$$.fragment,sr),Y0=h(sr),w(Fa.$$.fragment,sr),sr.forEach(t),At.forEach(t),t_=h(i),Vn=a(i,"H2",{class:!0});var Rb=r(Vn);Ea=a(Rb,"A",{id:!0,class:!0,href:!0});var hC=r(Ea);Zm=a(hC,"SPAN",{});var uC=r(Zm);w(ec.$$.fragment,uC),uC.forEach(t),hC.forEach(t),Z0=h(Rb),ef=a(Rb,"SPAN",{});var mC=r(ef);e4=n(mC,"FlaxXLMRobertaForQuestionAnswering"),mC.forEach(t),Rb.forEach(t),o_=h(i),it=a(i,"DIV",{class:!0});var Pt=r(it);w(tc.$$.fragment,Pt),t4=h(Pt),Jn=a(Pt,"P",{});var gh=r(Jn);o4=n(gh,`XLM Roberta Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),tf=a(gh,"CODE",{});var fC=r(tf);n4=n(fC,"span start logits"),fC.forEach(t),s4=n(gh," and "),of=a(gh,"CODE",{});var gC=r(of);a4=n(gC,"span end logits"),gC.forEach(t),r4=n(gh,")."),gh.forEach(t),i4=h(Pt),oc=a(Pt,"P",{});var Xb=r(oc);l4=n(Xb,"This model inherits from "),Sp=a(Xb,"A",{href:!0});var _C=r(Sp);d4=n(_C,"FlaxPreTrainedModel"),_C.forEach(t),c4=n(Xb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Xb.forEach(t),p4=h(Pt),nc=a(Pt,"P",{});var zb=r(nc);h4=n(zb,"This model is also a Flax Linen "),sc=a(zb,"A",{href:!0,rel:!0});var bC=r(sc);u4=n(bC,"flax.linen.Module"),bC.forEach(t),m4=n(zb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),zb.forEach(t),f4=h(Pt),nf=a(Pt,"P",{});var kC=r(nf);g4=n(kC,"Finally, this model supports inherent JAX features such as:"),kC.forEach(t),_4=h(Pt),wo=a(Pt,"UL",{});var ar=r(wo);sf=a(ar,"LI",{});var vC=r(sf);ac=a(vC,"A",{href:!0,rel:!0});var yC=r(ac);b4=n(yC,"Just-In-Time (JIT) compilation"),yC.forEach(t),vC.forEach(t),k4=h(ar),af=a(ar,"LI",{});var wC=r(af);rc=a(wC,"A",{href:!0,rel:!0});var TC=r(rc);v4=n(TC,"Automatic Differentiation"),TC.forEach(t),wC.forEach(t),y4=h(ar),rf=a(ar,"LI",{});var MC=r(rf);ic=a(MC,"A",{href:!0,rel:!0});var $C=r(ic);w4=n($C,"Vectorization"),$C.forEach(t),MC.forEach(t),T4=h(ar),lf=a(ar,"LI",{});var LC=r(lf);lc=a(LC,"A",{href:!0,rel:!0});var xC=r(lc);M4=n(xC,"Parallelization"),xC.forEach(t),LC.forEach(t),ar.forEach(t),$4=h(Pt),ao=a(Pt,"DIV",{class:!0});var rr=r(ao);w(dc.$$.fragment,rr),L4=h(rr),Gn=a(rr,"P",{});var _h=r(Gn);x4=n(_h,"The "),df=a(_h,"CODE",{});var FC=r(df);F4=n(FC,"FlaxXLMRobertaPreTrainedModel"),FC.forEach(t),E4=n(_h," forward method, overrides the "),cf=a(_h,"CODE",{});var EC=r(cf);R4=n(EC,"__call__"),EC.forEach(t),X4=n(_h," special method."),_h.forEach(t),z4=h(rr),w(Ra.$$.fragment,rr),C4=h(rr),w(Xa.$$.fragment,rr),rr.forEach(t),Pt.forEach(t),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(Pq)),c(f,"id","xlmroberta"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#xlmroberta"),c(m,"class","relative group"),c(re,"id","overview"),c(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(re,"href","#overview"),c(O,"class","relative group"),c(le,"href","https://arxiv.org/abs/1911.02116"),c(le,"rel","nofollow"),c(ue,"href","roberta"),c(pe,"href","https://huggingface.co/stefan-it"),c(pe,"rel","nofollow"),c(Z,"href","https://github.com/pytorch/fairseq/tree/master/examples/xlmr"),c(Z,"rel","nofollow"),c(ie,"id","resources"),c(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ie,"href","#resources"),c(ae,"class","relative group"),c(Pe,"href","https://www.philschmid.de/habana-distributed-training"),c(Pe,"rel","nofollow"),c(Oe,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForSequenceClassification"),c(ee,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/text-classification"),c(ee,"rel","nofollow"),c(ir,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification.ipynb"),c(ir,"rel","nofollow"),c($c,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForSequenceClassification"),c(lr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/text-classification"),c(lr,"rel","nofollow"),c(dr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification-tf.ipynb"),c(dr,"rel","nofollow"),c(Lc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForSequenceClassification"),c(cr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/text-classification"),c(cr,"rel","nofollow"),c(pr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification_flax.ipynb"),c(pr,"rel","nofollow"),c(hr,"href","https://huggingface.co/docs/transformers/tasks/sequence_classification"),c(hr,"rel","nofollow"),c(Fc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForTokenClassification"),c(mr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/token-classification"),c(mr,"rel","nofollow"),c(fr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/token_classification.ipynb"),c(fr,"rel","nofollow"),c(Ec,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForTokenClassification"),c(gr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/token-classification"),c(gr,"rel","nofollow"),c(_r,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/token_classification-tf.ipynb"),c(_r,"rel","nofollow"),c(Rc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForTokenClassification"),c(br,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/token-classification"),c(br,"rel","nofollow"),c(kr,"href","https://huggingface.co/course/chapter7/2?fw=pt"),c(kr,"rel","nofollow"),c(zc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForCausalLM"),c(yr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling"),c(yr,"rel","nofollow"),c(wr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),c(wr,"rel","nofollow"),c(Tr,"href","https://huggingface.co/docs/transformers/tasks/language_modeling"),c(Tr,"rel","nofollow"),c(qc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForMaskedLM"),c($r,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling#robertabertdistilbert-and-masked-language-modeling"),c($r,"rel","nofollow"),c(Lr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),c(Lr,"rel","nofollow"),c(jc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMaskedLM"),c(xr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/language-modeling#run_mlmpy"),c(xr,"rel","nofollow"),c(Fr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling-tf.ipynb"),c(Fr,"rel","nofollow"),c(Ac,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForMaskedLM"),c(Er,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling#masked-language-modeling"),c(Er,"rel","nofollow"),c(Rr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/masked_language_modeling_flax.ipynb"),c(Rr,"rel","nofollow"),c(Xr,"href","https://huggingface.co/course/chapter7/3?fw=pt"),c(Xr,"rel","nofollow"),c(Nc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForQuestionAnswering"),c(Cr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/question-answering"),c(Cr,"rel","nofollow"),c(qr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering.ipynb"),c(qr,"rel","nofollow"),c(Oc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForQuestionAnswering"),c(jr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/question-answering"),c(jr,"rel","nofollow"),c(Ar,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering-tf.ipynb"),c(Ar,"rel","nofollow"),c(Ic,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForQuestionAnswering"),c(Pr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/question-answering"),c(Pr,"rel","nofollow"),c(Nr,"href","https://huggingface.co/course/chapter7/7?fw=pt"),c(Nr,"rel","nofollow"),c(Wc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForMultipleChoice"),c(Or,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/multiple-choice"),c(Or,"rel","nofollow"),c(Ir,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multiple_choice.ipynb"),c(Ir,"rel","nofollow"),c(Bc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMultipleChoice"),c(Dr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/multiple-choice"),c(Dr,"rel","nofollow"),c(Sr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multiple_choice-tf.ipynb"),c(Sr,"rel","nofollow"),c(Br,"href","https://www.philschmid.de/multilingual-serverless-xlm-roberta-with-huggingface"),c(Br,"rel","nofollow"),c(ns,"id","transformers.XLMRobertaConfig"),c(ns,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ns,"href","#transformers.XLMRobertaConfig"),c(on,"class","relative group"),c(Qc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaModel"),c(Kc,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel"),c(Qr,"href","https://huggingface.co/xlm-roberta-base"),c(Qr,"rel","nofollow"),c(Vc,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),c(Jc,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),c(Nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(as,"id","transformers.XLMRobertaTokenizer"),c(as,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(as,"href","#transformers.XLMRobertaTokenizer"),c(sn,"class","relative group"),c(Gc,"href","/docs/transformers/v4.26.1/en/model_doc/roberta#transformers.RobertaTokenizer"),c(Yc,"href","/docs/transformers/v4.26.1/en/model_doc/xlnet#transformers.XLNetTokenizer"),c(Jr,"href","https://github.com/google/sentencepiece"),c(Jr,"rel","nofollow"),c(Zc,"href","/docs/transformers/v4.26.1/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),c(Ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(rs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(is,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(op,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ls,"id","transformers.XLMRobertaTokenizerFast"),c(ls,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ls,"href","#transformers.XLMRobertaTokenizerFast"),c(an,"class","relative group"),c(np,"href","/docs/transformers/v4.26.1/en/model_doc/roberta#transformers.RobertaTokenizer"),c(sp,"href","/docs/transformers/v4.26.1/en/model_doc/xlnet#transformers.XLNetTokenizer"),c(ri,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),c(ri,"rel","nofollow"),c(ap,"href","/docs/transformers/v4.26.1/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),c(Po,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ds,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(cs,"id","transformers.XLMRobertaModel"),c(cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(cs,"href","#transformers.XLMRobertaModel"),c(rn,"class","relative group"),c(lp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel"),c(fi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(fi,"rel","nofollow"),c(_i,"href","https://arxiv.org/abs/1706.03762"),c(_i,"rel","nofollow"),c(dp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaModel"),c(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ms,"id","transformers.XLMRobertaForCausalLM"),c(ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ms,"href","#transformers.XLMRobertaForCausalLM"),c(dn,"class","relative group"),c(cp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel"),c(Mi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Mi,"rel","nofollow"),c(pp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForCausalLM"),c(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_s,"id","transformers.XLMRobertaForMaskedLM"),c(_s,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_s,"href","#transformers.XLMRobertaForMaskedLM"),c(pn,"class","relative group"),c(hp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel"),c(Xi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Xi,"rel","nofollow"),c(up,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForMaskedLM"),c(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(vs,"id","transformers.XLMRobertaForSequenceClassification"),c(vs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(vs,"href","#transformers.XLMRobertaForSequenceClassification"),c(un,"class","relative group"),c(mp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel"),c(Pi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Pi,"rel","nofollow"),c(fp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForSequenceClassification"),c(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ms,"id","transformers.XLMRobertaForMultipleChoice"),c(Ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ms,"href","#transformers.XLMRobertaForMultipleChoice"),c(fn,"class","relative group"),c(gp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel"),c(Wi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Wi,"rel","nofollow"),c(_p,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForMultipleChoice"),c(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xs,"id","transformers.XLMRobertaForTokenClassification"),c(xs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(xs,"href","#transformers.XLMRobertaForTokenClassification"),c(_n,"class","relative group"),c(bp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel"),c(Vi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Vi,"rel","nofollow"),c(kp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForTokenClassification"),c(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Rs,"id","transformers.XLMRobertaForQuestionAnswering"),c(Rs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Rs,"href","#transformers.XLMRobertaForQuestionAnswering"),c(kn,"class","relative group"),c(vp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel"),c(tl,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(tl,"rel","nofollow"),c(yp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.XLMRobertaForQuestionAnswering"),c(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Cs,"id","transformers.TFXLMRobertaModel"),c(Cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Cs,"href","#transformers.TFXLMRobertaModel"),c(wn,"class","relative group"),c(wp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(il,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(il,"rel","nofollow"),c(Tp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel"),c(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ps,"id","transformers.TFXLMRobertaForCausalLM"),c(Ps,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ps,"href","#transformers.TFXLMRobertaForCausalLM"),c(Mn,"class","relative group"),c(Mp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(ml,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(ml,"rel","nofollow"),c($p,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForCausalLM"),c(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ds,"id","transformers.TFXLMRobertaForMaskedLM"),c(Ds,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ds,"href","#transformers.TFXLMRobertaForMaskedLM"),c(Ln,"class","relative group"),c(Lp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(yl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(yl,"rel","nofollow"),c(xp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMaskedLM"),c($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Hs,"id","transformers.TFXLMRobertaForSequenceClassification"),c(Hs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Hs,"href","#transformers.TFXLMRobertaForSequenceClassification"),c(Fn,"class","relative group"),c(Fp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(xl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(xl,"rel","nofollow"),c(Ep,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForSequenceClassification"),c(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Gs,"id","transformers.TFXLMRobertaForMultipleChoice"),c(Gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Gs,"href","#transformers.TFXLMRobertaForMultipleChoice"),c(Rn,"class","relative group"),c(Rp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(Cl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Cl,"rel","nofollow"),c(Xp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMultipleChoice"),c(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ta,"id","transformers.TFXLMRobertaForTokenClassification"),c(ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ta,"href","#transformers.TFXLMRobertaForTokenClassification"),c(zn,"class","relative group"),c(zp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(Ol,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Ol,"rel","nofollow"),c(Cp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForTokenClassification"),c(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ra,"id","transformers.TFXLMRobertaForQuestionAnswering"),c(ra,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ra,"href","#transformers.TFXLMRobertaForQuestionAnswering"),c(qn,"class","relative group"),c(qp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(Ul,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Ul,"rel","nofollow"),c(jp,"href","/docs/transformers/v4.26.1/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForQuestionAnswering"),c(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pa,"id","transformers.FlaxXLMRobertaModel"),c(pa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pa,"href","#transformers.FlaxXLMRobertaModel"),c(Pn,"class","relative group"),c(Ap,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Gl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Gl,"rel","nofollow"),c(Yl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Yl,"rel","nofollow"),c(Zl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Zl,"rel","nofollow"),c(ed,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(ed,"rel","nofollow"),c(td,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(td,"rel","nofollow"),c(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ma,"id","transformers.FlaxXLMRobertaForCausalLM"),c(ma,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ma,"href","#transformers.FlaxXLMRobertaForCausalLM"),c(On,"class","relative group"),c(Pp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(id,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(id,"rel","nofollow"),c(ld,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(ld,"rel","nofollow"),c(dd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(dd,"rel","nofollow"),c(cd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(cd,"rel","nofollow"),c(pd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(pd,"rel","nofollow"),c(eo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_a,"id","transformers.FlaxXLMRobertaForMaskedLM"),c(_a,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_a,"href","#transformers.FlaxXLMRobertaForMaskedLM"),c(Dn,"class","relative group"),c(Np,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(bd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(bd,"rel","nofollow"),c(kd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(kd,"rel","nofollow"),c(vd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(vd,"rel","nofollow"),c(yd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(yd,"rel","nofollow"),c(wd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(wd,"rel","nofollow"),c(to,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(va,"id","transformers.FlaxXLMRobertaForSequenceClassification"),c(va,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(va,"href","#transformers.FlaxXLMRobertaForSequenceClassification"),c(Wn,"class","relative group"),c(Op,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Fd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Fd,"rel","nofollow"),c(Ed,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Ed,"rel","nofollow"),c(Rd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Rd,"rel","nofollow"),c(Xd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Xd,"rel","nofollow"),c(zd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(zd,"rel","nofollow"),c(oo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ta,"id","transformers.FlaxXLMRobertaForMultipleChoice"),c(Ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ta,"href","#transformers.FlaxXLMRobertaForMultipleChoice"),c(Un,"class","relative group"),c(Ip,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Nd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Nd,"rel","nofollow"),c(Od,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Od,"rel","nofollow"),c(Id,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Id,"rel","nofollow"),c(Dd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Dd,"rel","nofollow"),c(Sd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Sd,"rel","nofollow"),c(no,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(La,"id","transformers.FlaxXLMRobertaForTokenClassification"),c(La,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(La,"href","#transformers.FlaxXLMRobertaForTokenClassification"),c(Qn,"class","relative group"),c(Dp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Kd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Kd,"rel","nofollow"),c(Vd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Vd,"rel","nofollow"),c(Jd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Jd,"rel","nofollow"),c(Gd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Gd,"rel","nofollow"),c(Yd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Yd,"rel","nofollow"),c(so,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ea,"id","transformers.FlaxXLMRobertaForQuestionAnswering"),c(Ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ea,"href","#transformers.FlaxXLMRobertaForQuestionAnswering"),c(Vn,"class","relative group"),c(Sp,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(sc,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(sc,"rel","nofollow"),c(ac,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(ac,"rel","nofollow"),c(rc,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(rc,"rel","nofollow"),c(ic,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(ic,"rel","nofollow"),c(lc,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(lc,"rel","nofollow"),c(ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(i,_){e(document.head,d),g(i,k,_),g(i,m,_),e(m,f),e(f,b),T(l,b,null),e(m,u),e(m,R),e(R,ye),g(i,fe,_),g(i,O,_),e(O,re),e(re,te),T(x,te,null),e(O,we),e(O,U),e(U,Te),g(i,ge,_),g(i,D,_),e(D,Me),e(D,le),e(le,Q),e(D,$e),g(i,_e,_),g(i,W,_),e(W,Le),g(i,be,_),g(i,B,_),e(B,me),e(me,xe),g(i,ne,_),g(i,z,_),e(z,C),g(i,ke,_),g(i,S,_),e(S,de),e(de,Fe),e(de,H),e(H,Ee),e(de,Re),e(S,q),e(S,ce),e(ce,K),e(ce,ue),e(ue,Xe),e(ce,V),g(i,ve,_),g(i,se,_),e(se,N),e(se,pe),e(pe,J),e(se,ze),e(se,Z),e(Z,j),e(se,Ce),g(i,A,_),g(i,ae,_),e(ae,ie),e(ie,v),T(E,v,null),e(ae,Qe),e(ae,oe),e(oe,Ke),g(i,Be,_),g(i,X,_),e(X,Ve),g(i,Ue,_),T(Ae,i,_),g(i,He,_),g(i,he,_),e(he,P),e(P,G),e(P,Pe),e(Pe,Je),e(he,Y),e(he,qe),e(qe,Oe),e(Oe,je),e(qe,Ge),e(qe,ee),e(ee,Ye),e(qe,Cb),e(qe,ir),e(ir,qb),e(qe,jb),e(he,Ab),e(he,Mo),e(Mo,$c),e($c,Pb),e(Mo,Nb),e(Mo,lr),e(lr,Ob),e(Mo,Ib),e(Mo,dr),e(dr,Db),e(Mo,Sb),e(he,Wb),e(he,$o),e($o,Lc),e(Lc,Bb),e($o,Ub),e($o,cr),e(cr,Hb),e($o,Qb),e($o,pr),e(pr,Kb),e($o,Vb),e(he,Jb),e(he,xc),e(xc,hr),e(hr,Gb),e(xc,Yb),g(i,Gf,_),T(ur,i,_),g(i,Yf,_),g(i,Dt,_),e(Dt,Lo),e(Lo,Fc),e(Fc,Zb),e(Lo,ek),e(Lo,mr),e(mr,tk),e(Lo,ok),e(Lo,fr),e(fr,nk),e(Lo,sk),e(Dt,ak),e(Dt,xo),e(xo,Ec),e(Ec,rk),e(xo,ik),e(xo,gr),e(gr,lk),e(xo,dk),e(xo,_r),e(_r,ck),e(xo,pk),e(Dt,hk),e(Dt,Zn),e(Zn,Rc),e(Rc,uk),e(Zn,mk),e(Zn,br),e(br,fk),e(Zn,gk),e(Dt,_k),e(Dt,Xc),e(Xc,kr),e(kr,bk),e(Xc,kk),g(i,Zf,_),T(vr,i,_),g(i,eg,_),g(i,es,_),e(es,Fo),e(Fo,zc),e(zc,vk),e(Fo,yk),e(Fo,yr),e(yr,wk),e(Fo,Tk),e(Fo,wr),e(wr,Mk),e(Fo,$k),e(es,Lk),e(es,Cc),e(Cc,Tr),e(Tr,xk),e(Cc,Fk),g(i,tg,_),T(Mr,i,_),g(i,og,_),g(i,St,_),e(St,Eo),e(Eo,qc),e(qc,Ek),e(Eo,Rk),e(Eo,$r),e($r,Xk),e(Eo,zk),e(Eo,Lr),e(Lr,Ck),e(Eo,qk),e(St,jk),e(St,Ro),e(Ro,jc),e(jc,Ak),e(Ro,Pk),e(Ro,xr),e(xr,Nk),e(Ro,Ok),e(Ro,Fr),e(Fr,Ik),e(Ro,Dk),e(St,Sk),e(St,Xo),e(Xo,Ac),e(Ac,Wk),e(Xo,Bk),e(Xo,Er),e(Er,Uk),e(Xo,Hk),e(Xo,Rr),e(Rr,Qk),e(Xo,Kk),e(St,Vk),e(St,Pc),e(Pc,Xr),e(Xr,Jk),e(Pc,Gk),g(i,ng,_),T(zr,i,_),g(i,sg,_),g(i,Wt,_),e(Wt,zo),e(zo,Nc),e(Nc,Yk),e(zo,Zk),e(zo,Cr),e(Cr,ev),e(zo,tv),e(zo,qr),e(qr,ov),e(zo,nv),e(Wt,sv),e(Wt,Co),e(Co,Oc),e(Oc,av),e(Co,rv),e(Co,jr),e(jr,iv),e(Co,lv),e(Co,Ar),e(Ar,dv),e(Co,cv),e(Wt,pv),e(Wt,ts),e(ts,Ic),e(Ic,hv),e(ts,uv),e(ts,Pr),e(Pr,mv),e(ts,fv),e(Wt,gv),e(Wt,Dc),e(Dc,Nr),e(Nr,_v),e(Dc,bv),g(i,ag,_),g(i,Sc,_),e(Sc,bh),e(bh,kv),g(i,rg,_),g(i,os,_),e(os,qo),e(qo,Wc),e(Wc,vv),e(qo,yv),e(qo,Or),e(Or,wv),e(qo,Tv),e(qo,Ir),e(Ir,Mv),e(qo,$v),e(os,Lv),e(os,jo),e(jo,Bc),e(Bc,xv),e(jo,Fv),e(jo,Dr),e(Dr,Ev),e(jo,Rv),e(jo,Sr),e(Sr,Xv),e(jo,zv),g(i,ig,_),g(i,Uc,_),e(Uc,Cv),g(i,lg,_),g(i,Hc,_),e(Hc,Wr),e(Wr,qv),e(Wr,Br),e(Br,jv),e(Wr,Av),g(i,dg,_),g(i,on,_),e(on,ns),e(ns,kh),T(Ur,kh,null),e(on,Pv),e(on,vh),e(vh,Nv),g(i,cg,_),g(i,Nt,_),T(Hr,Nt,null),e(Nt,Ov),e(Nt,mo),e(mo,Iv),e(mo,Qc),e(Qc,Dv),e(mo,Sv),e(mo,Kc),e(Kc,Wv),e(mo,Bv),e(mo,Qr),e(Qr,Uv),e(mo,Hv),e(Nt,Qv),e(Nt,nn),e(nn,Kv),e(nn,Vc),e(Vc,Vv),e(nn,Jv),e(nn,Jc),e(Jc,Gv),e(nn,Yv),e(Nt,Zv),T(ss,Nt,null),g(i,pg,_),g(i,sn,_),e(sn,as),e(as,yh),T(Kr,yh,null),e(sn,ey),e(sn,wh),e(wh,ty),g(i,hg,_),g(i,et,_),T(Vr,et,null),e(et,oy),e(et,fo),e(fo,ny),e(fo,Gc),e(Gc,sy),e(fo,ay),e(fo,Yc),e(Yc,ry),e(fo,iy),e(fo,Jr),e(Jr,ly),e(fo,dy),e(et,cy),e(et,Gr),e(Gr,py),e(Gr,Zc),e(Zc,hy),e(Gr,uy),e(et,my),e(et,Ao),T(Yr,Ao,null),e(Ao,fy),e(Ao,Th),e(Th,gy),e(Ao,_y),e(Ao,Zr),e(Zr,ep),e(ep,by),e(ep,Mh),e(Mh,ky),e(Zr,vy),e(Zr,tp),e(tp,yy),e(tp,$h),e($h,wy),e(et,Ty),e(et,rs),T(ei,rs,null),e(rs,My),e(rs,ti),e(ti,$y),e(ti,Lh),e(Lh,Ly),e(ti,xy),e(et,Fy),e(et,is),T(oi,is,null),e(is,Ey),e(is,xh),e(xh,Ry),e(et,Xy),e(et,op),T(ni,op,null),g(i,ug,_),g(i,an,_),e(an,ls),e(ls,Fh),T(si,Fh,null),e(an,zy),e(an,Eh),e(Eh,Cy),g(i,mg,_),g(i,_t,_),T(ai,_t,null),e(_t,qy),e(_t,Ot),e(Ot,jy),e(Ot,Rh),e(Rh,Ay),e(Ot,Py),e(Ot,np),e(np,Ny),e(Ot,Oy),e(Ot,sp),e(sp,Iy),e(Ot,Dy),e(Ot,ri),e(ri,Sy),e(Ot,Wy),e(_t,By),e(_t,ii),e(ii,Uy),e(ii,ap),e(ap,Hy),e(ii,Qy),e(_t,Ky),e(_t,Po),T(li,Po,null),e(Po,Vy),e(Po,Xh),e(Xh,Jy),e(Po,Gy),e(Po,di),e(di,rp),e(rp,Yy),e(rp,zh),e(zh,Zy),e(di,e1),e(di,ip),e(ip,t1),e(ip,Ch),e(Ch,o1),e(_t,n1),e(_t,ds),T(ci,ds,null),e(ds,s1),e(ds,qh),e(qh,a1),g(i,fg,_),g(i,rn,_),e(rn,cs),e(cs,jh),T(pi,jh,null),e(rn,r1),e(rn,Ah),e(Ah,i1),g(i,gg,_),g(i,Ze,_),T(hi,Ze,null),e(Ze,l1),e(Ze,Ph),e(Ph,d1),e(Ze,c1),e(Ze,ui),e(ui,p1),e(ui,lp),e(lp,h1),e(ui,u1),e(Ze,m1),e(Ze,mi),e(mi,f1),e(mi,fi),e(fi,g1),e(mi,_1),e(Ze,b1),e(Ze,gi),e(gi,k1),e(gi,Nh),e(Nh,v1),e(gi,y1),e(Ze,w1),e(Ze,lt),e(lt,T1),e(lt,Oh),e(Oh,M1),e(lt,$1),e(lt,Ih),e(Ih,L1),e(lt,x1),e(lt,Dh),e(Dh,F1),e(lt,E1),e(lt,Sh),e(Sh,R1),e(lt,X1),e(lt,Wh),e(Wh,z1),e(lt,C1),e(lt,Bh),e(Bh,q1),e(lt,j1),e(Ze,A1),e(Ze,ps),e(ps,P1),e(ps,Uh),e(Uh,N1),e(ps,O1),e(ps,_i),e(_i,I1),e(Ze,D1),e(Ze,Bt),T(bi,Bt,null),e(Bt,S1),e(Bt,ln),e(ln,W1),e(ln,dp),e(dp,B1),e(ln,U1),e(ln,Hh),e(Hh,H1),e(ln,Q1),e(Bt,K1),T(hs,Bt,null),e(Bt,V1),T(us,Bt,null),g(i,_g,_),g(i,dn,_),e(dn,ms),e(ms,Qh),T(ki,Qh,null),e(dn,J1),e(dn,Kh),e(Kh,G1),g(i,bg,_),g(i,bt,_),T(vi,bt,null),e(bt,Y1),e(bt,yi),e(yi,Z1),e(yi,Vh),e(Vh,ew),e(yi,tw),e(bt,ow),e(bt,wi),e(wi,nw),e(wi,cp),e(cp,sw),e(wi,aw),e(bt,rw),e(bt,Ti),e(Ti,iw),e(Ti,Mi),e(Mi,lw),e(Ti,dw),e(bt,cw),e(bt,Ut),T($i,Ut,null),e(Ut,pw),e(Ut,cn),e(cn,hw),e(cn,pp),e(pp,uw),e(cn,mw),e(cn,Jh),e(Jh,fw),e(cn,gw),e(Ut,_w),T(fs,Ut,null),e(Ut,bw),T(gs,Ut,null),g(i,kg,_),g(i,pn,_),e(pn,_s),e(_s,Gh),T(Li,Gh,null),e(pn,kw),e(pn,Yh),e(Yh,vw),g(i,vg,_),g(i,kt,_),T(xi,kt,null),e(kt,yw),e(kt,Fi),e(Fi,ww),e(Fi,Zh),e(Zh,Tw),e(Fi,Mw),e(kt,$w),e(kt,Ei),e(Ei,Lw),e(Ei,hp),e(hp,xw),e(Ei,Fw),e(kt,Ew),e(kt,Ri),e(Ri,Rw),e(Ri,Xi),e(Xi,Xw),e(Ri,zw),e(kt,Cw),e(kt,Ht),T(zi,Ht,null),e(Ht,qw),e(Ht,hn),e(hn,jw),e(hn,up),e(up,Aw),e(hn,Pw),e(hn,eu),e(eu,Nw),e(hn,Ow),e(Ht,Iw),T(bs,Ht,null),e(Ht,Dw),T(ks,Ht,null),g(i,yg,_),g(i,un,_),e(un,vs),e(vs,tu),T(Ci,tu,null),e(un,Sw),e(un,ou),e(ou,Ww),g(i,wg,_),g(i,vt,_),T(qi,vt,null),e(vt,Bw),e(vt,nu),e(nu,Uw),e(vt,Hw),e(vt,ji),e(ji,Qw),e(ji,mp),e(mp,Kw),e(ji,Vw),e(vt,Jw),e(vt,Ai),e(Ai,Gw),e(Ai,Pi),e(Pi,Yw),e(Ai,Zw),e(vt,eT),e(vt,Mt),T(Ni,Mt,null),e(Mt,tT),e(Mt,mn),e(mn,oT),e(mn,fp),e(fp,nT),e(mn,sT),e(mn,su),e(su,aT),e(mn,rT),e(Mt,iT),T(ys,Mt,null),e(Mt,lT),T(ws,Mt,null),e(Mt,dT),T(Ts,Mt,null),g(i,Tg,_),g(i,fn,_),e(fn,Ms),e(Ms,au),T(Oi,au,null),e(fn,cT),e(fn,ru),e(ru,pT),g(i,Mg,_),g(i,yt,_),T(Ii,yt,null),e(yt,hT),e(yt,iu),e(iu,uT),e(yt,mT),e(yt,Di),e(Di,fT),e(Di,gp),e(gp,gT),e(Di,_T),e(yt,bT),e(yt,Si),e(Si,kT),e(Si,Wi),e(Wi,vT),e(Si,yT),e(yt,wT),e(yt,Qt),T(Bi,Qt,null),e(Qt,TT),e(Qt,gn),e(gn,MT),e(gn,_p),e(_p,$T),e(gn,LT),e(gn,lu),e(lu,xT),e(gn,FT),e(Qt,ET),T($s,Qt,null),e(Qt,RT),T(Ls,Qt,null),g(i,$g,_),g(i,_n,_),e(_n,xs),e(xs,du),T(Ui,du,null),e(_n,XT),e(_n,cu),e(cu,zT),g(i,Lg,_),g(i,wt,_),T(Hi,wt,null),e(wt,CT),e(wt,pu),e(pu,qT),e(wt,jT),e(wt,Qi),e(Qi,AT),e(Qi,bp),e(bp,PT),e(Qi,NT),e(wt,OT),e(wt,Ki),e(Ki,IT),e(Ki,Vi),e(Vi,DT),e(Ki,ST),e(wt,WT),e(wt,Kt),T(Ji,Kt,null),e(Kt,BT),e(Kt,bn),e(bn,UT),e(bn,kp),e(kp,HT),e(bn,QT),e(bn,hu),e(hu,KT),e(bn,VT),e(Kt,JT),T(Fs,Kt,null),e(Kt,GT),T(Es,Kt,null),g(i,xg,_),g(i,kn,_),e(kn,Rs),e(Rs,uu),T(Gi,uu,null),e(kn,YT),e(kn,mu),e(mu,ZT),g(i,Fg,_),g(i,Tt,_),T(Yi,Tt,null),e(Tt,eM),e(Tt,vn),e(vn,tM),e(vn,fu),e(fu,oM),e(vn,nM),e(vn,gu),e(gu,sM),e(vn,aM),e(Tt,rM),e(Tt,Zi),e(Zi,iM),e(Zi,vp),e(vp,lM),e(Zi,dM),e(Tt,cM),e(Tt,el),e(el,pM),e(el,tl),e(tl,hM),e(el,uM),e(Tt,mM),e(Tt,Vt),T(ol,Vt,null),e(Vt,fM),e(Vt,yn),e(yn,gM),e(yn,yp),e(yp,_M),e(yn,bM),e(yn,_u),e(_u,kM),e(yn,vM),e(Vt,yM),T(Xs,Vt,null),e(Vt,wM),T(zs,Vt,null),g(i,Eg,_),g(i,wn,_),e(wn,Cs),e(Cs,bu),T(nl,bu,null),e(wn,TM),e(wn,ku),e(ku,MM),g(i,Rg,_),g(i,dt,_),T(sl,dt,null),e(dt,$M),e(dt,vu),e(vu,LM),e(dt,xM),e(dt,al),e(al,FM),e(al,wp),e(wp,EM),e(al,RM),e(dt,XM),e(dt,rl),e(rl,zM),e(rl,il),e(il,CM),e(rl,qM),e(dt,jM),T(qs,dt,null),e(dt,AM),e(dt,Jt),T(ll,Jt,null),e(Jt,PM),e(Jt,Tn),e(Tn,NM),e(Tn,Tp),e(Tp,OM),e(Tn,IM),e(Tn,yu),e(yu,DM),e(Tn,SM),e(Jt,WM),T(js,Jt,null),e(Jt,BM),T(As,Jt,null),g(i,Xg,_),g(i,Mn,_),e(Mn,Ps),e(Ps,wu),T(dl,wu,null),e(Mn,UM),e(Mn,Tu),e(Tu,HM),g(i,zg,_),g(i,ct,_),T(cl,ct,null),e(ct,QM),e(ct,pl),e(pl,KM),e(pl,Mu),e(Mu,VM),e(pl,JM),e(ct,GM),e(ct,hl),e(hl,YM),e(hl,Mp),e(Mp,ZM),e(hl,e2),e(ct,t2),e(ct,ul),e(ul,o2),e(ul,ml),e(ml,n2),e(ul,s2),e(ct,a2),T(Ns,ct,null),e(ct,r2),e(ct,Gt),T(fl,Gt,null),e(Gt,i2),e(Gt,$n),e($n,l2),e($n,$p),e($p,d2),e($n,c2),e($n,$u),e($u,p2),e($n,h2),e(Gt,u2),T(Os,Gt,null),e(Gt,m2),T(Is,Gt,null),g(i,Cg,_),g(i,Ln,_),e(Ln,Ds),e(Ds,Lu),T(gl,Lu,null),e(Ln,f2),e(Ln,xu),e(xu,g2),g(i,qg,_),g(i,pt,_),T(_l,pt,null),e(pt,_2),e(pt,bl),e(bl,b2),e(bl,Fu),e(Fu,k2),e(bl,v2),e(pt,y2),e(pt,kl),e(kl,w2),e(kl,Lp),e(Lp,T2),e(kl,M2),e(pt,$2),e(pt,vl),e(vl,L2),e(vl,yl),e(yl,x2),e(vl,F2),e(pt,E2),T(Ss,pt,null),e(pt,R2),e(pt,$t),T(wl,$t,null),e($t,X2),e($t,xn),e(xn,z2),e(xn,xp),e(xp,C2),e(xn,q2),e(xn,Eu),e(Eu,j2),e(xn,A2),e($t,P2),T(Ws,$t,null),e($t,N2),T(Bs,$t,null),e($t,O2),T(Us,$t,null),g(i,jg,_),g(i,Fn,_),e(Fn,Hs),e(Hs,Ru),T(Tl,Ru,null),e(Fn,I2),e(Fn,Xu),e(Xu,D2),g(i,Ag,_),g(i,ht,_),T(Ml,ht,null),e(ht,S2),e(ht,zu),e(zu,W2),e(ht,B2),e(ht,$l),e($l,U2),e($l,Fp),e(Fp,H2),e($l,Q2),e(ht,K2),e(ht,Ll),e(Ll,V2),e(Ll,xl),e(xl,J2),e(Ll,G2),e(ht,Y2),T(Qs,ht,null),e(ht,Z2),e(ht,Lt),T(Fl,Lt,null),e(Lt,e$),e(Lt,En),e(En,t$),e(En,Ep),e(Ep,o$),e(En,n$),e(En,Cu),e(Cu,s$),e(En,a$),e(Lt,r$),T(Ks,Lt,null),e(Lt,i$),T(Vs,Lt,null),e(Lt,l$),T(Js,Lt,null),g(i,Pg,_),g(i,Rn,_),e(Rn,Gs),e(Gs,qu),T(El,qu,null),e(Rn,d$),e(Rn,ju),e(ju,c$),g(i,Ng,_),g(i,ut,_),T(Rl,ut,null),e(ut,p$),e(ut,Au),e(Au,h$),e(ut,u$),e(ut,Xl),e(Xl,m$),e(Xl,Rp),e(Rp,f$),e(Xl,g$),e(ut,_$),e(ut,zl),e(zl,b$),e(zl,Cl),e(Cl,k$),e(zl,v$),e(ut,y$),T(Ys,ut,null),e(ut,w$),e(ut,Yt),T(ql,Yt,null),e(Yt,T$),e(Yt,Xn),e(Xn,M$),e(Xn,Xp),e(Xp,$$),e(Xn,L$),e(Xn,Pu),e(Pu,x$),e(Xn,F$),e(Yt,E$),T(Zs,Yt,null),e(Yt,R$),T(ea,Yt,null),g(i,Og,_),g(i,zn,_),e(zn,ta),e(ta,Nu),T(jl,Nu,null),e(zn,X$),e(zn,Ou),e(Ou,z$),g(i,Ig,_),g(i,mt,_),T(Al,mt,null),e(mt,C$),e(mt,Iu),e(Iu,q$),e(mt,j$),e(mt,Pl),e(Pl,A$),e(Pl,zp),e(zp,P$),e(Pl,N$),e(mt,O$),e(mt,Nl),e(Nl,I$),e(Nl,Ol),e(Ol,D$),e(Nl,S$),e(mt,W$),T(oa,mt,null),e(mt,B$),e(mt,xt),T(Il,xt,null),e(xt,U$),e(xt,Cn),e(Cn,H$),e(Cn,Cp),e(Cp,Q$),e(Cn,K$),e(Cn,Du),e(Du,V$),e(Cn,J$),e(xt,G$),T(na,xt,null),e(xt,Y$),T(sa,xt,null),e(xt,Z$),T(aa,xt,null),g(i,Dg,_),g(i,qn,_),e(qn,ra),e(ra,Su),T(Dl,Su,null),e(qn,eL),e(qn,Wu),e(Wu,tL),g(i,Sg,_),g(i,ft,_),T(Sl,ft,null),e(ft,oL),e(ft,jn),e(jn,nL),e(jn,Bu),e(Bu,sL),e(jn,aL),e(jn,Uu),e(Uu,rL),e(jn,iL),e(ft,lL),e(ft,Wl),e(Wl,dL),e(Wl,qp),e(qp,cL),e(Wl,pL),e(ft,hL),e(ft,Bl),e(Bl,uL),e(Bl,Ul),e(Ul,mL),e(Bl,fL),e(ft,gL),T(ia,ft,null),e(ft,_L),e(ft,Ft),T(Hl,Ft,null),e(Ft,bL),e(Ft,An),e(An,kL),e(An,jp),e(jp,vL),e(An,yL),e(An,Hu),e(Hu,wL),e(An,TL),e(Ft,ML),T(la,Ft,null),e(Ft,$L),T(da,Ft,null),e(Ft,LL),T(ca,Ft,null),g(i,Wg,_),g(i,Pn,_),e(Pn,pa),e(pa,Qu),T(Ql,Qu,null),e(Pn,xL),e(Pn,Ku),e(Ku,FL),g(i,Bg,_),g(i,tt,_),T(Kl,tt,null),e(tt,EL),e(tt,Vu),e(Vu,RL),e(tt,XL),e(tt,Vl),e(Vl,zL),e(Vl,Ap),e(Ap,CL),e(Vl,qL),e(tt,jL),e(tt,Jl),e(Jl,AL),e(Jl,Gl),e(Gl,PL),e(Jl,NL),e(tt,OL),e(tt,Ju),e(Ju,IL),e(tt,DL),e(tt,go),e(go,Gu),e(Gu,Yl),e(Yl,SL),e(go,WL),e(go,Yu),e(Yu,Zl),e(Zl,BL),e(go,UL),e(go,Zu),e(Zu,ed),e(ed,HL),e(go,QL),e(go,em),e(em,td),e(td,KL),e(tt,VL),e(tt,Zt),T(od,Zt,null),e(Zt,JL),e(Zt,Nn),e(Nn,GL),e(Nn,tm),e(tm,YL),e(Nn,ZL),e(Nn,om),e(om,ex),e(Nn,tx),e(Zt,ox),T(ha,Zt,null),e(Zt,nx),T(ua,Zt,null),g(i,Ug,_),g(i,On,_),e(On,ma),e(ma,nm),T(nd,nm,null),e(On,sx),e(On,sm),e(sm,ax),g(i,Hg,_),g(i,ot,_),T(sd,ot,null),e(ot,rx),e(ot,am),e(am,ix),e(ot,lx),e(ot,ad),e(ad,dx),e(ad,Pp),e(Pp,cx),e(ad,px),e(ot,hx),e(ot,rd),e(rd,ux),e(rd,id),e(id,mx),e(rd,fx),e(ot,gx),e(ot,rm),e(rm,_x),e(ot,bx),e(ot,_o),e(_o,im),e(im,ld),e(ld,kx),e(_o,vx),e(_o,lm),e(lm,dd),e(dd,yx),e(_o,wx),e(_o,dm),e(dm,cd),e(cd,Tx),e(_o,Mx),e(_o,cm),e(cm,pd),e(pd,$x),e(ot,Lx),e(ot,eo),T(hd,eo,null),e(eo,xx),e(eo,In),e(In,Fx),e(In,pm),e(pm,Ex),e(In,Rx),e(In,hm),e(hm,Xx),e(In,zx),e(eo,Cx),T(fa,eo,null),e(eo,qx),T(ga,eo,null),g(i,Qg,_),g(i,Dn,_),e(Dn,_a),e(_a,um),T(ud,um,null),e(Dn,jx),e(Dn,mm),e(mm,Ax),g(i,Kg,_),g(i,nt,_),T(md,nt,null),e(nt,Px),e(nt,fd),e(fd,Nx),e(fd,fm),e(fm,Ox),e(fd,Ix),e(nt,Dx),e(nt,gd),e(gd,Sx),e(gd,Np),e(Np,Wx),e(gd,Bx),e(nt,Ux),e(nt,_d),e(_d,Hx),e(_d,bd),e(bd,Qx),e(_d,Kx),e(nt,Vx),e(nt,gm),e(gm,Jx),e(nt,Gx),e(nt,bo),e(bo,_m),e(_m,kd),e(kd,Yx),e(bo,Zx),e(bo,bm),e(bm,vd),e(vd,eF),e(bo,tF),e(bo,km),e(km,yd),e(yd,oF),e(bo,nF),e(bo,vm),e(vm,wd),e(wd,sF),e(nt,aF),e(nt,to),T(Td,to,null),e(to,rF),e(to,Sn),e(Sn,iF),e(Sn,ym),e(ym,lF),e(Sn,dF),e(Sn,wm),e(wm,cF),e(Sn,pF),e(to,hF),T(ba,to,null),e(to,uF),T(ka,to,null),g(i,Vg,_),g(i,Wn,_),e(Wn,va),e(va,Tm),T(Md,Tm,null),e(Wn,mF),e(Wn,Mm),e(Mm,fF),g(i,Jg,_),g(i,st,_),T($d,st,null),e(st,gF),e(st,$m),e($m,_F),e(st,bF),e(st,Ld),e(Ld,kF),e(Ld,Op),e(Op,vF),e(Ld,yF),e(st,wF),e(st,xd),e(xd,TF),e(xd,Fd),e(Fd,MF),e(xd,$F),e(st,LF),e(st,Lm),e(Lm,xF),e(st,FF),e(st,ko),e(ko,xm),e(xm,Ed),e(Ed,EF),e(ko,RF),e(ko,Fm),e(Fm,Rd),e(Rd,XF),e(ko,zF),e(ko,Em),e(Em,Xd),e(Xd,CF),e(ko,qF),e(ko,Rm),e(Rm,zd),e(zd,jF),e(st,AF),e(st,oo),T(Cd,oo,null),e(oo,PF),e(oo,Bn),e(Bn,NF),e(Bn,Xm),e(Xm,OF),e(Bn,IF),e(Bn,zm),e(zm,DF),e(Bn,SF),e(oo,WF),T(ya,oo,null),e(oo,BF),T(wa,oo,null),g(i,Gg,_),g(i,Un,_),e(Un,Ta),e(Ta,Cm),T(qd,Cm,null),e(Un,UF),e(Un,qm),e(qm,HF),g(i,Yg,_),g(i,at,_),T(jd,at,null),e(at,QF),e(at,jm),e(jm,KF),e(at,VF),e(at,Ad),e(Ad,JF),e(Ad,Ip),e(Ip,GF),e(Ad,YF),e(at,ZF),e(at,Pd),e(Pd,e0),e(Pd,Nd),e(Nd,t0),e(Pd,o0),e(at,n0),e(at,Am),e(Am,s0),e(at,a0),e(at,vo),e(vo,Pm),e(Pm,Od),e(Od,r0),e(vo,i0),e(vo,Nm),e(Nm,Id),e(Id,l0),e(vo,d0),e(vo,Om),e(Om,Dd),e(Dd,c0),e(vo,p0),e(vo,Im),e(Im,Sd),e(Sd,h0),e(at,u0),e(at,no),T(Wd,no,null),e(no,m0),e(no,Hn),e(Hn,f0),e(Hn,Dm),e(Dm,g0),e(Hn,_0),e(Hn,Sm),e(Sm,b0),e(Hn,k0),e(no,v0),T(Ma,no,null),e(no,y0),T($a,no,null),g(i,Zg,_),g(i,Qn,_),e(Qn,La),e(La,Wm),T(Bd,Wm,null),e(Qn,w0),e(Qn,Bm),e(Bm,T0),g(i,e_,_),g(i,rt,_),T(Ud,rt,null),e(rt,M0),e(rt,Um),e(Um,$0),e(rt,L0),e(rt,Hd),e(Hd,x0),e(Hd,Dp),e(Dp,F0),e(Hd,E0),e(rt,R0),e(rt,Qd),e(Qd,X0),e(Qd,Kd),e(Kd,z0),e(Qd,C0),e(rt,q0),e(rt,Hm),e(Hm,j0),e(rt,A0),e(rt,yo),e(yo,Qm),e(Qm,Vd),e(Vd,P0),e(yo,N0),e(yo,Km),e(Km,Jd),e(Jd,O0),e(yo,I0),e(yo,Vm),e(Vm,Gd),e(Gd,D0),e(yo,S0),e(yo,Jm),e(Jm,Yd),e(Yd,W0),e(rt,B0),e(rt,so),T(Zd,so,null),e(so,U0),e(so,Kn),e(Kn,H0),e(Kn,Gm),e(Gm,Q0),e(Kn,K0),e(Kn,Ym),e(Ym,V0),e(Kn,J0),e(so,G0),T(xa,so,null),e(so,Y0),T(Fa,so,null),g(i,t_,_),g(i,Vn,_),e(Vn,Ea),e(Ea,Zm),T(ec,Zm,null),e(Vn,Z0),e(Vn,ef),e(ef,e4),g(i,o_,_),g(i,it,_),T(tc,it,null),e(it,t4),e(it,Jn),e(Jn,o4),e(Jn,tf),e(tf,n4),e(Jn,s4),e(Jn,of),e(of,a4),e(Jn,r4),e(it,i4),e(it,oc),e(oc,l4),e(oc,Sp),e(Sp,d4),e(oc,c4),e(it,p4),e(it,nc),e(nc,h4),e(nc,sc),e(sc,u4),e(nc,m4),e(it,f4),e(it,nf),e(nf,g4),e(it,_4),e(it,wo),e(wo,sf),e(sf,ac),e(ac,b4),e(wo,k4),e(wo,af),e(af,rc),e(rc,v4),e(wo,y4),e(wo,rf),e(rf,ic),e(ic,w4),e(wo,T4),e(wo,lf),e(lf,lc),e(lc,M4),e(it,$4),e(it,ao),T(dc,ao,null),e(ao,L4),e(ao,Gn),e(Gn,x4),e(Gn,df),e(df,F4),e(Gn,E4),e(Gn,cf),e(cf,R4),e(Gn,X4),e(ao,z4),T(Ra,ao,null),e(ao,C4),T(Xa,ao,null),n_=!0},p(i,[_]){const cc={};_&2&&(cc.$$scope={dirty:_,ctx:i}),ss.$set(cc);const pf={};_&2&&(pf.$$scope={dirty:_,ctx:i}),hs.$set(pf);const hf={};_&2&&(hf.$$scope={dirty:_,ctx:i}),us.$set(hf);const uf={};_&2&&(uf.$$scope={dirty:_,ctx:i}),fs.$set(uf);const pc={};_&2&&(pc.$$scope={dirty:_,ctx:i}),gs.$set(pc);const mf={};_&2&&(mf.$$scope={dirty:_,ctx:i}),bs.$set(mf);const ff={};_&2&&(ff.$$scope={dirty:_,ctx:i}),ks.$set(ff);const gf={};_&2&&(gf.$$scope={dirty:_,ctx:i}),ys.$set(gf);const hc={};_&2&&(hc.$$scope={dirty:_,ctx:i}),ws.$set(hc);const _f={};_&2&&(_f.$$scope={dirty:_,ctx:i}),Ts.$set(_f);const bf={};_&2&&(bf.$$scope={dirty:_,ctx:i}),$s.$set(bf);const kf={};_&2&&(kf.$$scope={dirty:_,ctx:i}),Ls.$set(kf);const vf={};_&2&&(vf.$$scope={dirty:_,ctx:i}),Fs.$set(vf);const yf={};_&2&&(yf.$$scope={dirty:_,ctx:i}),Es.$set(yf);const uc={};_&2&&(uc.$$scope={dirty:_,ctx:i}),Xs.$set(uc);const mc={};_&2&&(mc.$$scope={dirty:_,ctx:i}),zs.$set(mc);const wf={};_&2&&(wf.$$scope={dirty:_,ctx:i}),qs.$set(wf);const fc={};_&2&&(fc.$$scope={dirty:_,ctx:i}),js.$set(fc);const Tf={};_&2&&(Tf.$$scope={dirty:_,ctx:i}),As.$set(Tf);const Yn={};_&2&&(Yn.$$scope={dirty:_,ctx:i}),Ns.$set(Yn);const Mf={};_&2&&(Mf.$$scope={dirty:_,ctx:i}),Os.$set(Mf);const $f={};_&2&&($f.$$scope={dirty:_,ctx:i}),Is.$set($f);const gc={};_&2&&(gc.$$scope={dirty:_,ctx:i}),Ss.$set(gc);const Lf={};_&2&&(Lf.$$scope={dirty:_,ctx:i}),Ws.$set(Lf);const xf={};_&2&&(xf.$$scope={dirty:_,ctx:i}),Bs.$set(xf);const Ff={};_&2&&(Ff.$$scope={dirty:_,ctx:i}),Us.$set(Ff);const Ef={};_&2&&(Ef.$$scope={dirty:_,ctx:i}),Qs.$set(Ef);const It={};_&2&&(It.$$scope={dirty:_,ctx:i}),Ks.$set(It);const Wp={};_&2&&(Wp.$$scope={dirty:_,ctx:i}),Vs.$set(Wp);const Rf={};_&2&&(Rf.$$scope={dirty:_,ctx:i}),Js.$set(Rf);const No={};_&2&&(No.$$scope={dirty:_,ctx:i}),Ys.$set(No);const Xf={};_&2&&(Xf.$$scope={dirty:_,ctx:i}),Zs.$set(Xf);const zf={};_&2&&(zf.$$scope={dirty:_,ctx:i}),ea.$set(zf);const Cf={};_&2&&(Cf.$$scope={dirty:_,ctx:i}),oa.$set(Cf);const Oo={};_&2&&(Oo.$$scope={dirty:_,ctx:i}),na.$set(Oo);const qf={};_&2&&(qf.$$scope={dirty:_,ctx:i}),sa.$set(qf);const jf={};_&2&&(jf.$$scope={dirty:_,ctx:i}),aa.$set(jf);const Af={};_&2&&(Af.$$scope={dirty:_,ctx:i}),ia.$set(Af);const Io={};_&2&&(Io.$$scope={dirty:_,ctx:i}),la.$set(Io);const Pf={};_&2&&(Pf.$$scope={dirty:_,ctx:i}),da.$set(Pf);const Nf={};_&2&&(Nf.$$scope={dirty:_,ctx:i}),ca.$set(Nf);const Of={};_&2&&(Of.$$scope={dirty:_,ctx:i}),ha.$set(Of);const Bp={};_&2&&(Bp.$$scope={dirty:_,ctx:i}),ua.$set(Bp);const If={};_&2&&(If.$$scope={dirty:_,ctx:i}),fa.$set(If);const To={};_&2&&(To.$$scope={dirty:_,ctx:i}),ga.$set(To);const Do={};_&2&&(Do.$$scope={dirty:_,ctx:i}),ba.$set(Do);const Df={};_&2&&(Df.$$scope={dirty:_,ctx:i}),ka.$set(Df);const Sf={};_&2&&(Sf.$$scope={dirty:_,ctx:i}),ya.$set(Sf);const Wf={};_&2&&(Wf.$$scope={dirty:_,ctx:i}),wa.$set(Wf);const So={};_&2&&(So.$$scope={dirty:_,ctx:i}),Ma.$set(So);const Bf={};_&2&&(Bf.$$scope={dirty:_,ctx:i}),$a.$set(Bf);const Uf={};_&2&&(Uf.$$scope={dirty:_,ctx:i}),xa.$set(Uf);const Hf={};_&2&&(Hf.$$scope={dirty:_,ctx:i}),Fa.$set(Hf);const za={};_&2&&(za.$$scope={dirty:_,ctx:i}),Ra.$set(za);const Qf={};_&2&&(Qf.$$scope={dirty:_,ctx:i}),Xa.$set(Qf)},i(i){n_||(M(l.$$.fragment,i),M(x.$$.fragment,i),M(E.$$.fragment,i),M(Ae.$$.fragment,i),M(ur.$$.fragment,i),M(vr.$$.fragment,i),M(Mr.$$.fragment,i),M(zr.$$.fragment,i),M(Ur.$$.fragment,i),M(Hr.$$.fragment,i),M(ss.$$.fragment,i),M(Kr.$$.fragment,i),M(Vr.$$.fragment,i),M(Yr.$$.fragment,i),M(ei.$$.fragment,i),M(oi.$$.fragment,i),M(ni.$$.fragment,i),M(si.$$.fragment,i),M(ai.$$.fragment,i),M(li.$$.fragment,i),M(ci.$$.fragment,i),M(pi.$$.fragment,i),M(hi.$$.fragment,i),M(bi.$$.fragment,i),M(hs.$$.fragment,i),M(us.$$.fragment,i),M(ki.$$.fragment,i),M(vi.$$.fragment,i),M($i.$$.fragment,i),M(fs.$$.fragment,i),M(gs.$$.fragment,i),M(Li.$$.fragment,i),M(xi.$$.fragment,i),M(zi.$$.fragment,i),M(bs.$$.fragment,i),M(ks.$$.fragment,i),M(Ci.$$.fragment,i),M(qi.$$.fragment,i),M(Ni.$$.fragment,i),M(ys.$$.fragment,i),M(ws.$$.fragment,i),M(Ts.$$.fragment,i),M(Oi.$$.fragment,i),M(Ii.$$.fragment,i),M(Bi.$$.fragment,i),M($s.$$.fragment,i),M(Ls.$$.fragment,i),M(Ui.$$.fragment,i),M(Hi.$$.fragment,i),M(Ji.$$.fragment,i),M(Fs.$$.fragment,i),M(Es.$$.fragment,i),M(Gi.$$.fragment,i),M(Yi.$$.fragment,i),M(ol.$$.fragment,i),M(Xs.$$.fragment,i),M(zs.$$.fragment,i),M(nl.$$.fragment,i),M(sl.$$.fragment,i),M(qs.$$.fragment,i),M(ll.$$.fragment,i),M(js.$$.fragment,i),M(As.$$.fragment,i),M(dl.$$.fragment,i),M(cl.$$.fragment,i),M(Ns.$$.fragment,i),M(fl.$$.fragment,i),M(Os.$$.fragment,i),M(Is.$$.fragment,i),M(gl.$$.fragment,i),M(_l.$$.fragment,i),M(Ss.$$.fragment,i),M(wl.$$.fragment,i),M(Ws.$$.fragment,i),M(Bs.$$.fragment,i),M(Us.$$.fragment,i),M(Tl.$$.fragment,i),M(Ml.$$.fragment,i),M(Qs.$$.fragment,i),M(Fl.$$.fragment,i),M(Ks.$$.fragment,i),M(Vs.$$.fragment,i),M(Js.$$.fragment,i),M(El.$$.fragment,i),M(Rl.$$.fragment,i),M(Ys.$$.fragment,i),M(ql.$$.fragment,i),M(Zs.$$.fragment,i),M(ea.$$.fragment,i),M(jl.$$.fragment,i),M(Al.$$.fragment,i),M(oa.$$.fragment,i),M(Il.$$.fragment,i),M(na.$$.fragment,i),M(sa.$$.fragment,i),M(aa.$$.fragment,i),M(Dl.$$.fragment,i),M(Sl.$$.fragment,i),M(ia.$$.fragment,i),M(Hl.$$.fragment,i),M(la.$$.fragment,i),M(da.$$.fragment,i),M(ca.$$.fragment,i),M(Ql.$$.fragment,i),M(Kl.$$.fragment,i),M(od.$$.fragment,i),M(ha.$$.fragment,i),M(ua.$$.fragment,i),M(nd.$$.fragment,i),M(sd.$$.fragment,i),M(hd.$$.fragment,i),M(fa.$$.fragment,i),M(ga.$$.fragment,i),M(ud.$$.fragment,i),M(md.$$.fragment,i),M(Td.$$.fragment,i),M(ba.$$.fragment,i),M(ka.$$.fragment,i),M(Md.$$.fragment,i),M($d.$$.fragment,i),M(Cd.$$.fragment,i),M(ya.$$.fragment,i),M(wa.$$.fragment,i),M(qd.$$.fragment,i),M(jd.$$.fragment,i),M(Wd.$$.fragment,i),M(Ma.$$.fragment,i),M($a.$$.fragment,i),M(Bd.$$.fragment,i),M(Ud.$$.fragment,i),M(Zd.$$.fragment,i),M(xa.$$.fragment,i),M(Fa.$$.fragment,i),M(ec.$$.fragment,i),M(tc.$$.fragment,i),M(dc.$$.fragment,i),M(Ra.$$.fragment,i),M(Xa.$$.fragment,i),n_=!0)},o(i){$(l.$$.fragment,i),$(x.$$.fragment,i),$(E.$$.fragment,i),$(Ae.$$.fragment,i),$(ur.$$.fragment,i),$(vr.$$.fragment,i),$(Mr.$$.fragment,i),$(zr.$$.fragment,i),$(Ur.$$.fragment,i),$(Hr.$$.fragment,i),$(ss.$$.fragment,i),$(Kr.$$.fragment,i),$(Vr.$$.fragment,i),$(Yr.$$.fragment,i),$(ei.$$.fragment,i),$(oi.$$.fragment,i),$(ni.$$.fragment,i),$(si.$$.fragment,i),$(ai.$$.fragment,i),$(li.$$.fragment,i),$(ci.$$.fragment,i),$(pi.$$.fragment,i),$(hi.$$.fragment,i),$(bi.$$.fragment,i),$(hs.$$.fragment,i),$(us.$$.fragment,i),$(ki.$$.fragment,i),$(vi.$$.fragment,i),$($i.$$.fragment,i),$(fs.$$.fragment,i),$(gs.$$.fragment,i),$(Li.$$.fragment,i),$(xi.$$.fragment,i),$(zi.$$.fragment,i),$(bs.$$.fragment,i),$(ks.$$.fragment,i),$(Ci.$$.fragment,i),$(qi.$$.fragment,i),$(Ni.$$.fragment,i),$(ys.$$.fragment,i),$(ws.$$.fragment,i),$(Ts.$$.fragment,i),$(Oi.$$.fragment,i),$(Ii.$$.fragment,i),$(Bi.$$.fragment,i),$($s.$$.fragment,i),$(Ls.$$.fragment,i),$(Ui.$$.fragment,i),$(Hi.$$.fragment,i),$(Ji.$$.fragment,i),$(Fs.$$.fragment,i),$(Es.$$.fragment,i),$(Gi.$$.fragment,i),$(Yi.$$.fragment,i),$(ol.$$.fragment,i),$(Xs.$$.fragment,i),$(zs.$$.fragment,i),$(nl.$$.fragment,i),$(sl.$$.fragment,i),$(qs.$$.fragment,i),$(ll.$$.fragment,i),$(js.$$.fragment,i),$(As.$$.fragment,i),$(dl.$$.fragment,i),$(cl.$$.fragment,i),$(Ns.$$.fragment,i),$(fl.$$.fragment,i),$(Os.$$.fragment,i),$(Is.$$.fragment,i),$(gl.$$.fragment,i),$(_l.$$.fragment,i),$(Ss.$$.fragment,i),$(wl.$$.fragment,i),$(Ws.$$.fragment,i),$(Bs.$$.fragment,i),$(Us.$$.fragment,i),$(Tl.$$.fragment,i),$(Ml.$$.fragment,i),$(Qs.$$.fragment,i),$(Fl.$$.fragment,i),$(Ks.$$.fragment,i),$(Vs.$$.fragment,i),$(Js.$$.fragment,i),$(El.$$.fragment,i),$(Rl.$$.fragment,i),$(Ys.$$.fragment,i),$(ql.$$.fragment,i),$(Zs.$$.fragment,i),$(ea.$$.fragment,i),$(jl.$$.fragment,i),$(Al.$$.fragment,i),$(oa.$$.fragment,i),$(Il.$$.fragment,i),$(na.$$.fragment,i),$(sa.$$.fragment,i),$(aa.$$.fragment,i),$(Dl.$$.fragment,i),$(Sl.$$.fragment,i),$(ia.$$.fragment,i),$(Hl.$$.fragment,i),$(la.$$.fragment,i),$(da.$$.fragment,i),$(ca.$$.fragment,i),$(Ql.$$.fragment,i),$(Kl.$$.fragment,i),$(od.$$.fragment,i),$(ha.$$.fragment,i),$(ua.$$.fragment,i),$(nd.$$.fragment,i),$(sd.$$.fragment,i),$(hd.$$.fragment,i),$(fa.$$.fragment,i),$(ga.$$.fragment,i),$(ud.$$.fragment,i),$(md.$$.fragment,i),$(Td.$$.fragment,i),$(ba.$$.fragment,i),$(ka.$$.fragment,i),$(Md.$$.fragment,i),$($d.$$.fragment,i),$(Cd.$$.fragment,i),$(ya.$$.fragment,i),$(wa.$$.fragment,i),$(qd.$$.fragment,i),$(jd.$$.fragment,i),$(Wd.$$.fragment,i),$(Ma.$$.fragment,i),$($a.$$.fragment,i),$(Bd.$$.fragment,i),$(Ud.$$.fragment,i),$(Zd.$$.fragment,i),$(xa.$$.fragment,i),$(Fa.$$.fragment,i),$(ec.$$.fragment,i),$(tc.$$.fragment,i),$(dc.$$.fragment,i),$(Ra.$$.fragment,i),$(Xa.$$.fragment,i),n_=!1},d(i){t(d),i&&t(k),i&&t(m),L(l),i&&t(fe),i&&t(O),L(x),i&&t(ge),i&&t(D),i&&t(_e),i&&t(W),i&&t(be),i&&t(B),i&&t(ne),i&&t(z),i&&t(ke),i&&t(S),i&&t(ve),i&&t(se),i&&t(A),i&&t(ae),L(E),i&&t(Be),i&&t(X),i&&t(Ue),L(Ae,i),i&&t(He),i&&t(he),i&&t(Gf),L(ur,i),i&&t(Yf),i&&t(Dt),i&&t(Zf),L(vr,i),i&&t(eg),i&&t(es),i&&t(tg),L(Mr,i),i&&t(og),i&&t(St),i&&t(ng),L(zr,i),i&&t(sg),i&&t(Wt),i&&t(ag),i&&t(Sc),i&&t(rg),i&&t(os),i&&t(ig),i&&t(Uc),i&&t(lg),i&&t(Hc),i&&t(dg),i&&t(on),L(Ur),i&&t(cg),i&&t(Nt),L(Hr),L(ss),i&&t(pg),i&&t(sn),L(Kr),i&&t(hg),i&&t(et),L(Vr),L(Yr),L(ei),L(oi),L(ni),i&&t(ug),i&&t(an),L(si),i&&t(mg),i&&t(_t),L(ai),L(li),L(ci),i&&t(fg),i&&t(rn),L(pi),i&&t(gg),i&&t(Ze),L(hi),L(bi),L(hs),L(us),i&&t(_g),i&&t(dn),L(ki),i&&t(bg),i&&t(bt),L(vi),L($i),L(fs),L(gs),i&&t(kg),i&&t(pn),L(Li),i&&t(vg),i&&t(kt),L(xi),L(zi),L(bs),L(ks),i&&t(yg),i&&t(un),L(Ci),i&&t(wg),i&&t(vt),L(qi),L(Ni),L(ys),L(ws),L(Ts),i&&t(Tg),i&&t(fn),L(Oi),i&&t(Mg),i&&t(yt),L(Ii),L(Bi),L($s),L(Ls),i&&t($g),i&&t(_n),L(Ui),i&&t(Lg),i&&t(wt),L(Hi),L(Ji),L(Fs),L(Es),i&&t(xg),i&&t(kn),L(Gi),i&&t(Fg),i&&t(Tt),L(Yi),L(ol),L(Xs),L(zs),i&&t(Eg),i&&t(wn),L(nl),i&&t(Rg),i&&t(dt),L(sl),L(qs),L(ll),L(js),L(As),i&&t(Xg),i&&t(Mn),L(dl),i&&t(zg),i&&t(ct),L(cl),L(Ns),L(fl),L(Os),L(Is),i&&t(Cg),i&&t(Ln),L(gl),i&&t(qg),i&&t(pt),L(_l),L(Ss),L(wl),L(Ws),L(Bs),L(Us),i&&t(jg),i&&t(Fn),L(Tl),i&&t(Ag),i&&t(ht),L(Ml),L(Qs),L(Fl),L(Ks),L(Vs),L(Js),i&&t(Pg),i&&t(Rn),L(El),i&&t(Ng),i&&t(ut),L(Rl),L(Ys),L(ql),L(Zs),L(ea),i&&t(Og),i&&t(zn),L(jl),i&&t(Ig),i&&t(mt),L(Al),L(oa),L(Il),L(na),L(sa),L(aa),i&&t(Dg),i&&t(qn),L(Dl),i&&t(Sg),i&&t(ft),L(Sl),L(ia),L(Hl),L(la),L(da),L(ca),i&&t(Wg),i&&t(Pn),L(Ql),i&&t(Bg),i&&t(tt),L(Kl),L(od),L(ha),L(ua),i&&t(Ug),i&&t(On),L(nd),i&&t(Hg),i&&t(ot),L(sd),L(hd),L(fa),L(ga),i&&t(Qg),i&&t(Dn),L(ud),i&&t(Kg),i&&t(nt),L(md),L(Td),L(ba),L(ka),i&&t(Vg),i&&t(Wn),L(Md),i&&t(Jg),i&&t(st),L($d),L(Cd),L(ya),L(wa),i&&t(Gg),i&&t(Un),L(qd),i&&t(Yg),i&&t(at),L(jd),L(Wd),L(Ma),L($a),i&&t(Zg),i&&t(Qn),L(Bd),i&&t(e_),i&&t(rt),L(Ud),L(Zd),L(xa),L(Fa),i&&t(t_),i&&t(Vn),L(ec),i&&t(o_),i&&t(it),L(tc),L(dc),L(Ra),L(Xa)}}}const Pq={local:"xlmroberta",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.XLMRobertaConfig",title:"XLMRobertaConfig"},{local:"transformers.XLMRobertaTokenizer",title:"XLMRobertaTokenizer"},{local:"transformers.XLMRobertaTokenizerFast",title:"XLMRobertaTokenizerFast"},{local:"transformers.XLMRobertaModel",title:"XLMRobertaModel"},{local:"transformers.XLMRobertaForCausalLM",title:"XLMRobertaForCausalLM"},{local:"transformers.XLMRobertaForMaskedLM",title:"XLMRobertaForMaskedLM"},{local:"transformers.XLMRobertaForSequenceClassification",title:"XLMRobertaForSequenceClassification"},{local:"transformers.XLMRobertaForMultipleChoice",title:"XLMRobertaForMultipleChoice"},{local:"transformers.XLMRobertaForTokenClassification",title:"XLMRobertaForTokenClassification"},{local:"transformers.XLMRobertaForQuestionAnswering",title:"XLMRobertaForQuestionAnswering"},{local:"transformers.TFXLMRobertaModel",title:"TFXLMRobertaModel"},{local:"transformers.TFXLMRobertaForCausalLM",title:"TFXLMRobertaForCausalLM"},{local:"transformers.TFXLMRobertaForMaskedLM",title:"TFXLMRobertaForMaskedLM"},{local:"transformers.TFXLMRobertaForSequenceClassification",title:"TFXLMRobertaForSequenceClassification"},{local:"transformers.TFXLMRobertaForMultipleChoice",title:"TFXLMRobertaForMultipleChoice"},{local:"transformers.TFXLMRobertaForTokenClassification",title:"TFXLMRobertaForTokenClassification"},{local:"transformers.TFXLMRobertaForQuestionAnswering",title:"TFXLMRobertaForQuestionAnswering"},{local:"transformers.FlaxXLMRobertaModel",title:"FlaxXLMRobertaModel"},{local:"transformers.FlaxXLMRobertaForCausalLM",title:"FlaxXLMRobertaForCausalLM"},{local:"transformers.FlaxXLMRobertaForMaskedLM",title:"FlaxXLMRobertaForMaskedLM"},{local:"transformers.FlaxXLMRobertaForSequenceClassification",title:"FlaxXLMRobertaForSequenceClassification"},{local:"transformers.FlaxXLMRobertaForMultipleChoice",title:"FlaxXLMRobertaForMultipleChoice"},{local:"transformers.FlaxXLMRobertaForTokenClassification",title:"FlaxXLMRobertaForTokenClassification"},{local:"transformers.FlaxXLMRobertaForQuestionAnswering",title:"FlaxXLMRobertaForQuestionAnswering"}],title:"XLM-RoBERTa"};function Nq(F){return qC(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Hq extends RC{constructor(d){super();XC(this,d,Nq,Aq,zC,{})}}export{Hq as default,Pq as metadata};
